//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BLOBSIZE);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(8 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s17.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s17.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s17.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s17);

   Scanner s18(BOOL);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s18);

   Scanner s19(BTREE);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(5 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s19.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s19);

   Scanner s20(BY);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,FINAL));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s20);

   Scanner s21(CALL);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s21);

   Scanner s22(CASE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s22);

   Scanner s23(CHECK);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s23);

   Scanner s24(CLOSE);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s24);

   Scanner s25(COMMIT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s25);

   Scanner s26(COLUMN);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(6 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s26.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s26);

   Scanner s27(CONSTRAINT);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(10 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s27.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s27.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s27.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s27);

   Scanner s28(COUNT);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s28);

   Scanner s29(COUNTER);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(7 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s29.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s29);

   Scanner s30(CREATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(6 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s30.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s30);

   Scanner s31(CURSOR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s31);

   Scanner s32(DATE);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s32);

   Scanner s33(DATE2STR);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DATE2INT);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(8 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s34.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s34);

   Scanner s35(DATETIME);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(8 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s35.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s35);

   Scanner s36(DECIMAL);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(7 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s36.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s36);

   Scanner s37(DEFAULT);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(7 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s37.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s37);

   Scanner s38(DELETETOK);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s38);

   Scanner s39(DESC);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s39);

   Scanner s40(DISTINCT);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(8 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s40.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s40.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s40);

   Scanner s41(DIV);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s41);

   Scanner s42(DOUBLE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s42);

   Scanner s43(DROP);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s43);

   Scanner s44(ELSE);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s44);

   Scanner s45(ELSIF);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s45);

   Scanner s46(END_TOKEN);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s46);

   Scanner s47(EXCEPTION);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(9 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s47.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s47.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s47.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s47);

   Scanner s48(EXISTS);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s48);

   Scanner s49(FALSEVAL);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FETCH);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FIXED);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s51);

   Scanner s52(FLOAT);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s52);

   Scanner s53(FOR);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s53);

   Scanner s54(FOREIGN);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(7 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s54.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s54);

   Scanner s55(FROM);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s55);

   Scanner s56(GETPOS);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s56);

   Scanner s57(GROUP);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s57);

   Scanner s58(HAVING);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(6 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s58.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s58);

   Scanner s59(IDENTIFIED);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(10 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s59.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s59.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s59.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s59.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s59.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s59);

   Scanner s60(IF);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,FINAL));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s60);

   Scanner s61(INTOK);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,FINAL));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s61);

   Scanner s62(INDEX);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s62);

   Scanner s63(INNER);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s63);

   Scanner s64(INT);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s64);

   Scanner s65(INTO);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s65);

   Scanner s66(INT2DATE);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(8 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s66.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s66.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s66.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s66);

   Scanner s67(INSERT);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s67);

   Scanner s68(IS);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,FINAL));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s68.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s68);

   Scanner s69(ISOLATION);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(9 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s69.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s69.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s69.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s69.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s69);

   Scanner s70(JDBC);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s70);

   Scanner s71(JOIN);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s71);

   Scanner s72(KEY);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s72);

   Scanner s73(LEFT);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LENGTH);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(6 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s74.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s74.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s74);

   Scanner s75(LIKE);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LIST);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s76);

   Scanner s77(LOAD);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOCKS);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LONG);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s79);

   Scanner s80(LOWER);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s80);

   Scanner s81(LTRIM);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(5 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s81.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s81);

   Scanner s82(MIN);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MAX);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s83);

   Scanner s84(MOD);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s84);

   Scanner s85(MODIFY);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(6 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s85.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s85.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s85);

   Scanner s86(NEXTCOUNT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(9 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s86.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s86.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s86.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s86.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s86.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s86);

   Scanner s87(NOOP);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s87);

   Scanner s88(NOT);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s88);

   Scanner s89(NULLTOKEN);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s89);

   Scanner s90(OFF);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(ON);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,FINAL));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s91);

   Scanner s92(OUTTOK);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(OUTER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(OR);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,FINAL));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s94.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s94);

   Scanner s95(ORDER);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(5 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s95.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s95);

   Scanner s96(PLAN);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s96);

   Scanner s97(POOL);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s97);

   Scanner s98(POWER);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PRIMARY);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s99);

   Scanner s100(PRINT);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s100);

   Scanner s101(PROCEDURE);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(9 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s101.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s101.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s101.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s101.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s101);

   Scanner s102(QUERYCACHE);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(10 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s102.addTransition(ScannerTransEntry(4 ,'y' ,5));
   s102.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s102.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s102.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s102.addTransition(ScannerTransEntry(8 ,'h' ,9));
   s102.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s102);

   Scanner s103(QUIT);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s103);

   Scanner s104(RANDSTR);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s104);

   Scanner s105(RANDINT);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(7 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s105.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s105);

   Scanner s106(RBSEG);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s106);

   Scanner s107(REFERENCES);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(10 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s107.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s107.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s107.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s107.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s107);

   Scanner s108(RENAME);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s108);

   Scanner s109(REORGANIZE);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(10 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s109.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s109.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s109.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s109.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s109);

   Scanner s110(RETURNTOKEN);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s110);

   Scanner s111(REMOVE);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s111);

   Scanner s112(REPLACE);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(7 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s112.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s112.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s112);

   Scanner s113(RIGHT);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s113);

   Scanner s114(ROLLBACK);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(8 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s114.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s114);

   Scanner s115(ROUND);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s115);

   Scanner s116(ROWLIMIT);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(8 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s116.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s116.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s116);

   Scanner s117(RTRIM);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s117);

   Scanner s118(SELECT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s118);

   Scanner s119(SET);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s119);

   Scanner s120(SETCOUNT);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(8 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s120.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s120.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s120.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s120);

   Scanner s121(SHOW);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s121);

   Scanner s122(SMALLINT);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(8 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s122.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s122.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s122);

   Scanner s123(START_TOKEN);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s123);

   Scanner s124(STRING);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s124);

   Scanner s125(SUBSTR);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s125);

   Scanner s126(SUM);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s126);

   Scanner s127(SYNC);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s127);

   Scanner s128(SYSDATE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(7 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s128.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s128);

   Scanner s129(SYSTEMSPACE);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(11 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s129.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s129.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s129.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s129.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s129);

   Scanner s130(SYSOBJ);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s130);

   Scanner s131(TABLEINFO);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(9 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s131.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s131.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s131);

   Scanner s132(TABLE);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s132);

   Scanner s133(TABLESET);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(8 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s133.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s133);

   Scanner s134(THEN);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s134);

   Scanner s135(TINYINT);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s135);

   Scanner s136(TMPOBJ);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s136);

   Scanner s137(TRANSACTION);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(11 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s137.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s137.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s137.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s137.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s137);

   Scanner s138(STR2INT);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(7 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s138.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s138);

   Scanner s139(STR2LONG);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(8 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s139.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s139.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s139.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s139);

   Scanner s140(STR2DATE);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(8 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s140.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s140.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s140.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s140);

   Scanner s141(TO);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,FINAL));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s141);

   Scanner s142(TRIM);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s142);

   Scanner s143(TRUEVAL);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s143);

   Scanner s144(TRUNC);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s144);

   Scanner s145(UNION);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s145);

   Scanner s146(UNIQUE);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s146);

   Scanner s147(UPDATE);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(6 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s147.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s147);

   Scanner s148(UPTIME);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(6 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s148.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s148);

   Scanner s149(UPPER);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s149);

   Scanner s150(VAR);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s150);

   Scanner s151(VALUES);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(6 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s151.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s151);

   Scanner s152(VIEW);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s152);

   Scanner s153(WHEN);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s153);

   Scanner s154(WHERE);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s154);

   Scanner s155(WHILE);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(5 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s155.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s155.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s155);

   Scanner s156(CONCAT);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s156);

   Scanner s157(EQU);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s157);

   Scanner s158(KSEP);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s158);

   Scanner s159(LB);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s159);

   Scanner s160(LT);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s160);

   Scanner s161(MT);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s161);

   Scanner s162(NEGATION);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s162);

   Scanner s163(RB);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s163);

   Scanner s164(LAB);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s164);

   Scanner s165(RAB);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s165);

   Scanner s166(SEMICOLON);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s166);

   Scanner s167(STAR);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s167);

   Scanner s168(DIVISION);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s168);

   Scanner s169(MINUS);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s169);

   Scanner s170(PLUS);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s170);

   Scanner s171(INTVAL);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,FINAL));
   s171.addState(ScannerStateEntry(2 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s171);

   Scanner s172(FLOATVAL);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(3 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s172);

   Scanner s173(IDENTIFIER);
   s173.addState(ScannerStateEntry(0 ,START));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s173);

   Scanner s174(VARREF);
   s174.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(1 ,FINAL));
   s174.addState(ScannerStateEntry(2 ,START));
   s174.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s174.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s174);

   Scanner s175(QUALIFIEDOBJ);
   s175.addState(ScannerStateEntry(0 ,START));
   s175.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(3 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s175.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s175.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s175);

   Scanner s176(QUALIFIEDPRE);
   s176.addState(ScannerStateEntry(0 ,START));
   s176.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(2 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s176);

   Scanner s177(QUALIFIEDTS);
   s177.addState(ScannerStateEntry(0 ,START));
   s177.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(3 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s177.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s177.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s177);

}
void Cego::loadParser0()
{
   _actionMap[835][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[834][RB] = ActionEntry(SHIFT, 835);
   _actionMap[833][IDENTIFIER] = ActionEntry(SHIFT, 717);
   _jumpMap[833][SimpleAttr] = 716;
   _jumpMap[833][SimpleAttrList] = 834;
   _actionMap[830][LB] = ActionEntry(SHIFT, 833);
   _actionMap[831][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[831][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[831][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[831][RB] = ActionEntry(REDUCE, 237);
   _actionMap[831][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[831][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[832][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[832][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[832][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[832][ORDER] = ActionEntry(REDUCE, 231);
   _actionMap[832][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[832][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[832][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[832][RB] = ActionEntry(REDUCE, 231);
   _actionMap[832][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[826][IDENTIFIER] = ActionEntry(SHIFT, 830);
   _actionMap[827][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[827][RB] = ActionEntry(REDUCE, 80);
   _actionMap[828][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[828][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[828][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[828][ASC] = ActionEntry(SHIFT, 819);
   _actionMap[828][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[828][DESC] = ActionEntry(SHIFT, 820);
   _actionMap[828][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[828][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[828][RB] = ActionEntry(REDUCE, 242);
   _actionMap[828][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[828][KSEP] = ActionEntry(REDUCE, 242);
   _jumpMap[828][DefaultOrderOpt] = 818;
   _jumpMap[828][OrderingOpt] = 831;
   _actionMap[829][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[829][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[829][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[829][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[829][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[829][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[829][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[829][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[829][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[829][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[829][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[829][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[829][LEFT] = ActionEntry(SHIFT, 117);
}
void Cego::loadParser1()
{
   _actionMap[829][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[829][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[829][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[829][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[829][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[829][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[829][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[829][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[829][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[829][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[829][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[829][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[829][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[829][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[829][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[829][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[829][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[829][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[829][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[829][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[829][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[829][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[829][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[829][LB] = ActionEntry(SHIFT, 144);
   _actionMap[829][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[829][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[829][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[829][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[829][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[829][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[829][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[829][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[829][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[829][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[829][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[829][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[829][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[829][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[829][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[829][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[829][ObjSpec] = 100;
   _jumpMap[829][Constant] = 99;
   _jumpMap[829][SignedFloat] = 98;
   _jumpMap[829][SignedInt] = 97;
   _jumpMap[829][Attribute] = 96;
   _jumpMap[829][Function] = 95;
   _jumpMap[829][CasePrepare] = 94;
   _jumpMap[829][CaseClause] = 93;
   _jumpMap[829][Factor] = 92;
   _jumpMap[829][Term] = 91;
}
void Cego::loadParser2()
{
   _jumpMap[829][Expr] = 832;
   _actionMap[814][REFERENCES] = ActionEntry(SHIFT, 826);
   _actionMap[815][ELSE] = ActionEntry(REDUCE, 116);
   _actionMap[815][ELSIF] = ActionEntry(REDUCE, 116);
   _actionMap[815][EXCEPTION] = ActionEntry(REDUCE, 116);
   _actionMap[815][END_TOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[815][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[815][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[815][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[815][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[815][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[815][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[815][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[815][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[815][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[815][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[815][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[815][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[815][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[815][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[815][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[815][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[815][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[815][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[815][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[815][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[815][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[815][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[815][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[815][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[815][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[815][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[815][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[815][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[815][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[815][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[815][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[815][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[815][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[815][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[815][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[815][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[815][LB] = ActionEntry(SHIFT, 144);
   _actionMap[815][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[815][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[815][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[815][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[815][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[815][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[815][LAB] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser3()
{
   _actionMap[815][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[815][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[815][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[815][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[815][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[815][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[815][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[815][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[815][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[815][IF] = ActionEntry(SHIFT, 341);
   _actionMap[815][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[815][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[815][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[815][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[815][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[815][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[815][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[815][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[815][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[815][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[815][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[815][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[815][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[815][ObjSpec] = 100;
   _jumpMap[815][Constant] = 99;
   _jumpMap[815][SignedFloat] = 98;
   _jumpMap[815][SignedInt] = 97;
   _jumpMap[815][Attribute] = 96;
   _jumpMap[815][Function] = 95;
   _jumpMap[815][DeleteStatement] = 337;
   _jumpMap[815][UpdateStatement] = 336;
   _jumpMap[815][InsertStatement] = 335;
   _jumpMap[815][RollbackStatement] = 334;
   _jumpMap[815][CommitStatement] = 333;
   _jumpMap[815][StartStatement] = 332;
   _jumpMap[815][CasePrepare] = 94;
   _jumpMap[815][CaseClause] = 93;
   _jumpMap[815][Factor] = 92;
   _jumpMap[815][Term] = 91;
   _jumpMap[815][Expr] = 331;
   _jumpMap[815][ProcStatement] = 462;
   _jumpMap[815][ProcIfPart] = 329;
   _jumpMap[815][ProcBlockStart] = 328;
   _actionMap[816][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[816][SelectStatement] = 827;
   _actionMap[817][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[817][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[817][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[817][RB] = ActionEntry(REDUCE, 238);
   _actionMap[817][SEMICOLON] = ActionEntry(REDUCE, 238);
}
void Cego::loadParser4()
{
   _actionMap[817][KSEP] = ActionEntry(REDUCE, 238);
   _actionMap[818][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[818][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[818][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[818][RB] = ActionEntry(REDUCE, 239);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[818][KSEP] = ActionEntry(REDUCE, 239);
   _actionMap[819][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[819][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[819][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[819][RB] = ActionEntry(REDUCE, 241);
   _actionMap[819][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[819][KSEP] = ActionEntry(REDUCE, 241);
   _actionMap[820][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[820][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[820][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[820][RB] = ActionEntry(REDUCE, 240);
   _actionMap[820][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[820][KSEP] = ActionEntry(REDUCE, 240);
   _actionMap[821][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[821][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[821][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[821][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[821][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[821][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[821][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[821][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[821][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[821][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[821][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[821][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[821][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[821][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[821][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[821][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[821][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[821][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[821][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[821][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[821][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[821][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[821][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[821][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[821][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[821][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[821][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[821][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[821][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[821][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[821][BLOBSIZE] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser5()
{
   _actionMap[821][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[821][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[821][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[821][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[821][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[821][LB] = ActionEntry(SHIFT, 144);
   _actionMap[821][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[821][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[821][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[821][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[821][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[821][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[821][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[821][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[821][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[821][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[821][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[821][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[821][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[821][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[821][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[821][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[821][ObjSpec] = 100;
   _jumpMap[821][Constant] = 99;
   _jumpMap[821][SignedFloat] = 98;
   _jumpMap[821][SignedInt] = 97;
   _jumpMap[821][Attribute] = 96;
   _jumpMap[821][Function] = 95;
   _jumpMap[821][CasePrepare] = 94;
   _jumpMap[821][CaseClause] = 93;
   _jumpMap[821][Factor] = 92;
   _jumpMap[821][Term] = 91;
   _jumpMap[821][Expr] = 828;
   _actionMap[822][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[822][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[822][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[822][EQU] = ActionEntry(SHIFT, 507);
   _actionMap[822][NEGATION] = ActionEntry(SHIFT, 510);
   _actionMap[822][LT] = ActionEntry(SHIFT, 508);
   _actionMap[822][MT] = ActionEntry(SHIFT, 509);
   _jumpMap[822][Comparison] = 829;
   _actionMap[823][KSEP] = ActionEntry(REDUCE, 229);
   _actionMap[823][HAVING] = ActionEntry(REDUCE, 229);
   _actionMap[823][ORDER] = ActionEntry(REDUCE, 229);
   _actionMap[823][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[823][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[823][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[823][RB] = ActionEntry(REDUCE, 229);
   _actionMap[823][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[824][AND] = ActionEntry(SHIFT, 511);
}
void Cego::loadParser6()
{
   _actionMap[824][OR] = ActionEntry(SHIFT, 512);
   _actionMap[824][LEFT] = ActionEntry(REDUCE, 214);
   _actionMap[824][RIGHT] = ActionEntry(REDUCE, 214);
   _actionMap[824][INNER] = ActionEntry(REDUCE, 214);
   _actionMap[824][JOIN] = ActionEntry(REDUCE, 214);
   _actionMap[824][RETURNTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[824][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[824][RB] = ActionEntry(REDUCE, 214);
   _actionMap[824][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[824][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[824][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[824][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[824][GROUP] = ActionEntry(REDUCE, 214);
   _actionMap[824][WHERE] = ActionEntry(REDUCE, 214);
   _actionMap[825][AND] = ActionEntry(SHIFT, 511);
   _actionMap[825][OR] = ActionEntry(SHIFT, 512);
   _actionMap[825][LEFT] = ActionEntry(REDUCE, 215);
   _actionMap[825][RIGHT] = ActionEntry(REDUCE, 215);
   _actionMap[825][INNER] = ActionEntry(REDUCE, 215);
   _actionMap[825][JOIN] = ActionEntry(REDUCE, 215);
   _actionMap[825][RETURNTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[825][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[825][RB] = ActionEntry(REDUCE, 215);
   _actionMap[825][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[825][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[825][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[825][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[825][GROUP] = ActionEntry(REDUCE, 215);
   _actionMap[825][WHERE] = ActionEntry(REDUCE, 215);
   _actionMap[791][RB] = ActionEntry(SHIFT, 814);
   _actionMap[792][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[792][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[792][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[792][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[792][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[792][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[792][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[792][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[792][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[792][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[792][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[792][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[792][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[792][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[792][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[792][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[792][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[792][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[792][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[792][STR2INT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser7()
{
   _actionMap[792][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[792][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[792][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[792][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[792][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[792][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[792][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[792][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[792][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[792][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[792][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[792][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[792][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[792][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[792][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[792][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[792][LB] = ActionEntry(SHIFT, 144);
   _actionMap[792][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[792][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[792][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[792][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[792][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[792][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[792][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[792][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[792][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[792][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[792][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[792][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[792][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[792][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[792][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[792][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[792][IF] = ActionEntry(SHIFT, 341);
   _actionMap[792][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[792][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[792][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[792][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[792][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[792][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[792][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[792][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[792][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[792][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[792][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[792][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[792][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[792][ObjSpec] = 100;
   _jumpMap[792][Constant] = 99;
   _jumpMap[792][SignedFloat] = 98;
}
void Cego::loadParser8()
{
   _jumpMap[792][SignedInt] = 97;
   _jumpMap[792][Attribute] = 96;
   _jumpMap[792][Function] = 95;
   _jumpMap[792][DeleteStatement] = 337;
   _jumpMap[792][UpdateStatement] = 336;
   _jumpMap[792][InsertStatement] = 335;
   _jumpMap[792][RollbackStatement] = 334;
   _jumpMap[792][CommitStatement] = 333;
   _jumpMap[792][StartStatement] = 332;
   _jumpMap[792][CasePrepare] = 94;
   _jumpMap[792][CaseClause] = 93;
   _jumpMap[792][Factor] = 92;
   _jumpMap[792][Term] = 91;
   _jumpMap[792][Expr] = 331;
   _jumpMap[792][ProcStatement] = 330;
   _jumpMap[792][ProcIfPart] = 329;
   _jumpMap[792][ProcBlockStart] = 328;
   _jumpMap[792][ProcStatementList] = 815;
   _actionMap[793][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[793][DEFAULT] = ActionEntry(REDUCE, 329);
   _actionMap[793][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[793][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[793][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[793][RB] = ActionEntry(REDUCE, 329);
   _actionMap[793][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[794][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[794][DEFAULT] = ActionEntry(REDUCE, 334);
   _actionMap[794][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[794][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[794][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[794][RB] = ActionEntry(REDUCE, 334);
   _actionMap[794][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[795][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[795][DEFAULT] = ActionEntry(REDUCE, 335);
   _actionMap[795][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[795][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[795][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[795][RB] = ActionEntry(REDUCE, 335);
   _actionMap[795][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[796][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[796][DEFAULT] = ActionEntry(REDUCE, 326);
   _actionMap[796][NULLTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[796][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[796][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[796][RB] = ActionEntry(REDUCE, 326);
   _actionMap[796][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser9()
{
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[798][RB] = ActionEntry(REDUCE, 181);
   _actionMap[799][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[799][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[799][RB] = ActionEntry(REDUCE, 175);
   _actionMap[800][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[800][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[800][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[800][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[800][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[800][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[800][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[800][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[800][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[800][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[800][WHERE] = ActionEntry(REDUCE, 315);
   _actionMap[800][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[800][AND] = ActionEntry(REDUCE, 315);
   _actionMap[800][OR] = ActionEntry(REDUCE, 315);
   _actionMap[800][RB] = ActionEntry(REDUCE, 315);
   _actionMap[801][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[801][RB] = ActionEntry(REDUCE, 203);
   _actionMap[802][ALL] = ActionEntry(SHIFT, 816);
   _actionMap[803][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[803][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[803][RB] = ActionEntry(REDUCE, 245);
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[804][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[804][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[804][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[804][ASC] = ActionEntry(SHIFT, 819);
   _actionMap[804][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[804][DESC] = ActionEntry(SHIFT, 820);
   _actionMap[804][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[804][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[804][RB] = ActionEntry(REDUCE, 242);
   _actionMap[804][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[804][KSEP] = ActionEntry(REDUCE, 242);
   _jumpMap[804][DefaultOrderOpt] = 818;
   _jumpMap[804][OrderingOpt] = 817;
   _actionMap[805][KSEP] = ActionEntry(SHIFT, 821);
   _actionMap[805][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[805][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[805][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[805][RB] = ActionEntry(REDUCE, 234);
   _actionMap[805][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[806][ORDER] = ActionEntry(REDUCE, 226);
   _actionMap[806][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[806][UNION] = ActionEntry(REDUCE, 226);
}
void Cego::loadParser10()
{
   _actionMap[806][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[806][RB] = ActionEntry(REDUCE, 226);
   _actionMap[806][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[807][ORDER] = ActionEntry(REDUCE, 232);
   _actionMap[807][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[807][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[807][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[807][RB] = ActionEntry(REDUCE, 232);
   _actionMap[807][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[808][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[808][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[808][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[808][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[808][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[808][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[808][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[808][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[808][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[808][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[808][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[808][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[808][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[808][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[808][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[808][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[808][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[808][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[808][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[808][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[808][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[808][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[808][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[808][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[808][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[808][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[808][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[808][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[808][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[808][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[808][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[808][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[808][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[808][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[808][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[808][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[808][LB] = ActionEntry(SHIFT, 144);
   _actionMap[808][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[808][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[808][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[808][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser11()
{
   _actionMap[808][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[808][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[808][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[808][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[808][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[808][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[808][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[808][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[808][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[808][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[808][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[808][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[808][ObjSpec] = 100;
   _jumpMap[808][Constant] = 99;
   _jumpMap[808][SignedFloat] = 98;
   _jumpMap[808][SignedInt] = 97;
   _jumpMap[808][Attribute] = 96;
   _jumpMap[808][Function] = 95;
   _jumpMap[808][CasePrepare] = 94;
   _jumpMap[808][CaseClause] = 93;
   _jumpMap[808][Factor] = 92;
   _jumpMap[808][Term] = 91;
   _jumpMap[808][Expr] = 822;
   _actionMap[809][IDENTIFIER] = ActionEntry(SHIFT, 784);
   _actionMap[809][QUALIFIEDOBJ] = ActionEntry(SHIFT, 785);
   _actionMap[809][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _jumpMap[809][Attribute] = 823;
   _actionMap[810][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[810][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[810][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[810][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[810][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[810][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[810][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[810][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[810][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[810][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[810][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[810][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[810][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[810][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[810][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[810][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[810][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[810][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[810][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[810][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[810][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[810][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[810][RANDSTR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser12()
{
   _actionMap[810][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[810][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[810][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[810][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[810][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[810][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[810][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[810][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[810][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[810][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[810][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[810][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[810][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[810][LB] = ActionEntry(SHIFT, 376);
   _actionMap[810][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[810][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[810][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[810][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[810][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[810][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[810][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[810][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[810][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[810][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[810][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[810][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[810][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[810][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[810][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[810][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[810][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[810][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[810][ObjSpec] = 100;
   _jumpMap[810][Constant] = 99;
   _jumpMap[810][SignedFloat] = 98;
   _jumpMap[810][SignedInt] = 97;
   _jumpMap[810][Attribute] = 96;
   _jumpMap[810][QueryPredicate] = 373;
   _jumpMap[810][QueryCondition] = 824;
   _jumpMap[810][Function] = 95;
   _jumpMap[810][CasePrepare] = 94;
   _jumpMap[810][CaseClause] = 93;
   _jumpMap[810][Factor] = 92;
   _jumpMap[810][Term] = 91;
   _jumpMap[810][Expr] = 371;
   _actionMap[811][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[811][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[811][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[811][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[811][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser13()
{
   _actionMap[811][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[811][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[811][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[811][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[811][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[811][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[811][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[811][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[811][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[811][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[811][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[811][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[811][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[811][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[811][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[811][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[811][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[811][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[811][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[811][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[811][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[811][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[811][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[811][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[811][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[811][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[811][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[811][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[811][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[811][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[811][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[811][LB] = ActionEntry(SHIFT, 376);
   _actionMap[811][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[811][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[811][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[811][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[811][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[811][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[811][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[811][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[811][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[811][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[811][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[811][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[811][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[811][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[811][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[811][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[811][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[811][NOT] = ActionEntry(SHIFT, 375);
}
void Cego::loadParser14()
{
   _jumpMap[811][ObjSpec] = 100;
   _jumpMap[811][Constant] = 99;
   _jumpMap[811][SignedFloat] = 98;
   _jumpMap[811][SignedInt] = 97;
   _jumpMap[811][Attribute] = 96;
   _jumpMap[811][QueryPredicate] = 373;
   _jumpMap[811][QueryCondition] = 825;
   _jumpMap[811][Function] = 95;
   _jumpMap[811][CasePrepare] = 94;
   _jumpMap[811][CaseClause] = 93;
   _jumpMap[811][Factor] = 92;
   _jumpMap[811][Term] = 91;
   _jumpMap[811][Expr] = 371;
   _actionMap[812][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[812][KSEP] = ActionEntry(REDUCE, 254);
   _actionMap[813][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[813][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[813][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[813][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[813][KSEP] = ActionEntry(REDUCE, 256);
   _actionMap[751][AND] = ActionEntry(SHIFT, 511);
   _actionMap[751][OR] = ActionEntry(SHIFT, 512);
   _actionMap[751][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[752][IDENTIFIER] = ActionEntry(SHIFT, 717);
   _jumpMap[752][SimpleAttr] = 716;
   _jumpMap[752][SimpleAttrList] = 791;
   _actionMap[753][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[753][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[754][THEN] = ActionEntry(SHIFT, 792);
   _actionMap[755][THEN] = ActionEntry(REDUCE, 121);
   _actionMap[756][END_TOKEN] = ActionEntry(REDUCE, 126);
   _actionMap[756][ELSE] = ActionEntry(REDUCE, 126);
   _actionMap[756][ELSIF] = ActionEntry(REDUCE, 126);
   _actionMap[757][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[757][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[757][OR] = ActionEntry(REDUCE, 140);
   _actionMap[757][AND] = ActionEntry(REDUCE, 140);
   _actionMap[757][RB] = ActionEntry(REDUCE, 140);
   _actionMap[758][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[758][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[758][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[759][RB] = ActionEntry(SHIFT, 793);
   _actionMap[760][RB] = ActionEntry(SHIFT, 794);
   _actionMap[761][RB] = ActionEntry(SHIFT, 795);
   _actionMap[762][RB] = ActionEntry(SHIFT, 796);
   _actionMap[763][SEMICOLON] = ActionEntry(REDUCE, 132);
   _actionMap[764][RB] = ActionEntry(SHIFT, 797);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[766][IDENTIFIER] = ActionEntry(SHIFT, 717);
}
void Cego::loadParser15()
{
   _jumpMap[766][SimpleAttr] = 716;
   _jumpMap[766][SimpleAttrList] = 798;
   _actionMap[767][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[767][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[767][RB] = ActionEntry(REDUCE, 173);
   _actionMap[768][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[768][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[768][RB] = ActionEntry(REDUCE, 176);
   _actionMap[769][NULLTOKEN] = ActionEntry(SHIFT, 799);
   _actionMap[770][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[770][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[770][RB] = ActionEntry(REDUCE, 174);
   _actionMap[771][NULLTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[771][NOT] = ActionEntry(REDUCE, 178);
   _actionMap[771][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[771][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[771][RB] = ActionEntry(REDUCE, 178);
   _actionMap[772][LONG] = ActionEntry(SHIFT, 278);
   _actionMap[772][BIGINT] = ActionEntry(SHIFT, 274);
   _actionMap[772][SMALLINT] = ActionEntry(SHIFT, 279);
   _actionMap[772][TINYINT] = ActionEntry(SHIFT, 280);
   _actionMap[772][DOUBLE] = ActionEntry(SHIFT, 276);
   _actionMap[772][DECIMAL] = ActionEntry(SHIFT, 275);
   _actionMap[772][FIXED] = ActionEntry(SHIFT, 277);
   _actionMap[773][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[773][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[773][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[773][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[773][RB] = ActionEntry(REDUCE, 201);
   _actionMap[774][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[774][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[774][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[774][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[774][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[774][INNER] = ActionEntry(REDUCE, 317);
   _actionMap[774][JOIN] = ActionEntry(REDUCE, 317);
   _actionMap[774][RETURNTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[774][ENDTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[774][UNION] = ActionEntry(REDUCE, 317);
   _actionMap[774][ROWLIMIT] = ActionEntry(REDUCE, 317);
   _actionMap[774][ORDER] = ActionEntry(REDUCE, 317);
   _actionMap[774][GROUP] = ActionEntry(REDUCE, 317);
   _actionMap[774][WHERE] = ActionEntry(REDUCE, 317);
   _actionMap[774][THEN] = ActionEntry(REDUCE, 317);
   _actionMap[774][AND] = ActionEntry(REDUCE, 317);
   _actionMap[774][OR] = ActionEntry(REDUCE, 317);
   _actionMap[774][RB] = ActionEntry(REDUCE, 317);
   _actionMap[775][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[775][RIGHT] = ActionEntry(REDUCE, 314);
}
void Cego::loadParser16()
{
   _actionMap[775][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[775][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[775][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[775][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[775][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[775][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[775][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[775][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[775][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[775][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[775][AND] = ActionEntry(REDUCE, 314);
   _actionMap[775][OR] = ActionEntry(REDUCE, 314);
   _actionMap[775][RB] = ActionEntry(REDUCE, 314);
   _actionMap[776][RB] = ActionEntry(SHIFT, 800);
   _actionMap[777][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[777][RB] = ActionEntry(REDUCE, 167);
   _actionMap[778][UNION] = ActionEntry(SHIFT, 802);
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[778][RB] = ActionEntry(REDUCE, 81);
   _jumpMap[778][UnionAllOpt] = 801;
   _actionMap[779][UNION] = ActionEntry(REDUCE, 246);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[779][RB] = ActionEntry(REDUCE, 246);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[780][INTVAL] = ActionEntry(SHIFT, 803);
   _actionMap[781][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[781][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[781][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[781][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[781][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[781][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[781][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[781][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[781][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[781][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[781][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[781][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[781][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[781][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[781][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[781][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[781][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[781][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[781][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[781][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[781][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[781][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[781][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[781][RANDINT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser17()
{
   _actionMap[781][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[781][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[781][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[781][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[781][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[781][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[781][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[781][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[781][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[781][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[781][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[781][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[781][LB] = ActionEntry(SHIFT, 144);
   _actionMap[781][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[781][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[781][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[781][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[781][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[781][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[781][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[781][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[781][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[781][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[781][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[781][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[781][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[781][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[781][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[781][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[781][ObjSpec] = 100;
   _jumpMap[781][Constant] = 99;
   _jumpMap[781][SignedFloat] = 98;
   _jumpMap[781][SignedInt] = 97;
   _jumpMap[781][Attribute] = 96;
   _jumpMap[781][Function] = 95;
   _jumpMap[781][OrderingList] = 805;
   _jumpMap[781][CasePrepare] = 94;
   _jumpMap[781][CaseClause] = 93;
   _jumpMap[781][Factor] = 92;
   _jumpMap[781][Term] = 91;
   _jumpMap[781][Expr] = 804;
   _actionMap[782][KSEP] = ActionEntry(SHIFT, 809);
   _actionMap[782][ORDER] = ActionEntry(REDUCE, 233);
   _actionMap[782][HAVING] = ActionEntry(SHIFT, 808);
   _actionMap[782][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[782][RB] = ActionEntry(REDUCE, 233);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 233);
   _jumpMap[782][NoHaving] = 807;
}
void Cego::loadParser18()
{
   _jumpMap[782][HavingClause] = 806;
   _actionMap[783][KSEP] = ActionEntry(REDUCE, 230);
   _actionMap[783][HAVING] = ActionEntry(REDUCE, 230);
   _actionMap[783][ORDER] = ActionEntry(REDUCE, 230);
   _actionMap[783][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[783][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[783][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[783][RB] = ActionEntry(REDUCE, 230);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[784][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[784][HAVING] = ActionEntry(REDUCE, 343);
   _actionMap[784][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[784][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[784][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[784][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[784][RB] = ActionEntry(REDUCE, 343);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[785][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[785][HAVING] = ActionEntry(REDUCE, 344);
   _actionMap[785][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[785][RB] = ActionEntry(REDUCE, 344);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[786][AND] = ActionEntry(SHIFT, 511);
   _actionMap[786][OR] = ActionEntry(SHIFT, 512);
   _actionMap[786][LEFT] = ActionEntry(REDUCE, 213);
   _actionMap[786][RIGHT] = ActionEntry(REDUCE, 213);
   _actionMap[786][INNER] = ActionEntry(REDUCE, 213);
   _actionMap[786][JOIN] = ActionEntry(REDUCE, 213);
   _actionMap[786][RETURNTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[786][RB] = ActionEntry(REDUCE, 213);
   _actionMap[786][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[786][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[786][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[786][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[786][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[786][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[787][ON] = ActionEntry(SHIFT, 745);
   _jumpMap[787][JoinTableOn] = 810;
   _actionMap[788][ON] = ActionEntry(SHIFT, 745);
   _jumpMap[788][JoinTableOn] = 811;
   _actionMap[789][VARREF] = ActionEntry(SHIFT, 750);
   _jumpMap[789][ReturnVar] = 812;
   _actionMap[790][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[790][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[790][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[790][TRIM] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser19()
{
   _actionMap[790][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[790][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[790][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[790][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[790][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[790][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[790][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[790][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[790][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[790][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[790][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[790][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[790][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[790][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[790][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[790][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[790][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[790][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[790][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[790][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[790][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[790][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[790][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[790][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[790][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[790][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[790][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[790][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[790][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[790][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[790][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[790][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[790][LB] = ActionEntry(SHIFT, 144);
   _actionMap[790][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[790][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[790][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[790][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[790][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[790][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[790][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[790][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[790][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[790][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[790][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[790][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[790][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[790][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[790][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[790][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[790][ObjSpec] = 100;
}
void Cego::loadParser20()
{
   _jumpMap[790][Constant] = 99;
   _jumpMap[790][SignedFloat] = 98;
   _jumpMap[790][SignedInt] = 97;
   _jumpMap[790][Attribute] = 96;
   _jumpMap[790][Function] = 95;
   _jumpMap[790][CasePrepare] = 94;
   _jumpMap[790][CaseClause] = 93;
   _jumpMap[790][Factor] = 92;
   _jumpMap[790][Term] = 91;
   _jumpMap[790][Expr] = 813;
   _actionMap[691][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[691][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[691][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[691][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[691][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[691][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[691][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[691][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[691][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[691][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[691][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[691][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[691][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[691][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[691][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[691][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[691][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[691][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[691][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[691][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[691][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[691][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[691][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[691][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[691][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[691][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[691][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[691][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[691][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[691][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[691][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[691][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[691][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[691][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[691][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[691][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[691][LB] = ActionEntry(SHIFT, 376);
   _actionMap[691][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[691][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[691][SYSDATE] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser21()
{
   _actionMap[691][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[691][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[691][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[691][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[691][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[691][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[691][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[691][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[691][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[691][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[691][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[691][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[691][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[691][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[691][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[691][ObjSpec] = 100;
   _jumpMap[691][Constant] = 99;
   _jumpMap[691][SignedFloat] = 98;
   _jumpMap[691][SignedInt] = 97;
   _jumpMap[691][Attribute] = 96;
   _jumpMap[691][QueryPredicate] = 373;
   _jumpMap[691][QueryCondition] = 751;
   _jumpMap[691][Function] = 95;
   _jumpMap[691][CasePrepare] = 94;
   _jumpMap[691][CaseClause] = 93;
   _jumpMap[691][Factor] = 92;
   _jumpMap[691][Term] = 91;
   _jumpMap[691][Expr] = 371;
   _actionMap[692][LB] = ActionEntry(SHIFT, 752);
   _actionMap[693][IDENTIFIER] = ActionEntry(SHIFT, 753);
   _actionMap[694][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[695][IDENTIFIER] = ActionEntry(SHIFT, 755);
   _jumpMap[695][ProcExceptionType] = 754;
   _actionMap[696][END_TOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[697][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[697][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[697][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[697][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[697][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[697][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[697][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[697][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[697][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[697][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[697][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[697][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[697][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[697][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[697][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[697][SUBSTR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser22()
{
   _actionMap[697][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[697][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[697][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[697][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[697][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[697][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[697][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[697][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[697][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[697][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[697][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[697][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[697][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[697][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[697][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[697][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[697][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[697][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[697][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[697][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[697][LB] = ActionEntry(SHIFT, 144);
   _actionMap[697][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[697][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[697][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[697][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[697][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[697][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[697][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[697][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[697][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[697][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[697][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[697][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[697][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[697][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[697][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[697][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[697][IF] = ActionEntry(SHIFT, 341);
   _actionMap[697][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[697][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[697][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[697][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[697][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[697][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[697][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[697][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[697][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[697][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[697][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[697][RETURNTOKEN] = ActionEntry(SHIFT, 343);
}
void Cego::loadParser23()
{
   _actionMap[697][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[697][ObjSpec] = 100;
   _jumpMap[697][Constant] = 99;
   _jumpMap[697][SignedFloat] = 98;
   _jumpMap[697][SignedInt] = 97;
   _jumpMap[697][Attribute] = 96;
   _jumpMap[697][Function] = 95;
   _jumpMap[697][DeleteStatement] = 337;
   _jumpMap[697][UpdateStatement] = 336;
   _jumpMap[697][InsertStatement] = 335;
   _jumpMap[697][RollbackStatement] = 334;
   _jumpMap[697][CommitStatement] = 333;
   _jumpMap[697][StartStatement] = 332;
   _jumpMap[697][CasePrepare] = 94;
   _jumpMap[697][CaseClause] = 93;
   _jumpMap[697][Factor] = 92;
   _jumpMap[697][Term] = 91;
   _jumpMap[697][Expr] = 331;
   _jumpMap[697][ProcStatement] = 330;
   _jumpMap[697][ProcIfPart] = 329;
   _jumpMap[697][ProcBlockStart] = 328;
   _jumpMap[697][ProcStatementList] = 327;
   _jumpMap[697][ProcStmtBlock] = 756;
   _actionMap[698][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[699][END_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[699][ELSE] = ActionEntry(REDUCE, 123);
   _actionMap[699][ELSIF] = ActionEntry(REDUCE, 123);
   _actionMap[700][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[700][RB] = ActionEntry(REDUCE, 135);
   _actionMap[700][AND] = ActionEntry(REDUCE, 135);
   _actionMap[700][OR] = ActionEntry(REDUCE, 135);
   _actionMap[700][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[701][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[701][RB] = ActionEntry(REDUCE, 134);
   _actionMap[701][AND] = ActionEntry(REDUCE, 134);
   _actionMap[701][OR] = ActionEntry(REDUCE, 134);
   _actionMap[701][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[702][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[702][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[702][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[702][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[702][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[702][OR] = ActionEntry(REDUCE, 138);
   _actionMap[702][AND] = ActionEntry(REDUCE, 138);
   _actionMap[702][RB] = ActionEntry(REDUCE, 138);
   _actionMap[703][NULLTOKEN] = ActionEntry(SHIFT, 757);
   _actionMap[704][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[704][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[704][OR] = ActionEntry(REDUCE, 139);
   _actionMap[704][AND] = ActionEntry(REDUCE, 139);
}
void Cego::loadParser24()
{
   _actionMap[704][RB] = ActionEntry(REDUCE, 139);
   _actionMap[705][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[705][RB] = ActionEntry(REDUCE, 137);
   _actionMap[705][AND] = ActionEntry(REDUCE, 137);
   _actionMap[705][OR] = ActionEntry(REDUCE, 137);
   _actionMap[705][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[706][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[707][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[708][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[708][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[708][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[708][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[708][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[708][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[708][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[708][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[708][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[708][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[708][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[708][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[708][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[708][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[708][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[708][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[708][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[708][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[708][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[708][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[708][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[708][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[708][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[708][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[708][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[708][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[708][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[708][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[708][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[708][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[708][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[708][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[708][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[708][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[708][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[708][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[708][LB] = ActionEntry(SHIFT, 144);
   _actionMap[708][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[708][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[708][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[708][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[708][TRUEVAL] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser25()
{
   _actionMap[708][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[708][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[708][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[708][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[708][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[708][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[708][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[708][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[708][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[708][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[708][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[708][ObjSpec] = 100;
   _jumpMap[708][Constant] = 99;
   _jumpMap[708][SignedFloat] = 98;
   _jumpMap[708][SignedInt] = 97;
   _jumpMap[708][Attribute] = 96;
   _jumpMap[708][Function] = 95;
   _jumpMap[708][CasePrepare] = 94;
   _jumpMap[708][CaseClause] = 93;
   _jumpMap[708][Factor] = 92;
   _jumpMap[708][Term] = 91;
   _jumpMap[708][Expr] = 758;
   _actionMap[709][INTVAL] = ActionEntry(SHIFT, 759);
   _actionMap[710][INTVAL] = ActionEntry(SHIFT, 760);
   _actionMap[711][INTVAL] = ActionEntry(SHIFT, 761);
   _actionMap[712][INTVAL] = ActionEntry(SHIFT, 762);
   _actionMap[713][END_TOKEN] = ActionEntry(SHIFT, 763);
   _actionMap[714][IDENTIFIER] = ActionEntry(SHIFT, 717);
   _jumpMap[714][SimpleAttr] = 716;
   _jumpMap[714][SimpleAttrList] = 764;
   _actionMap[715][RB] = ActionEntry(SHIFT, 765);
   _actionMap[716][KSEP] = ActionEntry(SHIFT, 766);
   _actionMap[716][RB] = ActionEntry(REDUCE, 182);
   _actionMap[717][RB] = ActionEntry(REDUCE, 183);
   _actionMap[717][KSEP] = ActionEntry(REDUCE, 183);
   _actionMap[718][KSEP] = ActionEntry(REDUCE, 88);
   _actionMap[718][RB] = ActionEntry(REDUCE, 88);
   _actionMap[719][BEGIN] = ActionEntry(REDUCE, 84);
   _actionMap[720][KSEP] = ActionEntry(REDUCE, 90);
   _actionMap[720][RB] = ActionEntry(REDUCE, 90);
   _actionMap[721][KSEP] = ActionEntry(REDUCE, 91);
   _actionMap[721][RB] = ActionEntry(REDUCE, 91);
   _actionMap[722][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[722][RB] = ActionEntry(REDUCE, 169);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[723][NULLTOKEN] = ActionEntry(SHIFT, 770);
   _actionMap[723][NOT] = ActionEntry(SHIFT, 769);
   _actionMap[723][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[723][RB] = ActionEntry(REDUCE, 177);
   _jumpMap[723][DefaultNullOpt] = 768;
}
void Cego::loadParser26()
{
   _jumpMap[723][NullOpt] = 767;
   _actionMap[724][NULLTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[724][NOT] = ActionEntry(REDUCE, 179);
   _actionMap[724][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[724][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[724][RB] = ActionEntry(REDUCE, 179);
   _actionMap[725][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[725][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[725][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[725][LB] = ActionEntry(SHIFT, 772);
   _actionMap[725][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[725][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[725][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[725][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[725][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[725][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[725][LAB] = ActionEntry(SHIFT, 145);
   _jumpMap[725][Constant] = 771;
   _jumpMap[725][SignedFloat] = 98;
   _jumpMap[725][SignedInt] = 97;
   _actionMap[726][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[726][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[727][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[727][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[727][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[727][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[727][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[727][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[727][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[727][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[727][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[727][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[727][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[727][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[727][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[727][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[727][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[727][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[727][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[727][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[727][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[727][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[727][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[727][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[727][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[727][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[727][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[727][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[727][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[727][BITAND] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser27()
{
   _actionMap[727][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[727][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[727][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[727][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[727][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[727][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[727][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[727][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[727][LB] = ActionEntry(SHIFT, 144);
   _actionMap[727][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[727][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[727][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[727][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[727][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[727][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[727][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[727][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[727][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[727][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[727][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[727][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[727][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[727][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[727][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[727][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[727][ObjSpec] = 100;
   _jumpMap[727][Constant] = 99;
   _jumpMap[727][SignedFloat] = 98;
   _jumpMap[727][SignedInt] = 97;
   _jumpMap[727][Attribute] = 96;
   _jumpMap[727][Function] = 95;
   _jumpMap[727][CasePrepare] = 94;
   _jumpMap[727][CaseClause] = 93;
   _jumpMap[727][Factor] = 92;
   _jumpMap[727][Term] = 91;
   _jumpMap[727][Expr] = 773;
   _actionMap[728][SEMICOLON] = ActionEntry(REDUCE, 198);
   _actionMap[728][KSEP] = ActionEntry(REDUCE, 198);
   _actionMap[729][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[729][RB] = ActionEntry(REDUCE, 199);
   _actionMap[730][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[730][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[730][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[730][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[730][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[730][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[730][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[730][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[730][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[730][INT2DATE] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser28()
{
   _actionMap[730][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[730][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[730][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[730][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[730][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[730][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[730][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[730][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[730][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[730][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[730][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[730][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[730][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[730][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[730][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[730][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[730][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[730][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[730][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[730][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[730][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[730][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[730][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[730][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[730][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[730][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[730][LB] = ActionEntry(SHIFT, 144);
   _actionMap[730][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[730][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[730][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[730][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[730][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[730][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[730][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[730][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[730][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[730][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[730][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[730][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[730][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[730][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[730][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[730][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[730][ObjSpec] = 100;
   _jumpMap[730][Constant] = 99;
   _jumpMap[730][SignedFloat] = 98;
   _jumpMap[730][SignedInt] = 97;
   _jumpMap[730][Attribute] = 96;
   _jumpMap[730][Function] = 95;
   _jumpMap[730][CasePrepare] = 94;
}
void Cego::loadParser29()
{
   _jumpMap[730][CaseClause] = 93;
   _jumpMap[730][Factor] = 92;
   _jumpMap[730][Term] = 91;
   _jumpMap[730][Expr] = 774;
   _actionMap[731][RB] = ActionEntry(SHIFT, 775);
   _actionMap[732][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[732][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[732][INNER] = ActionEntry(REDUCE, 319);
   _actionMap[732][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[732][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[732][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[732][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[732][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[732][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[732][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[732][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[732][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[732][AND] = ActionEntry(REDUCE, 319);
   _actionMap[732][OR] = ActionEntry(REDUCE, 319);
   _actionMap[732][RB] = ActionEntry(REDUCE, 319);
   _actionMap[733][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[733][SelectStatement] = 776;
   _actionMap[734][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[734][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[734][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[734][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[734][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[734][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[734][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[734][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[734][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[734][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[734][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[734][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[734][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[734][AND] = ActionEntry(REDUCE, 321);
   _actionMap[734][OR] = ActionEntry(REDUCE, 321);
   _actionMap[734][RB] = ActionEntry(REDUCE, 321);
   _actionMap[735][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[735][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[735][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[735][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[735][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[735][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[735][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[735][RB] = ActionEntry(REDUCE, 313);
   _actionMap[735][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[735][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[735][ROWLIMIT] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser30()
{
   _actionMap[735][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[735][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[735][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[735][AND] = ActionEntry(REDUCE, 313);
   _actionMap[735][OR] = ActionEntry(REDUCE, 313);
   _actionMap[736][WHEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][ELSE] = ActionEntry(REDUCE, 360);
   _actionMap[736][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[736][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[736][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[736][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[736][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[736][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[736][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[736][NULLTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][FROM] = ActionEntry(REDUCE, 360);
   _actionMap[736][AS] = ActionEntry(REDUCE, 360);
   _actionMap[736][END_TOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][BEGIN] = ActionEntry(REDUCE, 360);
   _actionMap[736][THEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][OR] = ActionEntry(REDUCE, 360);
   _actionMap[736][AND] = ActionEntry(REDUCE, 360);
   _actionMap[736][INTOK] = ActionEntry(REDUCE, 360);
   _actionMap[736][NOT] = ActionEntry(REDUCE, 360);
   _actionMap[736][BETWEEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][IS] = ActionEntry(REDUCE, 360);
   _actionMap[736][LIKE] = ActionEntry(REDUCE, 360);
   _actionMap[736][MT] = ActionEntry(REDUCE, 360);
   _actionMap[736][LT] = ActionEntry(REDUCE, 360);
   _actionMap[736][NEGATION] = ActionEntry(REDUCE, 360);
   _actionMap[736][EQU] = ActionEntry(REDUCE, 360);
   _actionMap[736][RB] = ActionEntry(REDUCE, 360);
   _actionMap[736][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[736][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[736][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[736][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[736][ASC] = ActionEntry(REDUCE, 360);
   _actionMap[736][DESC] = ActionEntry(REDUCE, 360);
   _actionMap[736][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[736][PLUS] = ActionEntry(REDUCE, 360);
   _actionMap[736][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[736][DIVISION] = ActionEntry(REDUCE, 360);
   _actionMap[736][STAR] = ActionEntry(REDUCE, 360);
   _actionMap[736][CONCAT] = ActionEntry(REDUCE, 360);
   _actionMap[737][VARREF] = ActionEntry(SHIFT, 777);
   _actionMap[738][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[738][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[738][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[738][RIGHT] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser31()
{
   _actionMap[738][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[738][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[738][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[738][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[738][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[738][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[738][AS] = ActionEntry(REDUCE, 150);
   _actionMap[738][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[738][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[738][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[738][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[738][OR] = ActionEntry(REDUCE, 150);
   _actionMap[738][AND] = ActionEntry(REDUCE, 150);
   _actionMap[738][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[738][IS] = ActionEntry(REDUCE, 150);
   _actionMap[738][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[738][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[738][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[738][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[738][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[738][LT] = ActionEntry(REDUCE, 150);
   _actionMap[738][MT] = ActionEntry(REDUCE, 150);
   _actionMap[738][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[738][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[738][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[738][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[738][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[738][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[738][RB] = ActionEntry(REDUCE, 150);
   _actionMap[738][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[738][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[738][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[738][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[738][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[738][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[739][WHEN] = ActionEntry(REDUCE, 302);
   _actionMap[739][ELSE] = ActionEntry(REDUCE, 302);
   _actionMap[739][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[739][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[739][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[739][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[739][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[739][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[739][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[739][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[739][FROM] = ActionEntry(REDUCE, 302);
   _actionMap[739][AS] = ActionEntry(REDUCE, 302);
   _actionMap[739][END_TOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[739][BEGIN] = ActionEntry(REDUCE, 302);
   _actionMap[739][THEN] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser32()
{
   _actionMap[739][OR] = ActionEntry(REDUCE, 302);
   _actionMap[739][AND] = ActionEntry(REDUCE, 302);
   _actionMap[739][INTOK] = ActionEntry(REDUCE, 302);
   _actionMap[739][NOT] = ActionEntry(REDUCE, 302);
   _actionMap[739][BETWEEN] = ActionEntry(REDUCE, 302);
   _actionMap[739][IS] = ActionEntry(REDUCE, 302);
   _actionMap[739][LIKE] = ActionEntry(REDUCE, 302);
   _actionMap[739][MT] = ActionEntry(REDUCE, 302);
   _actionMap[739][LT] = ActionEntry(REDUCE, 302);
   _actionMap[739][NEGATION] = ActionEntry(REDUCE, 302);
   _actionMap[739][EQU] = ActionEntry(REDUCE, 302);
   _actionMap[739][RB] = ActionEntry(REDUCE, 302);
   _actionMap[739][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[739][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[739][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[739][KSEP] = ActionEntry(REDUCE, 302);
   _actionMap[739][ASC] = ActionEntry(REDUCE, 302);
   _actionMap[739][DESC] = ActionEntry(REDUCE, 302);
   _actionMap[739][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[739][PLUS] = ActionEntry(REDUCE, 302);
   _actionMap[739][MINUS] = ActionEntry(REDUCE, 302);
   _actionMap[739][DIVISION] = ActionEntry(REDUCE, 302);
   _actionMap[739][STAR] = ActionEntry(REDUCE, 302);
   _actionMap[739][CONCAT] = ActionEntry(REDUCE, 302);
   _actionMap[740][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[740][RB] = ActionEntry(REDUCE, 247);
   _actionMap[740][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[740][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[740][ROWLIMIT] = ActionEntry(SHIFT, 780);
   _jumpMap[740][NoLimit] = 779;
   _jumpMap[740][LimitOpt] = 778;
   _actionMap[741][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[741][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[741][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[741][RB] = ActionEntry(REDUCE, 235);
   _actionMap[741][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[742][BY] = ActionEntry(SHIFT, 781);
   _actionMap[743][IDENTIFIER] = ActionEntry(SHIFT, 784);
   _actionMap[743][QUALIFIEDOBJ] = ActionEntry(SHIFT, 785);
   _actionMap[743][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _jumpMap[743][Attribute] = 783;
   _jumpMap[743][GroupList] = 782;
   _actionMap[744][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[744][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[744][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[744][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[744][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[744][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[744][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[744][DATE2STR] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser33()
{
   _actionMap[744][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[744][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[744][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[744][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[744][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[744][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[744][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[744][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[744][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[744][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[744][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[744][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[744][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[744][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[744][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[744][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[744][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[744][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[744][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[744][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[744][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[744][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[744][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[744][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[744][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[744][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[744][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[744][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[744][LB] = ActionEntry(SHIFT, 376);
   _actionMap[744][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[744][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[744][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[744][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[744][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[744][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[744][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[744][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[744][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[744][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[744][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[744][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[744][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[744][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[744][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[744][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[744][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[744][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[744][ObjSpec] = 100;
   _jumpMap[744][Constant] = 99;
   _jumpMap[744][SignedFloat] = 98;
}
void Cego::loadParser34()
{
   _jumpMap[744][SignedInt] = 97;
   _jumpMap[744][Attribute] = 96;
   _jumpMap[744][QueryPredicate] = 373;
   _jumpMap[744][QueryCondition] = 786;
   _jumpMap[744][Function] = 95;
   _jumpMap[744][CasePrepare] = 94;
   _jumpMap[744][CaseClause] = 93;
   _jumpMap[744][Factor] = 92;
   _jumpMap[744][Term] = 91;
   _jumpMap[744][Expr] = 371;
   _actionMap[745][EXISTS] = ActionEntry(REDUCE, 222);
   _actionMap[745][LB] = ActionEntry(REDUCE, 222);
   _actionMap[745][NOT] = ActionEntry(REDUCE, 222);
   _actionMap[745][VARREF] = ActionEntry(REDUCE, 222);
   _actionMap[745][FETCH] = ActionEntry(REDUCE, 222);
   _actionMap[745][COUNT] = ActionEntry(REDUCE, 222);
   _actionMap[745][SUM] = ActionEntry(REDUCE, 222);
   _actionMap[745][AVG] = ActionEntry(REDUCE, 222);
   _actionMap[745][MIN] = ActionEntry(REDUCE, 222);
   _actionMap[745][MAX] = ActionEntry(REDUCE, 222);
   _actionMap[745][CASE] = ActionEntry(REDUCE, 222);
   _actionMap[745][TRIM] = ActionEntry(REDUCE, 222);
   _actionMap[745][RTRIM] = ActionEntry(REDUCE, 222);
   _actionMap[745][LTRIM] = ActionEntry(REDUCE, 222);
   _actionMap[745][ROUND] = ActionEntry(REDUCE, 222);
   _actionMap[745][DATE2STR] = ActionEntry(REDUCE, 222);
   _actionMap[745][DATE2INT] = ActionEntry(REDUCE, 222);
   _actionMap[745][INT2DATE] = ActionEntry(REDUCE, 222);
   _actionMap[745][LOWER] = ActionEntry(REDUCE, 222);
   _actionMap[745][UPPER] = ActionEntry(REDUCE, 222);
   _actionMap[745][LEFT] = ActionEntry(REDUCE, 222);
   _actionMap[745][RIGHT] = ActionEntry(REDUCE, 222);
   _actionMap[745][GETPOS] = ActionEntry(REDUCE, 222);
   _actionMap[745][SUBSTR] = ActionEntry(REDUCE, 222);
   _actionMap[745][REPLACE] = ActionEntry(REDUCE, 222);
   _actionMap[745][LENGTH] = ActionEntry(REDUCE, 222);
   _actionMap[745][TRUNC] = ActionEntry(REDUCE, 222);
   _actionMap[745][STR2INT] = ActionEntry(REDUCE, 222);
   _actionMap[745][STR2LONG] = ActionEntry(REDUCE, 222);
   _actionMap[745][STR2DATE] = ActionEntry(REDUCE, 222);
   _actionMap[745][RANDSTR] = ActionEntry(REDUCE, 222);
   _actionMap[745][RANDINT] = ActionEntry(REDUCE, 222);
   _actionMap[745][MOD] = ActionEntry(REDUCE, 222);
   _actionMap[745][DIV] = ActionEntry(REDUCE, 222);
   _actionMap[745][POWER] = ActionEntry(REDUCE, 222);
   _actionMap[745][BITAND] = ActionEntry(REDUCE, 222);
   _actionMap[745][BITOR] = ActionEntry(REDUCE, 222);
   _actionMap[745][BITXOR] = ActionEntry(REDUCE, 222);
   _actionMap[745][BLOBSIZE] = ActionEntry(REDUCE, 222);
   _actionMap[745][NEXTCOUNT] = ActionEntry(REDUCE, 222);
}
void Cego::loadParser35()
{
   _actionMap[745][SETCOUNT] = ActionEntry(REDUCE, 222);
   _actionMap[745][IDENTIFIER] = ActionEntry(REDUCE, 222);
   _actionMap[745][QUALIFIEDOBJ] = ActionEntry(REDUCE, 222);
   _actionMap[745][QUALIFIEDTS] = ActionEntry(REDUCE, 222);
   _actionMap[745][QUALIFIEDPRE] = ActionEntry(REDUCE, 222);
   _actionMap[745][STRINGVAL] = ActionEntry(REDUCE, 222);
   _actionMap[745][DATE] = ActionEntry(REDUCE, 222);
   _actionMap[745][SYSDATE] = ActionEntry(REDUCE, 222);
   _actionMap[745][NULLTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[745][TRUEVAL] = ActionEntry(REDUCE, 222);
   _actionMap[745][FALSEVAL] = ActionEntry(REDUCE, 222);
   _actionMap[745][LAB] = ActionEntry(REDUCE, 222);
   _actionMap[745][FLOATVAL] = ActionEntry(REDUCE, 222);
   _actionMap[745][MINUS] = ActionEntry(REDUCE, 222);
   _actionMap[745][INTVAL] = ActionEntry(REDUCE, 222);
   _actionMap[746][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[746][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[746][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[746][ObjSpec] = 440;
   _jumpMap[746][Table] = 787;
   _actionMap[747][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[747][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[747][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[747][ObjSpec] = 440;
   _jumpMap[747][Table] = 788;
   _actionMap[748][KSEP] = ActionEntry(SHIFT, 789);
   _actionMap[748][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[749][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[749][KSEP] = ActionEntry(REDUCE, 255);
   _actionMap[750][EQU] = ActionEntry(SHIFT, 790);
   _actionMap[591][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[592][COLUMN] = ActionEntry(SHIFT, 453);
   _actionMap[593][ON] = ActionEntry(SHIFT, 691);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[594][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[595][IDENTIFIER] = ActionEntry(SHIFT, 692);
   _actionMap[596][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[596][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[598][TO] = ActionEntry(SHIFT, 693);
   _actionMap[599][IDENTIFIER] = ActionEntry(SHIFT, 694);
   _actionMap[600][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[600][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[600][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[600][KSEP] = ActionEntry(REDUCE, 119);
   _actionMap[600][RB] = ActionEntry(REDUCE, 119);
   _actionMap[601][ELSE] = ActionEntry(REDUCE, 114);
   _actionMap[601][ELSIF] = ActionEntry(REDUCE, 114);
   _actionMap[601][EXCEPTION] = ActionEntry(REDUCE, 114);
}
void Cego::loadParser36()
{
   _actionMap[601][END_TOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[602][WHEN] = ActionEntry(SHIFT, 695);
   _actionMap[603][EXCEPTION] = ActionEntry(REDUCE, 93);
   _actionMap[603][END_TOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[603][ELSE] = ActionEntry(REDUCE, 93);
   _actionMap[603][ELSIF] = ActionEntry(REDUCE, 93);
   _actionMap[603][VAR] = ActionEntry(REDUCE, 93);
   _actionMap[603][CURSOR] = ActionEntry(REDUCE, 93);
   _actionMap[603][CLOSE] = ActionEntry(REDUCE, 93);
   _actionMap[603][VARREF] = ActionEntry(REDUCE, 93);
   _actionMap[603][NOOP] = ActionEntry(REDUCE, 93);
   _actionMap[603][RETURNTOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[603][WHILE] = ActionEntry(REDUCE, 93);
   _actionMap[603][IF] = ActionEntry(REDUCE, 93);
   _actionMap[603][BEGIN] = ActionEntry(REDUCE, 93);
   _actionMap[603][ROLLBACK] = ActionEntry(REDUCE, 93);
   _actionMap[603][COMMIT] = ActionEntry(REDUCE, 93);
   _actionMap[603][START_TOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[603][UPDATE] = ActionEntry(REDUCE, 93);
   _actionMap[603][DELETETOK] = ActionEntry(REDUCE, 93);
   _actionMap[603][INSERT] = ActionEntry(REDUCE, 93);
   _actionMap[603][FETCH] = ActionEntry(REDUCE, 93);
   _actionMap[603][LB] = ActionEntry(REDUCE, 93);
   _actionMap[603][COUNT] = ActionEntry(REDUCE, 93);
   _actionMap[603][SUM] = ActionEntry(REDUCE, 93);
   _actionMap[603][AVG] = ActionEntry(REDUCE, 93);
   _actionMap[603][MIN] = ActionEntry(REDUCE, 93);
   _actionMap[603][MAX] = ActionEntry(REDUCE, 93);
   _actionMap[603][CASE] = ActionEntry(REDUCE, 93);
   _actionMap[603][TRIM] = ActionEntry(REDUCE, 93);
   _actionMap[603][RTRIM] = ActionEntry(REDUCE, 93);
   _actionMap[603][LTRIM] = ActionEntry(REDUCE, 93);
   _actionMap[603][ROUND] = ActionEntry(REDUCE, 93);
   _actionMap[603][DATE2STR] = ActionEntry(REDUCE, 93);
   _actionMap[603][DATE2INT] = ActionEntry(REDUCE, 93);
   _actionMap[603][INT2DATE] = ActionEntry(REDUCE, 93);
   _actionMap[603][LOWER] = ActionEntry(REDUCE, 93);
   _actionMap[603][UPPER] = ActionEntry(REDUCE, 93);
   _actionMap[603][LEFT] = ActionEntry(REDUCE, 93);
   _actionMap[603][RIGHT] = ActionEntry(REDUCE, 93);
   _actionMap[603][GETPOS] = ActionEntry(REDUCE, 93);
   _actionMap[603][SUBSTR] = ActionEntry(REDUCE, 93);
   _actionMap[603][REPLACE] = ActionEntry(REDUCE, 93);
   _actionMap[603][LENGTH] = ActionEntry(REDUCE, 93);
   _actionMap[603][TRUNC] = ActionEntry(REDUCE, 93);
   _actionMap[603][STR2INT] = ActionEntry(REDUCE, 93);
   _actionMap[603][STR2LONG] = ActionEntry(REDUCE, 93);
   _actionMap[603][STR2DATE] = ActionEntry(REDUCE, 93);
   _actionMap[603][RANDSTR] = ActionEntry(REDUCE, 93);
   _actionMap[603][RANDINT] = ActionEntry(REDUCE, 93);
}
void Cego::loadParser37()
{
   _actionMap[603][MOD] = ActionEntry(REDUCE, 93);
   _actionMap[603][DIV] = ActionEntry(REDUCE, 93);
   _actionMap[603][POWER] = ActionEntry(REDUCE, 93);
   _actionMap[603][BITAND] = ActionEntry(REDUCE, 93);
   _actionMap[603][BITOR] = ActionEntry(REDUCE, 93);
   _actionMap[603][BITXOR] = ActionEntry(REDUCE, 93);
   _actionMap[603][BLOBSIZE] = ActionEntry(REDUCE, 93);
   _actionMap[603][NEXTCOUNT] = ActionEntry(REDUCE, 93);
   _actionMap[603][SETCOUNT] = ActionEntry(REDUCE, 93);
   _actionMap[603][IDENTIFIER] = ActionEntry(REDUCE, 93);
   _actionMap[603][QUALIFIEDOBJ] = ActionEntry(REDUCE, 93);
   _actionMap[603][QUALIFIEDTS] = ActionEntry(REDUCE, 93);
   _actionMap[603][QUALIFIEDPRE] = ActionEntry(REDUCE, 93);
   _actionMap[603][STRINGVAL] = ActionEntry(REDUCE, 93);
   _actionMap[603][DATE] = ActionEntry(REDUCE, 93);
   _actionMap[603][SYSDATE] = ActionEntry(REDUCE, 93);
   _actionMap[603][NULLTOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[603][TRUEVAL] = ActionEntry(REDUCE, 93);
   _actionMap[603][FALSEVAL] = ActionEntry(REDUCE, 93);
   _actionMap[603][LAB] = ActionEntry(REDUCE, 93);
   _actionMap[603][FLOATVAL] = ActionEntry(REDUCE, 93);
   _actionMap[603][MINUS] = ActionEntry(REDUCE, 93);
   _actionMap[603][INTVAL] = ActionEntry(REDUCE, 93);
   _actionMap[604][SEMICOLON] = ActionEntry(REDUCE, 112);
   _actionMap[605][END_TOKEN] = ActionEntry(SHIFT, 608);
   _actionMap[606][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[606][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[606][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[606][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[606][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[606][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[606][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[606][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[606][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[606][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[606][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[606][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[606][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[606][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[606][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[606][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[606][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[606][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[606][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[606][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[606][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[606][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[606][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[606][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[606][MOD] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser38()
{
   _actionMap[606][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[606][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[606][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[606][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[606][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[606][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[606][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[606][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[606][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[606][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[606][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[606][LB] = ActionEntry(SHIFT, 144);
   _actionMap[606][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[606][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[606][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[606][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[606][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[606][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[606][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[606][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[606][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[606][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[606][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[606][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[606][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[606][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[606][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[606][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[606][IF] = ActionEntry(SHIFT, 341);
   _actionMap[606][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[606][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[606][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[606][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[606][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[606][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[606][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[606][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[606][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[606][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[606][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[606][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[606][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[606][ObjSpec] = 100;
   _jumpMap[606][Constant] = 99;
   _jumpMap[606][SignedFloat] = 98;
   _jumpMap[606][SignedInt] = 97;
   _jumpMap[606][Attribute] = 96;
   _jumpMap[606][Function] = 95;
   _jumpMap[606][DeleteStatement] = 337;
   _jumpMap[606][UpdateStatement] = 336;
}
void Cego::loadParser39()
{
   _jumpMap[606][InsertStatement] = 335;
   _jumpMap[606][RollbackStatement] = 334;
   _jumpMap[606][CommitStatement] = 333;
   _jumpMap[606][StartStatement] = 332;
   _jumpMap[606][CasePrepare] = 94;
   _jumpMap[606][CaseClause] = 93;
   _jumpMap[606][Factor] = 92;
   _jumpMap[606][Term] = 91;
   _jumpMap[606][Expr] = 331;
   _jumpMap[606][ProcStatement] = 330;
   _jumpMap[606][ProcIfPart] = 329;
   _jumpMap[606][ProcBlockStart] = 328;
   _jumpMap[606][ProcStatementList] = 327;
   _jumpMap[606][ProcStmtBlock] = 696;
   _actionMap[607][VAR] = ActionEntry(REDUCE, 129);
   _actionMap[607][CURSOR] = ActionEntry(REDUCE, 129);
   _actionMap[607][CLOSE] = ActionEntry(REDUCE, 129);
   _actionMap[607][VARREF] = ActionEntry(REDUCE, 129);
   _actionMap[607][NOOP] = ActionEntry(REDUCE, 129);
   _actionMap[607][RETURNTOKEN] = ActionEntry(REDUCE, 129);
   _actionMap[607][WHILE] = ActionEntry(REDUCE, 129);
   _actionMap[607][IF] = ActionEntry(REDUCE, 129);
   _actionMap[607][BEGIN] = ActionEntry(REDUCE, 129);
   _actionMap[607][ROLLBACK] = ActionEntry(REDUCE, 129);
   _actionMap[607][COMMIT] = ActionEntry(REDUCE, 129);
   _actionMap[607][START_TOKEN] = ActionEntry(REDUCE, 129);
   _actionMap[607][UPDATE] = ActionEntry(REDUCE, 129);
   _actionMap[607][DELETETOK] = ActionEntry(REDUCE, 129);
   _actionMap[607][INSERT] = ActionEntry(REDUCE, 129);
   _actionMap[607][FETCH] = ActionEntry(REDUCE, 129);
   _actionMap[607][LB] = ActionEntry(REDUCE, 129);
   _actionMap[607][COUNT] = ActionEntry(REDUCE, 129);
   _actionMap[607][SUM] = ActionEntry(REDUCE, 129);
   _actionMap[607][AVG] = ActionEntry(REDUCE, 129);
   _actionMap[607][MIN] = ActionEntry(REDUCE, 129);
   _actionMap[607][MAX] = ActionEntry(REDUCE, 129);
   _actionMap[607][CASE] = ActionEntry(REDUCE, 129);
   _actionMap[607][TRIM] = ActionEntry(REDUCE, 129);
   _actionMap[607][RTRIM] = ActionEntry(REDUCE, 129);
   _actionMap[607][LTRIM] = ActionEntry(REDUCE, 129);
   _actionMap[607][ROUND] = ActionEntry(REDUCE, 129);
   _actionMap[607][DATE2STR] = ActionEntry(REDUCE, 129);
   _actionMap[607][DATE2INT] = ActionEntry(REDUCE, 129);
   _actionMap[607][INT2DATE] = ActionEntry(REDUCE, 129);
   _actionMap[607][LOWER] = ActionEntry(REDUCE, 129);
   _actionMap[607][UPPER] = ActionEntry(REDUCE, 129);
   _actionMap[607][LEFT] = ActionEntry(REDUCE, 129);
   _actionMap[607][RIGHT] = ActionEntry(REDUCE, 129);
   _actionMap[607][GETPOS] = ActionEntry(REDUCE, 129);
   _actionMap[607][SUBSTR] = ActionEntry(REDUCE, 129);
}
void Cego::loadParser40()
{
   _actionMap[607][REPLACE] = ActionEntry(REDUCE, 129);
   _actionMap[607][LENGTH] = ActionEntry(REDUCE, 129);
   _actionMap[607][TRUNC] = ActionEntry(REDUCE, 129);
   _actionMap[607][STR2INT] = ActionEntry(REDUCE, 129);
   _actionMap[607][STR2LONG] = ActionEntry(REDUCE, 129);
   _actionMap[607][STR2DATE] = ActionEntry(REDUCE, 129);
   _actionMap[607][RANDSTR] = ActionEntry(REDUCE, 129);
   _actionMap[607][RANDINT] = ActionEntry(REDUCE, 129);
   _actionMap[607][MOD] = ActionEntry(REDUCE, 129);
   _actionMap[607][DIV] = ActionEntry(REDUCE, 129);
   _actionMap[607][POWER] = ActionEntry(REDUCE, 129);
   _actionMap[607][BITAND] = ActionEntry(REDUCE, 129);
   _actionMap[607][BITOR] = ActionEntry(REDUCE, 129);
   _actionMap[607][BITXOR] = ActionEntry(REDUCE, 129);
   _actionMap[607][BLOBSIZE] = ActionEntry(REDUCE, 129);
   _actionMap[607][NEXTCOUNT] = ActionEntry(REDUCE, 129);
   _actionMap[607][SETCOUNT] = ActionEntry(REDUCE, 129);
   _actionMap[607][IDENTIFIER] = ActionEntry(REDUCE, 129);
   _actionMap[607][QUALIFIEDOBJ] = ActionEntry(REDUCE, 129);
   _actionMap[607][QUALIFIEDTS] = ActionEntry(REDUCE, 129);
   _actionMap[607][QUALIFIEDPRE] = ActionEntry(REDUCE, 129);
   _actionMap[607][STRINGVAL] = ActionEntry(REDUCE, 129);
   _actionMap[607][DATE] = ActionEntry(REDUCE, 129);
   _actionMap[607][SYSDATE] = ActionEntry(REDUCE, 129);
   _actionMap[607][NULLTOKEN] = ActionEntry(REDUCE, 129);
   _actionMap[607][TRUEVAL] = ActionEntry(REDUCE, 129);
   _actionMap[607][FALSEVAL] = ActionEntry(REDUCE, 129);
   _actionMap[607][LAB] = ActionEntry(REDUCE, 129);
   _actionMap[607][FLOATVAL] = ActionEntry(REDUCE, 129);
   _actionMap[607][MINUS] = ActionEntry(REDUCE, 129);
   _actionMap[607][INTVAL] = ActionEntry(REDUCE, 129);
   _actionMap[608][SEMICOLON] = ActionEntry(REDUCE, 122);
   _actionMap[609][END_TOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[609][ELSE] = ActionEntry(REDUCE, 124);
   _actionMap[610][THEN] = ActionEntry(SHIFT, 697);
   _actionMap[611][OR] = ActionEntry(SHIFT, 615);
   _actionMap[611][AND] = ActionEntry(SHIFT, 614);
   _actionMap[611][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[612][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[612][SelectStatement] = 698;
   _actionMap[613][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[613][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[613][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[613][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[613][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[613][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[613][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[613][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[613][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[613][INT2DATE] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser41()
{
   _actionMap[613][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[613][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[613][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[613][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[613][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[613][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[613][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[613][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[613][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[613][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[613][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[613][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[613][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[613][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[613][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[613][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[613][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[613][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[613][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[613][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[613][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[613][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[613][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[613][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[613][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[613][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[613][LB] = ActionEntry(SHIFT, 144);
   _actionMap[613][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[613][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[613][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[613][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[613][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[613][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[613][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[613][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[613][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[613][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[613][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[613][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[613][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[613][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[613][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[613][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[613][IF] = ActionEntry(SHIFT, 341);
   _actionMap[613][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[613][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[613][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[613][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[613][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[613][DELETETOK] = ActionEntry(SHIFT, 18);
}
void Cego::loadParser42()
{
   _actionMap[613][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[613][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[613][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[613][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[613][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[613][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[613][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[613][ObjSpec] = 100;
   _jumpMap[613][Constant] = 99;
   _jumpMap[613][SignedFloat] = 98;
   _jumpMap[613][SignedInt] = 97;
   _jumpMap[613][Attribute] = 96;
   _jumpMap[613][Function] = 95;
   _jumpMap[613][DeleteStatement] = 337;
   _jumpMap[613][UpdateStatement] = 336;
   _jumpMap[613][InsertStatement] = 335;
   _jumpMap[613][RollbackStatement] = 334;
   _jumpMap[613][CommitStatement] = 333;
   _jumpMap[613][StartStatement] = 332;
   _jumpMap[613][CasePrepare] = 94;
   _jumpMap[613][CaseClause] = 93;
   _jumpMap[613][Factor] = 92;
   _jumpMap[613][Term] = 91;
   _jumpMap[613][Expr] = 331;
   _jumpMap[613][ProcStatement] = 330;
   _jumpMap[613][ProcIfPart] = 329;
   _jumpMap[613][ProcBlockStart] = 328;
   _jumpMap[613][ProcStatementList] = 327;
   _jumpMap[613][ProcStmtBlock] = 699;
   _actionMap[614][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[614][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[614][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[614][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[614][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[614][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[614][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[614][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[614][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[614][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[614][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[614][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[614][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[614][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[614][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[614][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[614][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[614][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[614][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[614][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[614][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser43()
{
   _actionMap[614][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[614][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[614][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[614][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[614][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[614][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[614][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[614][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[614][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[614][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[614][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[614][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[614][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[614][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[614][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[614][LB] = ActionEntry(SHIFT, 474);
   _actionMap[614][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[614][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[614][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[614][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[614][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[614][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[614][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[614][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[614][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[614][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[614][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[614][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[614][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[614][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[614][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[614][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[614][ObjSpec] = 100;
   _jumpMap[614][Constant] = 99;
   _jumpMap[614][SignedFloat] = 98;
   _jumpMap[614][SignedInt] = 97;
   _jumpMap[614][Attribute] = 96;
   _jumpMap[614][Function] = 95;
   _jumpMap[614][CasePrepare] = 94;
   _jumpMap[614][CaseClause] = 93;
   _jumpMap[614][Factor] = 92;
   _jumpMap[614][Term] = 91;
   _jumpMap[614][Expr] = 473;
   _jumpMap[614][ProcPredicate] = 700;
   _actionMap[615][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[615][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[615][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[615][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[615][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[615][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser44()
{
   _actionMap[615][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[615][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[615][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[615][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[615][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[615][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[615][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[615][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[615][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[615][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[615][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[615][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[615][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[615][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[615][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[615][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[615][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[615][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[615][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[615][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[615][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[615][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[615][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[615][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[615][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[615][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[615][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[615][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[615][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[615][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[615][LB] = ActionEntry(SHIFT, 474);
   _actionMap[615][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[615][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[615][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[615][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[615][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[615][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[615][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[615][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[615][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[615][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[615][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[615][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[615][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[615][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[615][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[615][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[615][ObjSpec] = 100;
   _jumpMap[615][Constant] = 99;
   _jumpMap[615][SignedFloat] = 98;
}
void Cego::loadParser45()
{
   _jumpMap[615][SignedInt] = 97;
   _jumpMap[615][Attribute] = 96;
   _jumpMap[615][Function] = 95;
   _jumpMap[615][CasePrepare] = 94;
   _jumpMap[615][CaseClause] = 93;
   _jumpMap[615][Factor] = 92;
   _jumpMap[615][Term] = 91;
   _jumpMap[615][Expr] = 473;
   _jumpMap[615][ProcPredicate] = 701;
   _actionMap[616][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[616][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[616][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[616][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[616][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[616][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[616][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[616][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[616][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[616][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[616][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[616][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[616][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[616][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[616][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[616][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[616][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[616][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[616][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[616][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[616][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[616][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[616][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[616][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[616][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[616][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[616][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[616][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[616][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[616][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[616][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[616][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[616][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[616][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[616][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[616][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[616][LB] = ActionEntry(SHIFT, 144);
   _actionMap[616][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[616][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[616][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[616][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser46()
{
   _actionMap[616][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[616][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[616][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[616][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[616][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[616][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[616][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[616][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[616][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[616][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[616][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[616][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[616][ObjSpec] = 100;
   _jumpMap[616][Constant] = 99;
   _jumpMap[616][SignedFloat] = 98;
   _jumpMap[616][SignedInt] = 97;
   _jumpMap[616][Attribute] = 96;
   _jumpMap[616][Function] = 95;
   _jumpMap[616][CasePrepare] = 94;
   _jumpMap[616][CaseClause] = 93;
   _jumpMap[616][Factor] = 92;
   _jumpMap[616][Term] = 91;
   _jumpMap[616][Expr] = 702;
   _actionMap[617][NOT] = ActionEntry(SHIFT, 703);
   _actionMap[617][NULLTOKEN] = ActionEntry(SHIFT, 704);
   _actionMap[618][RB] = ActionEntry(SHIFT, 705);
   _actionMap[618][OR] = ActionEntry(SHIFT, 615);
   _actionMap[618][AND] = ActionEntry(SHIFT, 614);
   _actionMap[619][RB] = ActionEntry(SHIFT, 420);
   _actionMap[619][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[619][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[619][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[619][IS] = ActionEntry(SHIFT, 617);
   _actionMap[619][EQU] = ActionEntry(SHIFT, 507);
   _actionMap[619][NEGATION] = ActionEntry(SHIFT, 510);
   _actionMap[619][LT] = ActionEntry(SHIFT, 508);
   _actionMap[619][MT] = ActionEntry(SHIFT, 509);
   _jumpMap[619][Comparison] = 616;
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[620][EQU] = ActionEntry(SHIFT, 708);
   _jumpMap[620][ProcNoAssignment] = 707;
   _jumpMap[620][ProcInitialAssignment] = 706;
   _actionMap[621][LB] = ActionEntry(SHIFT, 709);
   _actionMap[622][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[622][DEFAULT] = ActionEntry(REDUCE, 336);
   _actionMap[622][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[622][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[622][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[622][RB] = ActionEntry(REDUCE, 336);
   _actionMap[622][EQU] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser47()
{
   _actionMap[622][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[623][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[623][DEFAULT] = ActionEntry(REDUCE, 328);
   _actionMap[623][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[623][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[623][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[623][RB] = ActionEntry(REDUCE, 328);
   _actionMap[623][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[624][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[624][DEFAULT] = ActionEntry(REDUCE, 327);
   _actionMap[624][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[624][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[624][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[624][RB] = ActionEntry(REDUCE, 327);
   _actionMap[624][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[624][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[625][LB] = ActionEntry(SHIFT, 710);
   _actionMap[626][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[626][DEFAULT] = ActionEntry(REDUCE, 331);
   _actionMap[626][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[626][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[626][RB] = ActionEntry(REDUCE, 331);
   _actionMap[626][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[627][LB] = ActionEntry(SHIFT, 711);
   _actionMap[628][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[628][DEFAULT] = ActionEntry(REDUCE, 330);
   _actionMap[628][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[628][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[628][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[628][RB] = ActionEntry(REDUCE, 330);
   _actionMap[628][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[629][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[629][DEFAULT] = ActionEntry(REDUCE, 324);
   _actionMap[629][NULLTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[629][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[629][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[629][RB] = ActionEntry(REDUCE, 324);
   _actionMap[629][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[630][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[630][DEFAULT] = ActionEntry(REDUCE, 325);
   _actionMap[630][NULLTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[630][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[630][RB] = ActionEntry(REDUCE, 325);
   _actionMap[630][EQU] = ActionEntry(REDUCE, 325);
}
void Cego::loadParser48()
{
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[631][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[631][DEFAULT] = ActionEntry(REDUCE, 332);
   _actionMap[631][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[631][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[631][RB] = ActionEntry(REDUCE, 332);
   _actionMap[631][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[631][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[632][LB] = ActionEntry(SHIFT, 712);
   _actionMap[633][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[633][DEFAULT] = ActionEntry(REDUCE, 333);
   _actionMap[633][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[633][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[633][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[633][RB] = ActionEntry(REDUCE, 333);
   _actionMap[633][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[634][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[634][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[634][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[634][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[634][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[634][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[634][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[634][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[634][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[634][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[634][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[634][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[634][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[634][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[634][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[634][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[634][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[634][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[634][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[634][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[634][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[634][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[634][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[634][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[634][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[634][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[634][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[634][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[634][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[634][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[634][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[634][NEXTCOUNT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser49()
{
   _actionMap[634][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[634][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[634][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[634][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[634][LB] = ActionEntry(SHIFT, 144);
   _actionMap[634][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[634][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[634][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[634][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[634][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[634][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[634][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[634][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[634][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[634][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[634][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[634][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[634][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[634][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[634][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[634][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[634][IF] = ActionEntry(SHIFT, 341);
   _actionMap[634][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[634][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[634][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[634][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[634][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[634][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[634][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[634][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[634][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[634][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[634][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[634][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[634][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[634][ObjSpec] = 100;
   _jumpMap[634][Constant] = 99;
   _jumpMap[634][SignedFloat] = 98;
   _jumpMap[634][SignedInt] = 97;
   _jumpMap[634][Attribute] = 96;
   _jumpMap[634][Function] = 95;
   _jumpMap[634][DeleteStatement] = 337;
   _jumpMap[634][UpdateStatement] = 336;
   _jumpMap[634][InsertStatement] = 335;
   _jumpMap[634][RollbackStatement] = 334;
   _jumpMap[634][CommitStatement] = 333;
   _jumpMap[634][StartStatement] = 332;
   _jumpMap[634][CasePrepare] = 94;
   _jumpMap[634][CaseClause] = 93;
   _jumpMap[634][Factor] = 92;
}
void Cego::loadParser50()
{
   _jumpMap[634][Term] = 91;
   _jumpMap[634][Expr] = 331;
   _jumpMap[634][ProcStatement] = 330;
   _jumpMap[634][ProcIfPart] = 329;
   _jumpMap[634][ProcBlockStart] = 328;
   _jumpMap[634][ProcStatementList] = 327;
   _jumpMap[634][ProcStmtBlock] = 713;
   _actionMap[635][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[635][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[635][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[635][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[636][LB] = ActionEntry(SHIFT, 714);
   _actionMap[637][IDENTIFIER] = ActionEntry(SHIFT, 717);
   _jumpMap[637][SimpleAttr] = 716;
   _jumpMap[637][SimpleAttrList] = 715;
   _actionMap[638][IDENTIFIER] = ActionEntry(SHIFT, 486);
   _jumpMap[638][ProcArg] = 718;
   _actionMap[639][BEGIN] = ActionEntry(REDUCE, 82);
   _actionMap[640][INT] = ActionEntry(SHIFT, 629);
   _actionMap[640][LONG] = ActionEntry(SHIFT, 630);
   _actionMap[640][STRING] = ActionEntry(SHIFT, 632);
   _actionMap[640][DATETIME] = ActionEntry(SHIFT, 624);
   _actionMap[640][BOOL] = ActionEntry(SHIFT, 623);
   _actionMap[640][BIGINT] = ActionEntry(SHIFT, 621);
   _actionMap[640][FLOAT] = ActionEntry(SHIFT, 628);
   _actionMap[640][DOUBLE] = ActionEntry(SHIFT, 626);
   _actionMap[640][SMALLINT] = ActionEntry(SHIFT, 631);
   _actionMap[640][TINYINT] = ActionEntry(SHIFT, 633);
   _actionMap[640][DECIMAL] = ActionEntry(SHIFT, 625);
   _actionMap[640][FIXED] = ActionEntry(SHIFT, 627);
   _actionMap[640][BLOB] = ActionEntry(SHIFT, 622);
   _jumpMap[640][DataTypeProd] = 719;
   _actionMap[641][INT] = ActionEntry(SHIFT, 629);
   _actionMap[641][LONG] = ActionEntry(SHIFT, 630);
   _actionMap[641][STRING] = ActionEntry(SHIFT, 632);
   _actionMap[641][DATETIME] = ActionEntry(SHIFT, 624);
   _actionMap[641][BOOL] = ActionEntry(SHIFT, 623);
   _actionMap[641][BIGINT] = ActionEntry(SHIFT, 621);
   _actionMap[641][FLOAT] = ActionEntry(SHIFT, 628);
   _actionMap[641][DOUBLE] = ActionEntry(SHIFT, 626);
   _actionMap[641][SMALLINT] = ActionEntry(SHIFT, 631);
   _actionMap[641][TINYINT] = ActionEntry(SHIFT, 633);
   _actionMap[641][DECIMAL] = ActionEntry(SHIFT, 625);
   _actionMap[641][FIXED] = ActionEntry(SHIFT, 627);
   _actionMap[641][BLOB] = ActionEntry(SHIFT, 622);
   _jumpMap[641][DataTypeProd] = 720;
   _actionMap[642][INT] = ActionEntry(SHIFT, 629);
   _actionMap[642][LONG] = ActionEntry(SHIFT, 630);
   _actionMap[642][STRING] = ActionEntry(SHIFT, 632);
   _actionMap[642][DATETIME] = ActionEntry(SHIFT, 624);
}
void Cego::loadParser51()
{
   _actionMap[642][BOOL] = ActionEntry(SHIFT, 623);
   _actionMap[642][BIGINT] = ActionEntry(SHIFT, 621);
   _actionMap[642][FLOAT] = ActionEntry(SHIFT, 628);
   _actionMap[642][DOUBLE] = ActionEntry(SHIFT, 626);
   _actionMap[642][SMALLINT] = ActionEntry(SHIFT, 631);
   _actionMap[642][TINYINT] = ActionEntry(SHIFT, 633);
   _actionMap[642][DECIMAL] = ActionEntry(SHIFT, 625);
   _actionMap[642][FIXED] = ActionEntry(SHIFT, 627);
   _actionMap[642][BLOB] = ActionEntry(SHIFT, 622);
   _jumpMap[642][DataTypeProd] = 721;
   _actionMap[643][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _actionMap[643][PRIMARY] = ActionEntry(SHIFT, 490);
   _jumpMap[643][ColumnDesc] = 489;
   _jumpMap[643][KeyColumn] = 722;
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[645][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[645][RB] = ActionEntry(REDUCE, 171);
   _actionMap[646][RB] = ActionEntry(REDUCE, 180);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 180);
   _actionMap[646][NOT] = ActionEntry(REDUCE, 180);
   _actionMap[646][NULLTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[646][DEFAULT] = ActionEntry(SHIFT, 725);
   _jumpMap[646][DefaultDefOpt] = 724;
   _jumpMap[646][DefaultOpt] = 723;
   _actionMap[647][LB] = ActionEntry(SHIFT, 496);
   _jumpMap[647][InsertValueSpec] = 726;
   _actionMap[648][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[648][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[648][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[648][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[648][RB] = ActionEntry(REDUCE, 202);
   _actionMap[649][RB] = ActionEntry(SHIFT, 728);
   _actionMap[649][KSEP] = ActionEntry(SHIFT, 727);
   _actionMap[650][IDENTIFIER] = ActionEntry(SHIFT, 729);
   _actionMap[651][SELECT] = ActionEntry(REDUCE, 193);
   _actionMap[651][VALUES] = ActionEntry(REDUCE, 193);
   _actionMap[652][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[652][ELSE] = ActionEntry(REDUCE, 162);
   _actionMap[652][LEFT] = ActionEntry(REDUCE, 162);
   _actionMap[652][RIGHT] = ActionEntry(REDUCE, 162);
   _actionMap[652][INNER] = ActionEntry(REDUCE, 162);
   _actionMap[652][JOIN] = ActionEntry(REDUCE, 162);
   _actionMap[652][RETURNTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[652][ORDER] = ActionEntry(REDUCE, 162);
   _actionMap[652][GROUP] = ActionEntry(REDUCE, 162);
   _actionMap[652][WHERE] = ActionEntry(REDUCE, 162);
   _actionMap[652][BEGIN] = ActionEntry(REDUCE, 162);
   _actionMap[652][THEN] = ActionEntry(REDUCE, 162);
   _actionMap[652][OR] = ActionEntry(REDUCE, 162);
}
void Cego::loadParser52()
{
   _actionMap[652][FROM] = ActionEntry(REDUCE, 162);
   _actionMap[652][AS] = ActionEntry(REDUCE, 162);
   _actionMap[652][END_TOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[652][AND] = ActionEntry(REDUCE, 162);
   _actionMap[652][INTOK] = ActionEntry(REDUCE, 162);
   _actionMap[652][NOT] = ActionEntry(REDUCE, 162);
   _actionMap[652][BETWEEN] = ActionEntry(REDUCE, 162);
   _actionMap[652][IS] = ActionEntry(REDUCE, 162);
   _actionMap[652][LIKE] = ActionEntry(REDUCE, 162);
   _actionMap[652][MT] = ActionEntry(REDUCE, 162);
   _actionMap[652][LT] = ActionEntry(REDUCE, 162);
   _actionMap[652][NEGATION] = ActionEntry(REDUCE, 162);
   _actionMap[652][EQU] = ActionEntry(REDUCE, 162);
   _actionMap[652][RB] = ActionEntry(REDUCE, 162);
   _actionMap[652][ENDTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[652][UNION] = ActionEntry(REDUCE, 162);
   _actionMap[652][ROWLIMIT] = ActionEntry(REDUCE, 162);
   _actionMap[652][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[652][ASC] = ActionEntry(REDUCE, 162);
   _actionMap[652][DESC] = ActionEntry(REDUCE, 162);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 162);
   _actionMap[652][PLUS] = ActionEntry(REDUCE, 162);
   _actionMap[652][MINUS] = ActionEntry(REDUCE, 162);
   _actionMap[652][DIVISION] = ActionEntry(REDUCE, 162);
   _actionMap[652][STAR] = ActionEntry(REDUCE, 162);
   _actionMap[652][CONCAT] = ActionEntry(REDUCE, 162);
   _actionMap[653][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[653][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[653][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[653][LEFT] = ActionEntry(REDUCE, 316);
   _actionMap[653][RIGHT] = ActionEntry(REDUCE, 316);
   _actionMap[653][INNER] = ActionEntry(REDUCE, 316);
   _actionMap[653][JOIN] = ActionEntry(REDUCE, 316);
   _actionMap[653][RETURNTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[653][ENDTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[653][UNION] = ActionEntry(REDUCE, 316);
   _actionMap[653][ROWLIMIT] = ActionEntry(REDUCE, 316);
   _actionMap[653][ORDER] = ActionEntry(REDUCE, 316);
   _actionMap[653][GROUP] = ActionEntry(REDUCE, 316);
   _actionMap[653][WHERE] = ActionEntry(REDUCE, 316);
   _actionMap[653][THEN] = ActionEntry(REDUCE, 316);
   _actionMap[653][AND] = ActionEntry(REDUCE, 316);
   _actionMap[653][OR] = ActionEntry(REDUCE, 316);
   _actionMap[653][RB] = ActionEntry(REDUCE, 316);
   _actionMap[654][AND] = ActionEntry(SHIFT, 730);
   _actionMap[654][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[654][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[654][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[655][SELECT] = ActionEntry(SHIFT, 30);
}
void Cego::loadParser53()
{
   _jumpMap[655][SelectStatement] = 731;
   _actionMap[656][NULLTOKEN] = ActionEntry(SHIFT, 732);
   _actionMap[657][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[657][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[657][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[657][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[657][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[657][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[657][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[657][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[657][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[657][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[657][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[657][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[657][AND] = ActionEntry(REDUCE, 318);
   _actionMap[657][OR] = ActionEntry(REDUCE, 318);
   _actionMap[657][RB] = ActionEntry(REDUCE, 318);
   _actionMap[658][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[658][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[658][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[658][JOIN] = ActionEntry(REDUCE, 320);
   _actionMap[658][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[658][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[658][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[658][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[658][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[658][WHERE] = ActionEntry(REDUCE, 320);
   _actionMap[658][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][AND] = ActionEntry(REDUCE, 320);
   _actionMap[658][OR] = ActionEntry(REDUCE, 320);
   _actionMap[658][RB] = ActionEntry(REDUCE, 320);
   _actionMap[659][LB] = ActionEntry(SHIFT, 733);
   _actionMap[660][STRINGVAL] = ActionEntry(SHIFT, 734);
   _actionMap[661][VARREF] = ActionEntry(REDUCE, 341);
   _actionMap[661][FETCH] = ActionEntry(REDUCE, 341);
   _actionMap[661][LB] = ActionEntry(REDUCE, 341);
   _actionMap[661][COUNT] = ActionEntry(REDUCE, 341);
   _actionMap[661][SUM] = ActionEntry(REDUCE, 341);
   _actionMap[661][AVG] = ActionEntry(REDUCE, 341);
   _actionMap[661][MIN] = ActionEntry(REDUCE, 341);
   _actionMap[661][MAX] = ActionEntry(REDUCE, 341);
   _actionMap[661][CASE] = ActionEntry(REDUCE, 341);
   _actionMap[661][TRIM] = ActionEntry(REDUCE, 341);
   _actionMap[661][RTRIM] = ActionEntry(REDUCE, 341);
   _actionMap[661][LTRIM] = ActionEntry(REDUCE, 341);
   _actionMap[661][ROUND] = ActionEntry(REDUCE, 341);
   _actionMap[661][DATE2STR] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser54()
{
   _actionMap[661][DATE2INT] = ActionEntry(REDUCE, 341);
   _actionMap[661][INT2DATE] = ActionEntry(REDUCE, 341);
   _actionMap[661][LOWER] = ActionEntry(REDUCE, 341);
   _actionMap[661][UPPER] = ActionEntry(REDUCE, 341);
   _actionMap[661][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[661][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[661][GETPOS] = ActionEntry(REDUCE, 341);
   _actionMap[661][SUBSTR] = ActionEntry(REDUCE, 341);
   _actionMap[661][REPLACE] = ActionEntry(REDUCE, 341);
   _actionMap[661][LENGTH] = ActionEntry(REDUCE, 341);
   _actionMap[661][TRUNC] = ActionEntry(REDUCE, 341);
   _actionMap[661][STR2INT] = ActionEntry(REDUCE, 341);
   _actionMap[661][STR2LONG] = ActionEntry(REDUCE, 341);
   _actionMap[661][STR2DATE] = ActionEntry(REDUCE, 341);
   _actionMap[661][RANDSTR] = ActionEntry(REDUCE, 341);
   _actionMap[661][RANDINT] = ActionEntry(REDUCE, 341);
   _actionMap[661][MOD] = ActionEntry(REDUCE, 341);
   _actionMap[661][DIV] = ActionEntry(REDUCE, 341);
   _actionMap[661][POWER] = ActionEntry(REDUCE, 341);
   _actionMap[661][BITAND] = ActionEntry(REDUCE, 341);
   _actionMap[661][BITOR] = ActionEntry(REDUCE, 341);
   _actionMap[661][BITXOR] = ActionEntry(REDUCE, 341);
   _actionMap[661][BLOBSIZE] = ActionEntry(REDUCE, 341);
   _actionMap[661][NEXTCOUNT] = ActionEntry(REDUCE, 341);
   _actionMap[661][SETCOUNT] = ActionEntry(REDUCE, 341);
   _actionMap[661][IDENTIFIER] = ActionEntry(REDUCE, 341);
   _actionMap[661][QUALIFIEDOBJ] = ActionEntry(REDUCE, 341);
   _actionMap[661][QUALIFIEDTS] = ActionEntry(REDUCE, 341);
   _actionMap[661][QUALIFIEDPRE] = ActionEntry(REDUCE, 341);
   _actionMap[661][STRINGVAL] = ActionEntry(REDUCE, 341);
   _actionMap[661][DATE] = ActionEntry(REDUCE, 341);
   _actionMap[661][SYSDATE] = ActionEntry(REDUCE, 341);
   _actionMap[661][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[661][TRUEVAL] = ActionEntry(REDUCE, 341);
   _actionMap[661][FALSEVAL] = ActionEntry(REDUCE, 341);
   _actionMap[661][LAB] = ActionEntry(REDUCE, 341);
   _actionMap[661][FLOATVAL] = ActionEntry(REDUCE, 341);
   _actionMap[661][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[661][INTVAL] = ActionEntry(REDUCE, 341);
   _actionMap[662][VARREF] = ActionEntry(REDUCE, 342);
   _actionMap[662][FETCH] = ActionEntry(REDUCE, 342);
   _actionMap[662][LB] = ActionEntry(REDUCE, 342);
   _actionMap[662][COUNT] = ActionEntry(REDUCE, 342);
   _actionMap[662][SUM] = ActionEntry(REDUCE, 342);
   _actionMap[662][AVG] = ActionEntry(REDUCE, 342);
   _actionMap[662][MIN] = ActionEntry(REDUCE, 342);
   _actionMap[662][MAX] = ActionEntry(REDUCE, 342);
   _actionMap[662][CASE] = ActionEntry(REDUCE, 342);
   _actionMap[662][TRIM] = ActionEntry(REDUCE, 342);
   _actionMap[662][RTRIM] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser55()
{
   _actionMap[662][LTRIM] = ActionEntry(REDUCE, 342);
   _actionMap[662][ROUND] = ActionEntry(REDUCE, 342);
   _actionMap[662][DATE2STR] = ActionEntry(REDUCE, 342);
   _actionMap[662][DATE2INT] = ActionEntry(REDUCE, 342);
   _actionMap[662][INT2DATE] = ActionEntry(REDUCE, 342);
   _actionMap[662][LOWER] = ActionEntry(REDUCE, 342);
   _actionMap[662][UPPER] = ActionEntry(REDUCE, 342);
   _actionMap[662][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[662][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[662][GETPOS] = ActionEntry(REDUCE, 342);
   _actionMap[662][SUBSTR] = ActionEntry(REDUCE, 342);
   _actionMap[662][REPLACE] = ActionEntry(REDUCE, 342);
   _actionMap[662][LENGTH] = ActionEntry(REDUCE, 342);
   _actionMap[662][TRUNC] = ActionEntry(REDUCE, 342);
   _actionMap[662][STR2INT] = ActionEntry(REDUCE, 342);
   _actionMap[662][STR2LONG] = ActionEntry(REDUCE, 342);
   _actionMap[662][STR2DATE] = ActionEntry(REDUCE, 342);
   _actionMap[662][RANDSTR] = ActionEntry(REDUCE, 342);
   _actionMap[662][RANDINT] = ActionEntry(REDUCE, 342);
   _actionMap[662][MOD] = ActionEntry(REDUCE, 342);
   _actionMap[662][DIV] = ActionEntry(REDUCE, 342);
   _actionMap[662][POWER] = ActionEntry(REDUCE, 342);
   _actionMap[662][BITAND] = ActionEntry(REDUCE, 342);
   _actionMap[662][BITOR] = ActionEntry(REDUCE, 342);
   _actionMap[662][BITXOR] = ActionEntry(REDUCE, 342);
   _actionMap[662][BLOBSIZE] = ActionEntry(REDUCE, 342);
   _actionMap[662][NEXTCOUNT] = ActionEntry(REDUCE, 342);
   _actionMap[662][SETCOUNT] = ActionEntry(REDUCE, 342);
   _actionMap[662][IDENTIFIER] = ActionEntry(REDUCE, 342);
   _actionMap[662][QUALIFIEDOBJ] = ActionEntry(REDUCE, 342);
   _actionMap[662][QUALIFIEDTS] = ActionEntry(REDUCE, 342);
   _actionMap[662][QUALIFIEDPRE] = ActionEntry(REDUCE, 342);
   _actionMap[662][STRINGVAL] = ActionEntry(REDUCE, 342);
   _actionMap[662][DATE] = ActionEntry(REDUCE, 342);
   _actionMap[662][SYSDATE] = ActionEntry(REDUCE, 342);
   _actionMap[662][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[662][TRUEVAL] = ActionEntry(REDUCE, 342);
   _actionMap[662][FALSEVAL] = ActionEntry(REDUCE, 342);
   _actionMap[662][LAB] = ActionEntry(REDUCE, 342);
   _actionMap[662][FLOATVAL] = ActionEntry(REDUCE, 342);
   _actionMap[662][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[662][INTVAL] = ActionEntry(REDUCE, 342);
   _actionMap[663][VARREF] = ActionEntry(REDUCE, 338);
   _actionMap[663][FETCH] = ActionEntry(REDUCE, 338);
   _actionMap[663][LB] = ActionEntry(REDUCE, 338);
   _actionMap[663][COUNT] = ActionEntry(REDUCE, 338);
   _actionMap[663][SUM] = ActionEntry(REDUCE, 338);
   _actionMap[663][AVG] = ActionEntry(REDUCE, 338);
   _actionMap[663][MIN] = ActionEntry(REDUCE, 338);
   _actionMap[663][MAX] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser56()
{
   _actionMap[663][CASE] = ActionEntry(REDUCE, 338);
   _actionMap[663][TRIM] = ActionEntry(REDUCE, 338);
   _actionMap[663][RTRIM] = ActionEntry(REDUCE, 338);
   _actionMap[663][LTRIM] = ActionEntry(REDUCE, 338);
   _actionMap[663][ROUND] = ActionEntry(REDUCE, 338);
   _actionMap[663][DATE2STR] = ActionEntry(REDUCE, 338);
   _actionMap[663][DATE2INT] = ActionEntry(REDUCE, 338);
   _actionMap[663][INT2DATE] = ActionEntry(REDUCE, 338);
   _actionMap[663][LOWER] = ActionEntry(REDUCE, 338);
   _actionMap[663][UPPER] = ActionEntry(REDUCE, 338);
   _actionMap[663][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[663][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[663][GETPOS] = ActionEntry(REDUCE, 338);
   _actionMap[663][SUBSTR] = ActionEntry(REDUCE, 338);
   _actionMap[663][REPLACE] = ActionEntry(REDUCE, 338);
   _actionMap[663][LENGTH] = ActionEntry(REDUCE, 338);
   _actionMap[663][TRUNC] = ActionEntry(REDUCE, 338);
   _actionMap[663][STR2INT] = ActionEntry(REDUCE, 338);
   _actionMap[663][STR2LONG] = ActionEntry(REDUCE, 338);
   _actionMap[663][STR2DATE] = ActionEntry(REDUCE, 338);
   _actionMap[663][RANDSTR] = ActionEntry(REDUCE, 338);
   _actionMap[663][RANDINT] = ActionEntry(REDUCE, 338);
   _actionMap[663][MOD] = ActionEntry(REDUCE, 338);
   _actionMap[663][DIV] = ActionEntry(REDUCE, 338);
   _actionMap[663][POWER] = ActionEntry(REDUCE, 338);
   _actionMap[663][BITAND] = ActionEntry(REDUCE, 338);
   _actionMap[663][BITOR] = ActionEntry(REDUCE, 338);
   _actionMap[663][BITXOR] = ActionEntry(REDUCE, 338);
   _actionMap[663][BLOBSIZE] = ActionEntry(REDUCE, 338);
   _actionMap[663][NEXTCOUNT] = ActionEntry(REDUCE, 338);
   _actionMap[663][SETCOUNT] = ActionEntry(REDUCE, 338);
   _actionMap[663][IDENTIFIER] = ActionEntry(REDUCE, 338);
   _actionMap[663][QUALIFIEDOBJ] = ActionEntry(REDUCE, 338);
   _actionMap[663][QUALIFIEDTS] = ActionEntry(REDUCE, 338);
   _actionMap[663][QUALIFIEDPRE] = ActionEntry(REDUCE, 338);
   _actionMap[663][STRINGVAL] = ActionEntry(REDUCE, 338);
   _actionMap[663][DATE] = ActionEntry(REDUCE, 338);
   _actionMap[663][SYSDATE] = ActionEntry(REDUCE, 338);
   _actionMap[663][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[663][TRUEVAL] = ActionEntry(REDUCE, 338);
   _actionMap[663][FALSEVAL] = ActionEntry(REDUCE, 338);
   _actionMap[663][LAB] = ActionEntry(REDUCE, 338);
   _actionMap[663][FLOATVAL] = ActionEntry(REDUCE, 338);
   _actionMap[663][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[663][INTVAL] = ActionEntry(REDUCE, 338);
   _actionMap[664][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[664][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[664][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[664][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[664][JOIN] = ActionEntry(REDUCE, 310);
}
void Cego::loadParser57()
{
   _actionMap[664][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[664][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[664][RB] = ActionEntry(REDUCE, 310);
   _actionMap[664][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[664][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[664][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[664][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[664][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[664][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[664][OR] = ActionEntry(REDUCE, 310);
   _actionMap[664][AND] = ActionEntry(REDUCE, 310);
   _actionMap[665][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[665][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[665][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[665][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[665][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[665][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[665][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[665][RB] = ActionEntry(REDUCE, 311);
   _actionMap[665][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[665][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[665][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[665][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[665][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[665][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[665][OR] = ActionEntry(REDUCE, 311);
   _actionMap[665][AND] = ActionEntry(REDUCE, 311);
   _actionMap[666][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[666][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[666][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[666][WHEN] = ActionEntry(REDUCE, 165);
   _actionMap[666][ELSE] = ActionEntry(REDUCE, 165);
   _actionMap[667][RB] = ActionEntry(SHIFT, 735);
   _actionMap[668][THEN] = ActionEntry(REDUCE, 322);
   _actionMap[668][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[668][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[668][INNER] = ActionEntry(REDUCE, 322);
   _actionMap[668][JOIN] = ActionEntry(REDUCE, 322);
   _actionMap[668][RETURNTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[668][RB] = ActionEntry(REDUCE, 322);
   _actionMap[668][ENDTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[668][UNION] = ActionEntry(REDUCE, 322);
   _actionMap[668][ROWLIMIT] = ActionEntry(REDUCE, 322);
   _actionMap[668][ORDER] = ActionEntry(REDUCE, 322);
   _actionMap[668][GROUP] = ActionEntry(REDUCE, 322);
   _actionMap[668][WHERE] = ActionEntry(REDUCE, 322);
   _actionMap[668][AND] = ActionEntry(REDUCE, 322);
   _actionMap[668][OR] = ActionEntry(REDUCE, 322);
   _actionMap[669][PLUS] = ActionEntry(SHIFT, 228);
}
void Cego::loadParser58()
{
   _actionMap[669][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[669][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[669][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[669][RB] = ActionEntry(REDUCE, 305);
   _actionMap[670][RB] = ActionEntry(SHIFT, 736);
   _actionMap[671][RB] = ActionEntry(REDUCE, 367);
   _actionMap[672][RB] = ActionEntry(SHIFT, 738);
   _actionMap[672][KSEP] = ActionEntry(SHIFT, 737);
   _actionMap[673][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[673][RB] = ActionEntry(REDUCE, 168);
   _actionMap[674][RB] = ActionEntry(SHIFT, 739);
   _actionMap[674][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[674][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[674][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[675][WHEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][ELSE] = ActionEntry(REDUCE, 365);
   _actionMap[675][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[675][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[675][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[675][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[675][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[675][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[675][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[675][FROM] = ActionEntry(REDUCE, 365);
   _actionMap[675][AS] = ActionEntry(REDUCE, 365);
   _actionMap[675][END_TOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][BEGIN] = ActionEntry(REDUCE, 365);
   _actionMap[675][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][OR] = ActionEntry(REDUCE, 365);
   _actionMap[675][AND] = ActionEntry(REDUCE, 365);
   _actionMap[675][NULLTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][INTOK] = ActionEntry(REDUCE, 365);
   _actionMap[675][NOT] = ActionEntry(REDUCE, 365);
   _actionMap[675][BETWEEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][IS] = ActionEntry(REDUCE, 365);
   _actionMap[675][LIKE] = ActionEntry(REDUCE, 365);
   _actionMap[675][MT] = ActionEntry(REDUCE, 365);
   _actionMap[675][LT] = ActionEntry(REDUCE, 365);
   _actionMap[675][NEGATION] = ActionEntry(REDUCE, 365);
   _actionMap[675][EQU] = ActionEntry(REDUCE, 365);
   _actionMap[675][RB] = ActionEntry(REDUCE, 365);
   _actionMap[675][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[675][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[675][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[675][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[675][ASC] = ActionEntry(REDUCE, 365);
   _actionMap[675][DESC] = ActionEntry(REDUCE, 365);
   _actionMap[675][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[675][PLUS] = ActionEntry(REDUCE, 365);
}
void Cego::loadParser59()
{
   _actionMap[675][MINUS] = ActionEntry(REDUCE, 365);
   _actionMap[675][DIVISION] = ActionEntry(REDUCE, 365);
   _actionMap[675][STAR] = ActionEntry(REDUCE, 365);
   _actionMap[675][CONCAT] = ActionEntry(REDUCE, 365);
   _actionMap[676][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[676][RB] = ActionEntry(REDUCE, 236);
   _actionMap[676][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[676][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[676][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[676][ORDER] = ActionEntry(SHIFT, 742);
   _jumpMap[676][NoOrdering] = 741;
   _jumpMap[676][OrderingClause] = 740;
   _actionMap[677][ORDER] = ActionEntry(REDUCE, 227);
   _actionMap[677][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[677][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[677][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[677][RB] = ActionEntry(REDUCE, 227);
   _actionMap[677][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[678][BY] = ActionEntry(SHIFT, 743);
   _actionMap[679][ON] = ActionEntry(SHIFT, 745);
   _jumpMap[679][JoinTableOn] = 744;
   _actionMap[680][IDENTIFIER] = ActionEntry(REDUCE, 216);
   _actionMap[680][QUALIFIEDOBJ] = ActionEntry(REDUCE, 216);
   _actionMap[680][QUALIFIEDTS] = ActionEntry(REDUCE, 216);
   _actionMap[681][JOIN] = ActionEntry(SHIFT, 746);
   _actionMap[682][JOIN] = ActionEntry(SHIFT, 747);
   _actionMap[683][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[683][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[683][RB] = ActionEntry(REDUCE, 218);
   _actionMap[683][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[683][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[683][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[683][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[683][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[683][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[684][KSEP] = ActionEntry(SHIFT, 582);
   _actionMap[684][RETURNTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[684][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[684][RB] = ActionEntry(REDUCE, 219);
   _actionMap[684][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[684][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[684][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[684][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[684][GROUP] = ActionEntry(REDUCE, 219);
   _actionMap[684][WHERE] = ActionEntry(REDUCE, 219);
   _actionMap[685][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[686][VARREF] = ActionEntry(SHIFT, 750);
   _jumpMap[686][ReturnVar] = 749;
   _jumpMap[686][ReturnVarList] = 748;
   _actionMap[687][KSEP] = ActionEntry(REDUCE, 249);
}
void Cego::loadParser60()
{
   _actionMap[687][WHERE] = ActionEntry(REDUCE, 249);
   _actionMap[687][GROUP] = ActionEntry(REDUCE, 249);
   _actionMap[687][ORDER] = ActionEntry(REDUCE, 249);
   _actionMap[687][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[687][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[687][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[687][RB] = ActionEntry(REDUCE, 249);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[687][RETURNTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[688][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[688][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[688][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[688][KSEP] = ActionEntry(REDUCE, 251);
   _actionMap[688][WHERE] = ActionEntry(REDUCE, 251);
   _actionMap[688][GROUP] = ActionEntry(REDUCE, 251);
   _actionMap[688][ORDER] = ActionEntry(REDUCE, 251);
   _actionMap[688][ROWLIMIT] = ActionEntry(REDUCE, 251);
   _actionMap[688][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[688][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[688][RB] = ActionEntry(REDUCE, 251);
   _actionMap[688][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[688][RETURNTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[689][RB] = ActionEntry(SHIFT, 690);
   _actionMap[690][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[451][DROP] = ActionEntry(SHIFT, 318);
   _actionMap[451][ADD] = ActionEntry(SHIFT, 592);
   _actionMap[451][MODIFY] = ActionEntry(SHIFT, 319);
   _actionMap[451][RENAME] = ActionEntry(SHIFT, 320);
   _jumpMap[451][AlterOption] = 316;
   _jumpMap[451][AlterList] = 591;
   _actionMap[452][IDENTIFIER] = ActionEntry(SHIFT, 593);
   _actionMap[453][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _jumpMap[453][ColumnDesc] = 594;
   _actionMap[454][KEY] = ActionEntry(SHIFT, 595);
   _actionMap[455][IDENTIFIER] = ActionEntry(SHIFT, 596);
   _actionMap[456][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _jumpMap[456][ColumnDesc] = 597;
   _actionMap[457][IDENTIFIER] = ActionEntry(SHIFT, 598);
   _actionMap[458][FOR] = ActionEntry(SHIFT, 599);
   _actionMap[459][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[459][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[459][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[459][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[459][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[459][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[459][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[459][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[459][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[459][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[459][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser61()
{
   _actionMap[459][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[459][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[459][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[459][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[459][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[459][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[459][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[459][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[459][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[459][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[459][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[459][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[459][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[459][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[459][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[459][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[459][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[459][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[459][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[459][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[459][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[459][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[459][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[459][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[459][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[459][LB] = ActionEntry(SHIFT, 144);
   _actionMap[459][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[459][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[459][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[459][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[459][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[459][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[459][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[459][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[459][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[459][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[459][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[459][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[459][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[459][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[459][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[459][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[459][ObjSpec] = 100;
   _jumpMap[459][Constant] = 99;
   _jumpMap[459][SignedFloat] = 98;
   _jumpMap[459][SignedInt] = 97;
   _jumpMap[459][Attribute] = 96;
   _jumpMap[459][Function] = 95;
   _jumpMap[459][CasePrepare] = 94;
   _jumpMap[459][CaseClause] = 93;
}
void Cego::loadParser62()
{
   _jumpMap[459][Factor] = 92;
   _jumpMap[459][Term] = 91;
   _jumpMap[459][Expr] = 600;
   _actionMap[460][SEMICOLON] = ActionEntry(REDUCE, 83);
   _actionMap[461][ELSE] = ActionEntry(REDUCE, 92);
   _actionMap[461][ELSIF] = ActionEntry(REDUCE, 92);
   _actionMap[461][END_TOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[461][EXCEPTION] = ActionEntry(SHIFT, 602);
   _jumpMap[461][ProcExceptionStmt] = 601;
   _actionMap[462][SEMICOLON] = ActionEntry(SHIFT, 603);
   _actionMap[463][END_TOKEN] = ActionEntry(SHIFT, 604);
   _actionMap[464][ELSE] = ActionEntry(SHIFT, 607);
   _actionMap[464][END_TOKEN] = ActionEntry(REDUCE, 128);
   _jumpMap[464][ProcElsePart] = 606;
   _jumpMap[464][ProcElseOpt] = 605;
   _actionMap[465][ELSIF] = ActionEntry(SHIFT, 466);
   _actionMap[465][END_TOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[465][ELSE] = ActionEntry(REDUCE, 125);
   _jumpMap[465][ProcElsIfOpt] = 465;
   _jumpMap[465][ProcElsIfList] = 609;
   _actionMap[466][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[466][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[466][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[466][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[466][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[466][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[466][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[466][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[466][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[466][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[466][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[466][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[466][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[466][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[466][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[466][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[466][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[466][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[466][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[466][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[466][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[466][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[466][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[466][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[466][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[466][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[466][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[466][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[466][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[466][BITXOR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser63()
{
   _actionMap[466][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[466][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[466][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[466][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[466][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[466][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[466][LB] = ActionEntry(SHIFT, 474);
   _actionMap[466][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[466][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[466][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[466][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[466][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[466][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[466][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[466][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[466][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[466][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[466][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[466][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[466][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[466][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[466][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[466][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[466][ObjSpec] = 100;
   _jumpMap[466][Constant] = 99;
   _jumpMap[466][SignedFloat] = 98;
   _jumpMap[466][SignedInt] = 97;
   _jumpMap[466][Attribute] = 96;
   _jumpMap[466][Function] = 95;
   _jumpMap[466][CasePrepare] = 94;
   _jumpMap[466][CaseClause] = 93;
   _jumpMap[466][Factor] = 92;
   _jumpMap[466][Term] = 91;
   _jumpMap[466][Expr] = 473;
   _jumpMap[466][ProcPredicate] = 472;
   _jumpMap[466][ProcCondition] = 611;
   _jumpMap[466][ProcElsIfCondition] = 610;
   _actionMap[467][EXCEPTION] = ActionEntry(REDUCE, 94);
   _actionMap[467][END_TOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[467][ELSE] = ActionEntry(REDUCE, 94);
   _actionMap[467][ELSIF] = ActionEntry(REDUCE, 94);
   _actionMap[467][VAR] = ActionEntry(REDUCE, 94);
   _actionMap[467][CURSOR] = ActionEntry(REDUCE, 94);
   _actionMap[467][CLOSE] = ActionEntry(REDUCE, 94);
   _actionMap[467][VARREF] = ActionEntry(REDUCE, 94);
   _actionMap[467][NOOP] = ActionEntry(REDUCE, 94);
   _actionMap[467][RETURNTOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[467][WHILE] = ActionEntry(REDUCE, 94);
   _actionMap[467][IF] = ActionEntry(REDUCE, 94);
   _actionMap[467][BEGIN] = ActionEntry(REDUCE, 94);
}
void Cego::loadParser64()
{
   _actionMap[467][ROLLBACK] = ActionEntry(REDUCE, 94);
   _actionMap[467][COMMIT] = ActionEntry(REDUCE, 94);
   _actionMap[467][START_TOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[467][UPDATE] = ActionEntry(REDUCE, 94);
   _actionMap[467][DELETETOK] = ActionEntry(REDUCE, 94);
   _actionMap[467][INSERT] = ActionEntry(REDUCE, 94);
   _actionMap[467][FETCH] = ActionEntry(REDUCE, 94);
   _actionMap[467][LB] = ActionEntry(REDUCE, 94);
   _actionMap[467][COUNT] = ActionEntry(REDUCE, 94);
   _actionMap[467][SUM] = ActionEntry(REDUCE, 94);
   _actionMap[467][AVG] = ActionEntry(REDUCE, 94);
   _actionMap[467][MIN] = ActionEntry(REDUCE, 94);
   _actionMap[467][MAX] = ActionEntry(REDUCE, 94);
   _actionMap[467][CASE] = ActionEntry(REDUCE, 94);
   _actionMap[467][TRIM] = ActionEntry(REDUCE, 94);
   _actionMap[467][RTRIM] = ActionEntry(REDUCE, 94);
   _actionMap[467][LTRIM] = ActionEntry(REDUCE, 94);
   _actionMap[467][ROUND] = ActionEntry(REDUCE, 94);
   _actionMap[467][DATE2STR] = ActionEntry(REDUCE, 94);
   _actionMap[467][DATE2INT] = ActionEntry(REDUCE, 94);
   _actionMap[467][INT2DATE] = ActionEntry(REDUCE, 94);
   _actionMap[467][LOWER] = ActionEntry(REDUCE, 94);
   _actionMap[467][UPPER] = ActionEntry(REDUCE, 94);
   _actionMap[467][LEFT] = ActionEntry(REDUCE, 94);
   _actionMap[467][RIGHT] = ActionEntry(REDUCE, 94);
   _actionMap[467][GETPOS] = ActionEntry(REDUCE, 94);
   _actionMap[467][SUBSTR] = ActionEntry(REDUCE, 94);
   _actionMap[467][REPLACE] = ActionEntry(REDUCE, 94);
   _actionMap[467][LENGTH] = ActionEntry(REDUCE, 94);
   _actionMap[467][TRUNC] = ActionEntry(REDUCE, 94);
   _actionMap[467][STR2INT] = ActionEntry(REDUCE, 94);
   _actionMap[467][STR2LONG] = ActionEntry(REDUCE, 94);
   _actionMap[467][STR2DATE] = ActionEntry(REDUCE, 94);
   _actionMap[467][RANDSTR] = ActionEntry(REDUCE, 94);
   _actionMap[467][RANDINT] = ActionEntry(REDUCE, 94);
   _actionMap[467][MOD] = ActionEntry(REDUCE, 94);
   _actionMap[467][DIV] = ActionEntry(REDUCE, 94);
   _actionMap[467][POWER] = ActionEntry(REDUCE, 94);
   _actionMap[467][BITAND] = ActionEntry(REDUCE, 94);
   _actionMap[467][BITOR] = ActionEntry(REDUCE, 94);
   _actionMap[467][BITXOR] = ActionEntry(REDUCE, 94);
   _actionMap[467][BLOBSIZE] = ActionEntry(REDUCE, 94);
   _actionMap[467][NEXTCOUNT] = ActionEntry(REDUCE, 94);
   _actionMap[467][SETCOUNT] = ActionEntry(REDUCE, 94);
   _actionMap[467][IDENTIFIER] = ActionEntry(REDUCE, 94);
   _actionMap[467][QUALIFIEDOBJ] = ActionEntry(REDUCE, 94);
   _actionMap[467][QUALIFIEDTS] = ActionEntry(REDUCE, 94);
   _actionMap[467][QUALIFIEDPRE] = ActionEntry(REDUCE, 94);
   _actionMap[467][STRINGVAL] = ActionEntry(REDUCE, 94);
   _actionMap[467][DATE] = ActionEntry(REDUCE, 94);
}
void Cego::loadParser65()
{
   _actionMap[467][SYSDATE] = ActionEntry(REDUCE, 94);
   _actionMap[467][NULLTOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[467][TRUEVAL] = ActionEntry(REDUCE, 94);
   _actionMap[467][FALSEVAL] = ActionEntry(REDUCE, 94);
   _actionMap[467][LAB] = ActionEntry(REDUCE, 94);
   _actionMap[467][FLOATVAL] = ActionEntry(REDUCE, 94);
   _actionMap[467][MINUS] = ActionEntry(REDUCE, 94);
   _actionMap[467][INTVAL] = ActionEntry(REDUCE, 94);
   _actionMap[468][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[469][AS] = ActionEntry(SHIFT, 612);
   _actionMap[470][THEN] = ActionEntry(SHIFT, 613);
   _actionMap[471][OR] = ActionEntry(SHIFT, 615);
   _actionMap[471][AND] = ActionEntry(SHIFT, 614);
   _actionMap[471][THEN] = ActionEntry(REDUCE, 130);
   _actionMap[472][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[472][RB] = ActionEntry(REDUCE, 136);
   _actionMap[472][AND] = ActionEntry(REDUCE, 136);
   _actionMap[472][OR] = ActionEntry(REDUCE, 136);
   _actionMap[472][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[473][IS] = ActionEntry(SHIFT, 617);
   _actionMap[473][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[473][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[473][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[473][EQU] = ActionEntry(SHIFT, 507);
   _actionMap[473][NEGATION] = ActionEntry(SHIFT, 510);
   _actionMap[473][LT] = ActionEntry(SHIFT, 508);
   _actionMap[473][MT] = ActionEntry(SHIFT, 509);
   _jumpMap[473][Comparison] = 616;
   _actionMap[474][LONG] = ActionEntry(SHIFT, 278);
   _actionMap[474][BIGINT] = ActionEntry(SHIFT, 274);
   _actionMap[474][SMALLINT] = ActionEntry(SHIFT, 279);
   _actionMap[474][TINYINT] = ActionEntry(SHIFT, 280);
   _actionMap[474][DOUBLE] = ActionEntry(SHIFT, 276);
   _actionMap[474][DECIMAL] = ActionEntry(SHIFT, 275);
   _actionMap[474][FIXED] = ActionEntry(SHIFT, 277);
   _actionMap[474][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[474][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[474][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[474][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[474][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[474][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[474][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[474][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[474][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[474][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[474][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[474][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[474][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[474][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[474][GETPOS] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser66()
{
   _actionMap[474][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[474][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[474][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[474][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[474][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[474][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[474][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[474][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[474][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[474][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[474][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[474][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[474][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[474][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[474][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[474][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[474][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[474][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[474][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[474][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[474][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[474][LB] = ActionEntry(SHIFT, 474);
   _actionMap[474][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[474][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[474][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[474][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[474][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[474][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[474][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[474][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[474][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[474][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[474][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[474][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[474][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[474][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[474][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[474][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[474][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[474][ObjSpec] = 100;
   _jumpMap[474][Constant] = 99;
   _jumpMap[474][SignedFloat] = 98;
   _jumpMap[474][SignedInt] = 97;
   _jumpMap[474][Attribute] = 96;
   _jumpMap[474][Function] = 95;
   _jumpMap[474][SelectStatement] = 273;
   _jumpMap[474][CasePrepare] = 94;
   _jumpMap[474][CaseClause] = 93;
   _jumpMap[474][Factor] = 92;
   _jumpMap[474][Term] = 91;
}
void Cego::loadParser67()
{
   _jumpMap[474][Expr] = 619;
   _jumpMap[474][ProcPredicate] = 472;
   _jumpMap[474][ProcCondition] = 618;
   _actionMap[475][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[475][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[475][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[475][SEMICOLON] = ActionEntry(REDUCE, 111);
   _actionMap[476][INT] = ActionEntry(SHIFT, 629);
   _actionMap[476][LONG] = ActionEntry(SHIFT, 630);
   _actionMap[476][STRING] = ActionEntry(SHIFT, 632);
   _actionMap[476][DATETIME] = ActionEntry(SHIFT, 624);
   _actionMap[476][BOOL] = ActionEntry(SHIFT, 623);
   _actionMap[476][BIGINT] = ActionEntry(SHIFT, 621);
   _actionMap[476][FLOAT] = ActionEntry(SHIFT, 628);
   _actionMap[476][DOUBLE] = ActionEntry(SHIFT, 626);
   _actionMap[476][SMALLINT] = ActionEntry(SHIFT, 631);
   _actionMap[476][TINYINT] = ActionEntry(SHIFT, 633);
   _actionMap[476][DECIMAL] = ActionEntry(SHIFT, 625);
   _actionMap[476][FIXED] = ActionEntry(SHIFT, 627);
   _actionMap[476][BLOB] = ActionEntry(SHIFT, 622);
   _jumpMap[476][DataTypeProd] = 620;
   _actionMap[477][BEGIN] = ActionEntry(SHIFT, 634);
   _actionMap[478][OR] = ActionEntry(SHIFT, 615);
   _actionMap[478][AND] = ActionEntry(SHIFT, 614);
   _actionMap[478][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[479][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[479][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[479][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[479][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[479][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[479][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[479][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[479][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[479][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[479][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[479][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[479][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[479][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[479][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[479][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[479][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[479][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[479][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[479][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[479][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[479][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[479][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[479][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[479][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[479][MOD] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser68()
{
   _actionMap[479][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[479][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[479][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[479][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[479][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[479][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[479][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[479][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[479][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[479][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[479][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[479][LB] = ActionEntry(SHIFT, 144);
   _actionMap[479][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[479][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[479][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[479][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[479][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[479][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[479][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[479][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[479][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[479][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[479][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[479][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[479][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[479][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[479][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[479][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[479][ObjSpec] = 100;
   _jumpMap[479][Constant] = 99;
   _jumpMap[479][SignedFloat] = 98;
   _jumpMap[479][SignedInt] = 97;
   _jumpMap[479][Attribute] = 96;
   _jumpMap[479][Function] = 95;
   _jumpMap[479][CasePrepare] = 94;
   _jumpMap[479][CaseClause] = 93;
   _jumpMap[479][Factor] = 92;
   _jumpMap[479][Term] = 91;
   _jumpMap[479][Expr] = 635;
   _actionMap[480][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[480][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[480][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[480][ObjSpec] = 636;
   _actionMap[481][LB] = ActionEntry(SHIFT, 637);
   _actionMap[482][RB] = ActionEntry(SHIFT, 485);
   _actionMap[483][KSEP] = ActionEntry(SHIFT, 638);
   _actionMap[483][RB] = ActionEntry(REDUCE, 86);
   _actionMap[484][KSEP] = ActionEntry(REDUCE, 89);
   _actionMap[484][RB] = ActionEntry(REDUCE, 89);
   _actionMap[485][RETURNTOKEN] = ActionEntry(SHIFT, 640);
}
void Cego::loadParser69()
{
   _actionMap[485][BEGIN] = ActionEntry(REDUCE, 85);
   _jumpMap[485][ReturnOpt] = 639;
   _actionMap[486][INTOK] = ActionEntry(SHIFT, 641);
   _actionMap[486][OUTTOK] = ActionEntry(SHIFT, 642);
   _actionMap[487][RB] = ActionEntry(SHIFT, 644);
   _actionMap[487][KSEP] = ActionEntry(SHIFT, 643);
   _actionMap[488][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[488][RB] = ActionEntry(REDUCE, 170);
   _actionMap[489][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[489][RB] = ActionEntry(REDUCE, 172);
   _actionMap[490][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _jumpMap[490][ColumnDesc] = 645;
   _actionMap[491][INT] = ActionEntry(SHIFT, 629);
   _actionMap[491][LONG] = ActionEntry(SHIFT, 630);
   _actionMap[491][STRING] = ActionEntry(SHIFT, 632);
   _actionMap[491][DATETIME] = ActionEntry(SHIFT, 624);
   _actionMap[491][BOOL] = ActionEntry(SHIFT, 623);
   _actionMap[491][BIGINT] = ActionEntry(SHIFT, 621);
   _actionMap[491][FLOAT] = ActionEntry(SHIFT, 628);
   _actionMap[491][DOUBLE] = ActionEntry(SHIFT, 626);
   _actionMap[491][SMALLINT] = ActionEntry(SHIFT, 631);
   _actionMap[491][TINYINT] = ActionEntry(SHIFT, 633);
   _actionMap[491][DECIMAL] = ActionEntry(SHIFT, 625);
   _actionMap[491][FIXED] = ActionEntry(SHIFT, 627);
   _actionMap[491][BLOB] = ActionEntry(SHIFT, 622);
   _jumpMap[491][DataTypeProd] = 646;
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[493][AND] = ActionEntry(SHIFT, 511);
   _actionMap[493][OR] = ActionEntry(SHIFT, 512);
   _actionMap[493][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[493][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[493][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[493][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[493][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[493][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[493][RB] = ActionEntry(REDUCE, 307);
   _actionMap[493][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[494][KSEP] = ActionEntry(SHIFT, 647);
   _actionMap[494][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[495][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[495][KSEP] = ActionEntry(REDUCE, 197);
   _actionMap[496][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[496][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[496][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[496][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[496][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[496][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[496][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[496][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[496][DATE2INT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser70()
{
   _actionMap[496][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[496][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[496][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[496][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[496][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[496][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[496][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[496][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[496][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[496][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[496][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[496][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[496][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[496][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[496][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[496][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[496][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[496][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[496][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[496][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[496][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[496][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[496][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[496][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[496][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[496][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[496][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[496][LB] = ActionEntry(SHIFT, 144);
   _actionMap[496][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[496][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[496][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[496][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[496][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[496][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[496][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[496][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[496][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[496][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[496][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[496][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[496][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[496][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[496][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[496][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[496][ObjSpec] = 100;
   _jumpMap[496][Constant] = 99;
   _jumpMap[496][SignedFloat] = 98;
   _jumpMap[496][SignedInt] = 97;
   _jumpMap[496][Attribute] = 96;
   _jumpMap[496][Function] = 95;
}
void Cego::loadParser71()
{
   _jumpMap[496][InsertValueList] = 649;
   _jumpMap[496][CasePrepare] = 94;
   _jumpMap[496][CaseClause] = 93;
   _jumpMap[496][Factor] = 92;
   _jumpMap[496][Term] = 91;
   _jumpMap[496][Expr] = 648;
   _actionMap[497][RB] = ActionEntry(SHIFT, 651);
   _actionMap[497][KSEP] = ActionEntry(SHIFT, 650);
   _actionMap[498][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[498][RB] = ActionEntry(REDUCE, 200);
   _actionMap[499][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[500][END_TOKEN] = ActionEntry(SHIFT, 652);
   _actionMap[500][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[500][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[500][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[501][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[501][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[501][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[501][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[501][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[501][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[501][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[501][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[501][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[501][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[501][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[501][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[501][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[501][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[501][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[501][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[501][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[501][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[501][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[501][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[501][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[501][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[501][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[501][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[501][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[501][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[501][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[501][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[501][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[501][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[501][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[501][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[501][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[501][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[501][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser72()
{
   _actionMap[501][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[501][LB] = ActionEntry(SHIFT, 144);
   _actionMap[501][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[501][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[501][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[501][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[501][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[501][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[501][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[501][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[501][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[501][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[501][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[501][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[501][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[501][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[501][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[501][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[501][ObjSpec] = 100;
   _jumpMap[501][Constant] = 99;
   _jumpMap[501][SignedFloat] = 98;
   _jumpMap[501][SignedInt] = 97;
   _jumpMap[501][Attribute] = 96;
   _jumpMap[501][Function] = 95;
   _jumpMap[501][CasePrepare] = 94;
   _jumpMap[501][CaseClause] = 93;
   _jumpMap[501][Factor] = 92;
   _jumpMap[501][Term] = 91;
   _jumpMap[501][Expr] = 653;
   _actionMap[502][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[502][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[502][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[502][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[502][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[502][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[502][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[502][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[502][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[502][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[502][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[502][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[502][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[502][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[502][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[502][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[502][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[502][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[502][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[502][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[502][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser73()
{
   _actionMap[502][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[502][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[502][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[502][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[502][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[502][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[502][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[502][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[502][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[502][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[502][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[502][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[502][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[502][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[502][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[502][LB] = ActionEntry(SHIFT, 144);
   _actionMap[502][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[502][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[502][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[502][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[502][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[502][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[502][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[502][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[502][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[502][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[502][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[502][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[502][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[502][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[502][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[502][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[502][ObjSpec] = 100;
   _jumpMap[502][Constant] = 99;
   _jumpMap[502][SignedFloat] = 98;
   _jumpMap[502][SignedInt] = 97;
   _jumpMap[502][Attribute] = 96;
   _jumpMap[502][Function] = 95;
   _jumpMap[502][CasePrepare] = 94;
   _jumpMap[502][CaseClause] = 93;
   _jumpMap[502][Factor] = 92;
   _jumpMap[502][Term] = 91;
   _jumpMap[502][Expr] = 654;
   _actionMap[503][LB] = ActionEntry(SHIFT, 655);
   _actionMap[504][NOT] = ActionEntry(SHIFT, 656);
   _actionMap[504][NULLTOKEN] = ActionEntry(SHIFT, 657);
   _actionMap[505][STRINGVAL] = ActionEntry(SHIFT, 658);
   _actionMap[506][LIKE] = ActionEntry(SHIFT, 660);
   _actionMap[506][INTOK] = ActionEntry(SHIFT, 659);
   _actionMap[507][VARREF] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser74()
{
   _actionMap[507][FETCH] = ActionEntry(REDUCE, 337);
   _actionMap[507][LB] = ActionEntry(REDUCE, 337);
   _actionMap[507][COUNT] = ActionEntry(REDUCE, 337);
   _actionMap[507][SUM] = ActionEntry(REDUCE, 337);
   _actionMap[507][AVG] = ActionEntry(REDUCE, 337);
   _actionMap[507][MIN] = ActionEntry(REDUCE, 337);
   _actionMap[507][MAX] = ActionEntry(REDUCE, 337);
   _actionMap[507][CASE] = ActionEntry(REDUCE, 337);
   _actionMap[507][TRIM] = ActionEntry(REDUCE, 337);
   _actionMap[507][RTRIM] = ActionEntry(REDUCE, 337);
   _actionMap[507][LTRIM] = ActionEntry(REDUCE, 337);
   _actionMap[507][ROUND] = ActionEntry(REDUCE, 337);
   _actionMap[507][DATE2STR] = ActionEntry(REDUCE, 337);
   _actionMap[507][DATE2INT] = ActionEntry(REDUCE, 337);
   _actionMap[507][INT2DATE] = ActionEntry(REDUCE, 337);
   _actionMap[507][LOWER] = ActionEntry(REDUCE, 337);
   _actionMap[507][UPPER] = ActionEntry(REDUCE, 337);
   _actionMap[507][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[507][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[507][GETPOS] = ActionEntry(REDUCE, 337);
   _actionMap[507][SUBSTR] = ActionEntry(REDUCE, 337);
   _actionMap[507][REPLACE] = ActionEntry(REDUCE, 337);
   _actionMap[507][LENGTH] = ActionEntry(REDUCE, 337);
   _actionMap[507][TRUNC] = ActionEntry(REDUCE, 337);
   _actionMap[507][STR2INT] = ActionEntry(REDUCE, 337);
   _actionMap[507][STR2LONG] = ActionEntry(REDUCE, 337);
   _actionMap[507][STR2DATE] = ActionEntry(REDUCE, 337);
   _actionMap[507][RANDSTR] = ActionEntry(REDUCE, 337);
   _actionMap[507][RANDINT] = ActionEntry(REDUCE, 337);
   _actionMap[507][MOD] = ActionEntry(REDUCE, 337);
   _actionMap[507][DIV] = ActionEntry(REDUCE, 337);
   _actionMap[507][POWER] = ActionEntry(REDUCE, 337);
   _actionMap[507][BITAND] = ActionEntry(REDUCE, 337);
   _actionMap[507][BITOR] = ActionEntry(REDUCE, 337);
   _actionMap[507][BITXOR] = ActionEntry(REDUCE, 337);
   _actionMap[507][BLOBSIZE] = ActionEntry(REDUCE, 337);
   _actionMap[507][NEXTCOUNT] = ActionEntry(REDUCE, 337);
   _actionMap[507][SETCOUNT] = ActionEntry(REDUCE, 337);
   _actionMap[507][IDENTIFIER] = ActionEntry(REDUCE, 337);
   _actionMap[507][QUALIFIEDOBJ] = ActionEntry(REDUCE, 337);
   _actionMap[507][QUALIFIEDTS] = ActionEntry(REDUCE, 337);
   _actionMap[507][QUALIFIEDPRE] = ActionEntry(REDUCE, 337);
   _actionMap[507][STRINGVAL] = ActionEntry(REDUCE, 337);
   _actionMap[507][DATE] = ActionEntry(REDUCE, 337);
   _actionMap[507][SYSDATE] = ActionEntry(REDUCE, 337);
   _actionMap[507][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[507][TRUEVAL] = ActionEntry(REDUCE, 337);
   _actionMap[507][FALSEVAL] = ActionEntry(REDUCE, 337);
   _actionMap[507][LAB] = ActionEntry(REDUCE, 337);
   _actionMap[507][FLOATVAL] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser75()
{
   _actionMap[507][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[507][INTVAL] = ActionEntry(REDUCE, 337);
   _actionMap[508][VARREF] = ActionEntry(REDUCE, 339);
   _actionMap[508][FETCH] = ActionEntry(REDUCE, 339);
   _actionMap[508][LB] = ActionEntry(REDUCE, 339);
   _actionMap[508][COUNT] = ActionEntry(REDUCE, 339);
   _actionMap[508][SUM] = ActionEntry(REDUCE, 339);
   _actionMap[508][AVG] = ActionEntry(REDUCE, 339);
   _actionMap[508][MIN] = ActionEntry(REDUCE, 339);
   _actionMap[508][MAX] = ActionEntry(REDUCE, 339);
   _actionMap[508][CASE] = ActionEntry(REDUCE, 339);
   _actionMap[508][TRIM] = ActionEntry(REDUCE, 339);
   _actionMap[508][RTRIM] = ActionEntry(REDUCE, 339);
   _actionMap[508][LTRIM] = ActionEntry(REDUCE, 339);
   _actionMap[508][ROUND] = ActionEntry(REDUCE, 339);
   _actionMap[508][DATE2STR] = ActionEntry(REDUCE, 339);
   _actionMap[508][DATE2INT] = ActionEntry(REDUCE, 339);
   _actionMap[508][INT2DATE] = ActionEntry(REDUCE, 339);
   _actionMap[508][LOWER] = ActionEntry(REDUCE, 339);
   _actionMap[508][UPPER] = ActionEntry(REDUCE, 339);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[508][GETPOS] = ActionEntry(REDUCE, 339);
   _actionMap[508][SUBSTR] = ActionEntry(REDUCE, 339);
   _actionMap[508][REPLACE] = ActionEntry(REDUCE, 339);
   _actionMap[508][LENGTH] = ActionEntry(REDUCE, 339);
   _actionMap[508][TRUNC] = ActionEntry(REDUCE, 339);
   _actionMap[508][STR2INT] = ActionEntry(REDUCE, 339);
   _actionMap[508][STR2LONG] = ActionEntry(REDUCE, 339);
   _actionMap[508][STR2DATE] = ActionEntry(REDUCE, 339);
   _actionMap[508][RANDSTR] = ActionEntry(REDUCE, 339);
   _actionMap[508][RANDINT] = ActionEntry(REDUCE, 339);
   _actionMap[508][MOD] = ActionEntry(REDUCE, 339);
   _actionMap[508][DIV] = ActionEntry(REDUCE, 339);
   _actionMap[508][POWER] = ActionEntry(REDUCE, 339);
   _actionMap[508][BITAND] = ActionEntry(REDUCE, 339);
   _actionMap[508][BITOR] = ActionEntry(REDUCE, 339);
   _actionMap[508][BITXOR] = ActionEntry(REDUCE, 339);
   _actionMap[508][BLOBSIZE] = ActionEntry(REDUCE, 339);
   _actionMap[508][NEXTCOUNT] = ActionEntry(REDUCE, 339);
   _actionMap[508][SETCOUNT] = ActionEntry(REDUCE, 339);
   _actionMap[508][IDENTIFIER] = ActionEntry(REDUCE, 339);
   _actionMap[508][QUALIFIEDOBJ] = ActionEntry(REDUCE, 339);
   _actionMap[508][QUALIFIEDTS] = ActionEntry(REDUCE, 339);
   _actionMap[508][QUALIFIEDPRE] = ActionEntry(REDUCE, 339);
   _actionMap[508][STRINGVAL] = ActionEntry(REDUCE, 339);
   _actionMap[508][DATE] = ActionEntry(REDUCE, 339);
   _actionMap[508][SYSDATE] = ActionEntry(REDUCE, 339);
   _actionMap[508][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[508][TRUEVAL] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser76()
{
   _actionMap[508][FALSEVAL] = ActionEntry(REDUCE, 339);
   _actionMap[508][LAB] = ActionEntry(REDUCE, 339);
   _actionMap[508][FLOATVAL] = ActionEntry(REDUCE, 339);
   _actionMap[508][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[508][INTVAL] = ActionEntry(REDUCE, 339);
   _actionMap[508][EQU] = ActionEntry(SHIFT, 661);
   _actionMap[509][VARREF] = ActionEntry(REDUCE, 340);
   _actionMap[509][FETCH] = ActionEntry(REDUCE, 340);
   _actionMap[509][LB] = ActionEntry(REDUCE, 340);
   _actionMap[509][COUNT] = ActionEntry(REDUCE, 340);
   _actionMap[509][SUM] = ActionEntry(REDUCE, 340);
   _actionMap[509][AVG] = ActionEntry(REDUCE, 340);
   _actionMap[509][MIN] = ActionEntry(REDUCE, 340);
   _actionMap[509][MAX] = ActionEntry(REDUCE, 340);
   _actionMap[509][CASE] = ActionEntry(REDUCE, 340);
   _actionMap[509][TRIM] = ActionEntry(REDUCE, 340);
   _actionMap[509][RTRIM] = ActionEntry(REDUCE, 340);
   _actionMap[509][LTRIM] = ActionEntry(REDUCE, 340);
   _actionMap[509][ROUND] = ActionEntry(REDUCE, 340);
   _actionMap[509][DATE2STR] = ActionEntry(REDUCE, 340);
   _actionMap[509][DATE2INT] = ActionEntry(REDUCE, 340);
   _actionMap[509][INT2DATE] = ActionEntry(REDUCE, 340);
   _actionMap[509][LOWER] = ActionEntry(REDUCE, 340);
   _actionMap[509][UPPER] = ActionEntry(REDUCE, 340);
   _actionMap[509][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[509][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[509][GETPOS] = ActionEntry(REDUCE, 340);
   _actionMap[509][SUBSTR] = ActionEntry(REDUCE, 340);
   _actionMap[509][REPLACE] = ActionEntry(REDUCE, 340);
   _actionMap[509][LENGTH] = ActionEntry(REDUCE, 340);
   _actionMap[509][TRUNC] = ActionEntry(REDUCE, 340);
   _actionMap[509][STR2INT] = ActionEntry(REDUCE, 340);
   _actionMap[509][STR2LONG] = ActionEntry(REDUCE, 340);
   _actionMap[509][STR2DATE] = ActionEntry(REDUCE, 340);
   _actionMap[509][RANDSTR] = ActionEntry(REDUCE, 340);
   _actionMap[509][RANDINT] = ActionEntry(REDUCE, 340);
   _actionMap[509][MOD] = ActionEntry(REDUCE, 340);
   _actionMap[509][DIV] = ActionEntry(REDUCE, 340);
   _actionMap[509][POWER] = ActionEntry(REDUCE, 340);
   _actionMap[509][BITAND] = ActionEntry(REDUCE, 340);
   _actionMap[509][BITOR] = ActionEntry(REDUCE, 340);
   _actionMap[509][BITXOR] = ActionEntry(REDUCE, 340);
   _actionMap[509][BLOBSIZE] = ActionEntry(REDUCE, 340);
   _actionMap[509][NEXTCOUNT] = ActionEntry(REDUCE, 340);
   _actionMap[509][SETCOUNT] = ActionEntry(REDUCE, 340);
   _actionMap[509][IDENTIFIER] = ActionEntry(REDUCE, 340);
   _actionMap[509][QUALIFIEDOBJ] = ActionEntry(REDUCE, 340);
   _actionMap[509][QUALIFIEDTS] = ActionEntry(REDUCE, 340);
   _actionMap[509][QUALIFIEDPRE] = ActionEntry(REDUCE, 340);
   _actionMap[509][STRINGVAL] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser77()
{
   _actionMap[509][DATE] = ActionEntry(REDUCE, 340);
   _actionMap[509][SYSDATE] = ActionEntry(REDUCE, 340);
   _actionMap[509][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[509][TRUEVAL] = ActionEntry(REDUCE, 340);
   _actionMap[509][FALSEVAL] = ActionEntry(REDUCE, 340);
   _actionMap[509][LAB] = ActionEntry(REDUCE, 340);
   _actionMap[509][FLOATVAL] = ActionEntry(REDUCE, 340);
   _actionMap[509][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[509][INTVAL] = ActionEntry(REDUCE, 340);
   _actionMap[509][EQU] = ActionEntry(SHIFT, 662);
   _actionMap[510][EQU] = ActionEntry(SHIFT, 663);
   _actionMap[511][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[511][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[511][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[511][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[511][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[511][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[511][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[511][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[511][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[511][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[511][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[511][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[511][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[511][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[511][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[511][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[511][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[511][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[511][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[511][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[511][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[511][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[511][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[511][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[511][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[511][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[511][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[511][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[511][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[511][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[511][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[511][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[511][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[511][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[511][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[511][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[511][LB] = ActionEntry(SHIFT, 376);
   _actionMap[511][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[511][DATE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser78()
{
   _actionMap[511][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[511][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[511][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[511][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[511][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[511][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[511][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[511][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[511][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[511][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[511][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[511][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[511][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[511][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[511][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[511][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[511][ObjSpec] = 100;
   _jumpMap[511][Constant] = 99;
   _jumpMap[511][SignedFloat] = 98;
   _jumpMap[511][SignedInt] = 97;
   _jumpMap[511][Attribute] = 96;
   _jumpMap[511][QueryPredicate] = 664;
   _jumpMap[511][Function] = 95;
   _jumpMap[511][CasePrepare] = 94;
   _jumpMap[511][CaseClause] = 93;
   _jumpMap[511][Factor] = 92;
   _jumpMap[511][Term] = 91;
   _jumpMap[511][Expr] = 371;
   _actionMap[512][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[512][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[512][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[512][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[512][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[512][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[512][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[512][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[512][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[512][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[512][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[512][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[512][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[512][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[512][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[512][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[512][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[512][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[512][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[512][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[512][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[512][STR2DATE] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser79()
{
   _actionMap[512][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[512][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[512][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[512][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[512][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[512][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[512][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[512][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[512][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[512][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[512][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[512][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[512][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[512][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[512][LB] = ActionEntry(SHIFT, 376);
   _actionMap[512][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[512][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[512][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[512][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[512][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[512][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[512][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[512][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[512][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[512][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[512][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[512][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[512][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[512][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[512][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[512][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[512][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[512][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[512][ObjSpec] = 100;
   _jumpMap[512][Constant] = 99;
   _jumpMap[512][SignedFloat] = 98;
   _jumpMap[512][SignedInt] = 97;
   _jumpMap[512][Attribute] = 96;
   _jumpMap[512][QueryPredicate] = 665;
   _jumpMap[512][Function] = 95;
   _jumpMap[512][CasePrepare] = 94;
   _jumpMap[512][CaseClause] = 93;
   _jumpMap[512][Factor] = 92;
   _jumpMap[512][Term] = 91;
   _jumpMap[512][Expr] = 371;
   _actionMap[513][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[513][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[513][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[513][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[513][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser80()
{
   _actionMap[513][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[513][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[513][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[513][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[513][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[513][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[513][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[513][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[513][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[513][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[513][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[513][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[513][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[513][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[513][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[513][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[513][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[513][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[513][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[513][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[513][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[513][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[513][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[513][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[513][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[513][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[513][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[513][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[513][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[513][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[513][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[513][LB] = ActionEntry(SHIFT, 144);
   _actionMap[513][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[513][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[513][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[513][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[513][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[513][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[513][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[513][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[513][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[513][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[513][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[513][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[513][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[513][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[513][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[513][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[513][ObjSpec] = 100;
   _jumpMap[513][Constant] = 99;
}
void Cego::loadParser81()
{
   _jumpMap[513][SignedFloat] = 98;
   _jumpMap[513][SignedInt] = 97;
   _jumpMap[513][Attribute] = 96;
   _jumpMap[513][Function] = 95;
   _jumpMap[513][CasePrepare] = 94;
   _jumpMap[513][CaseClause] = 93;
   _jumpMap[513][Factor] = 92;
   _jumpMap[513][Term] = 91;
   _jumpMap[513][Expr] = 666;
   _actionMap[514][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[514][SelectStatement] = 667;
   _actionMap[515][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[515][RB] = ActionEntry(REDUCE, 323);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 323);
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[515][AND] = ActionEntry(REDUCE, 323);
   _actionMap[515][OR] = ActionEntry(REDUCE, 323);
   _actionMap[516][RB] = ActionEntry(SHIFT, 420);
   _actionMap[516][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[516][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[516][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[516][INTOK] = ActionEntry(SHIFT, 503);
   _actionMap[516][NOT] = ActionEntry(SHIFT, 506);
   _actionMap[516][BETWEEN] = ActionEntry(SHIFT, 502);
   _actionMap[516][IS] = ActionEntry(SHIFT, 504);
   _actionMap[516][LIKE] = ActionEntry(SHIFT, 505);
   _actionMap[516][EQU] = ActionEntry(SHIFT, 507);
   _actionMap[516][NEGATION] = ActionEntry(SHIFT, 510);
   _actionMap[516][LT] = ActionEntry(SHIFT, 508);
   _actionMap[516][MT] = ActionEntry(SHIFT, 509);
   _jumpMap[516][Comparison] = 501;
   _actionMap[517][RB] = ActionEntry(SHIFT, 668);
   _actionMap[517][AND] = ActionEntry(SHIFT, 511);
   _actionMap[517][OR] = ActionEntry(SHIFT, 512);
   _actionMap[518][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[518][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[518][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[518][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[518][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[518][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser82()
{
   _actionMap[518][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[518][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[518][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[518][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[518][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[518][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[518][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[518][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[518][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[518][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[518][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[518][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[518][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[518][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[518][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[518][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[518][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[518][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[518][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[518][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[518][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[518][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[518][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[518][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[518][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[518][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[518][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[518][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[518][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[518][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[518][LB] = ActionEntry(SHIFT, 144);
   _actionMap[518][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[518][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[518][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[518][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[518][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[518][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[518][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[518][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[518][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[518][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[518][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[518][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[518][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[518][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[518][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[518][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[518][ObjSpec] = 100;
   _jumpMap[518][Constant] = 99;
   _jumpMap[518][SignedFloat] = 98;
}
void Cego::loadParser83()
{
   _jumpMap[518][SignedInt] = 97;
   _jumpMap[518][Attribute] = 96;
   _jumpMap[518][Function] = 95;
   _jumpMap[518][CasePrepare] = 94;
   _jumpMap[518][CaseClause] = 93;
   _jumpMap[518][Factor] = 92;
   _jumpMap[518][Term] = 91;
   _jumpMap[518][Expr] = 669;
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 303);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 303);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 303);
   _actionMap[519][AS] = ActionEntry(REDUCE, 303);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 303);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[519][OR] = ActionEntry(REDUCE, 303);
   _actionMap[519][AND] = ActionEntry(REDUCE, 303);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 303);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 303);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 303);
   _actionMap[519][IS] = ActionEntry(REDUCE, 303);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 303);
   _actionMap[519][MT] = ActionEntry(REDUCE, 303);
   _actionMap[519][LT] = ActionEntry(REDUCE, 303);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 303);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 303);
   _actionMap[519][RB] = ActionEntry(REDUCE, 303);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 303);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 303);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 303);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 303);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 303);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 303);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 303);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 303);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser84()
{
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 158);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[520][AS] = ActionEntry(REDUCE, 158);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[520][OR] = ActionEntry(REDUCE, 158);
   _actionMap[520][AND] = ActionEntry(REDUCE, 158);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[520][IS] = ActionEntry(REDUCE, 158);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[520][LT] = ActionEntry(REDUCE, 158);
   _actionMap[520][MT] = ActionEntry(REDUCE, 158);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 158);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[520][RB] = ActionEntry(REDUCE, 158);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 297);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 297);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 297);
   _actionMap[521][AS] = ActionEntry(REDUCE, 297);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser85()
{
   _actionMap[521][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[521][OR] = ActionEntry(REDUCE, 297);
   _actionMap[521][AND] = ActionEntry(REDUCE, 297);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 297);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 297);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 297);
   _actionMap[521][IS] = ActionEntry(REDUCE, 297);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 297);
   _actionMap[521][MT] = ActionEntry(REDUCE, 297);
   _actionMap[521][LT] = ActionEntry(REDUCE, 297);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 297);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 297);
   _actionMap[521][RB] = ActionEntry(REDUCE, 297);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 297);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 297);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 297);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 297);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 297);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 297);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 297);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 298);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 298);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 298);
   _actionMap[522][AS] = ActionEntry(REDUCE, 298);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 298);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[522][OR] = ActionEntry(REDUCE, 298);
   _actionMap[522][AND] = ActionEntry(REDUCE, 298);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 298);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 298);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 298);
   _actionMap[522][IS] = ActionEntry(REDUCE, 298);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 298);
   _actionMap[522][MT] = ActionEntry(REDUCE, 298);
   _actionMap[522][LT] = ActionEntry(REDUCE, 298);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 298);
}
void Cego::loadParser86()
{
   _actionMap[522][EQU] = ActionEntry(REDUCE, 298);
   _actionMap[522][RB] = ActionEntry(REDUCE, 298);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 298);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 298);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 298);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 298);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 298);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 298);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 298);
   _actionMap[523][WHEN] = ActionEntry(REDUCE, 299);
   _actionMap[523][ELSE] = ActionEntry(REDUCE, 299);
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[523][FROM] = ActionEntry(REDUCE, 299);
   _actionMap[523][AS] = ActionEntry(REDUCE, 299);
   _actionMap[523][END_TOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[523][BEGIN] = ActionEntry(REDUCE, 299);
   _actionMap[523][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[523][OR] = ActionEntry(REDUCE, 299);
   _actionMap[523][AND] = ActionEntry(REDUCE, 299);
   _actionMap[523][INTOK] = ActionEntry(REDUCE, 299);
   _actionMap[523][NOT] = ActionEntry(REDUCE, 299);
   _actionMap[523][BETWEEN] = ActionEntry(REDUCE, 299);
   _actionMap[523][IS] = ActionEntry(REDUCE, 299);
   _actionMap[523][LIKE] = ActionEntry(REDUCE, 299);
   _actionMap[523][MT] = ActionEntry(REDUCE, 299);
   _actionMap[523][LT] = ActionEntry(REDUCE, 299);
   _actionMap[523][NEGATION] = ActionEntry(REDUCE, 299);
   _actionMap[523][EQU] = ActionEntry(REDUCE, 299);
   _actionMap[523][RB] = ActionEntry(REDUCE, 299);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[523][ASC] = ActionEntry(REDUCE, 299);
   _actionMap[523][DESC] = ActionEntry(REDUCE, 299);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[523][PLUS] = ActionEntry(REDUCE, 299);
   _actionMap[523][MINUS] = ActionEntry(REDUCE, 299);
}
void Cego::loadParser87()
{
   _actionMap[523][DIVISION] = ActionEntry(REDUCE, 299);
   _actionMap[523][STAR] = ActionEntry(REDUCE, 299);
   _actionMap[523][CONCAT] = ActionEntry(REDUCE, 299);
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 300);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 300);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 300);
   _actionMap[524][AS] = ActionEntry(REDUCE, 300);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 300);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[524][OR] = ActionEntry(REDUCE, 300);
   _actionMap[524][AND] = ActionEntry(REDUCE, 300);
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 300);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 300);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 300);
   _actionMap[524][IS] = ActionEntry(REDUCE, 300);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 300);
   _actionMap[524][MT] = ActionEntry(REDUCE, 300);
   _actionMap[524][LT] = ActionEntry(REDUCE, 300);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 300);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 300);
   _actionMap[524][RB] = ActionEntry(REDUCE, 300);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 300);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 300);
   _actionMap[524][DESC] = ActionEntry(REDUCE, 300);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 300);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 300);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 300);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 300);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 300);
   _actionMap[525][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[525][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 159);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 159);
   _actionMap[525][INNER] = ActionEntry(REDUCE, 159);
   _actionMap[525][JOIN] = ActionEntry(REDUCE, 159);
   _actionMap[525][RETURNTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[525][ORDER] = ActionEntry(REDUCE, 159);
}
void Cego::loadParser88()
{
   _actionMap[525][GROUP] = ActionEntry(REDUCE, 159);
   _actionMap[525][WHERE] = ActionEntry(REDUCE, 159);
   _actionMap[525][AS] = ActionEntry(REDUCE, 159);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 159);
   _actionMap[525][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[525][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[525][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[525][OR] = ActionEntry(REDUCE, 159);
   _actionMap[525][AND] = ActionEntry(REDUCE, 159);
   _actionMap[525][LIKE] = ActionEntry(REDUCE, 159);
   _actionMap[525][IS] = ActionEntry(REDUCE, 159);
   _actionMap[525][BETWEEN] = ActionEntry(REDUCE, 159);
   _actionMap[525][NOT] = ActionEntry(REDUCE, 159);
   _actionMap[525][INTOK] = ActionEntry(REDUCE, 159);
   _actionMap[525][EQU] = ActionEntry(REDUCE, 159);
   _actionMap[525][NEGATION] = ActionEntry(REDUCE, 159);
   _actionMap[525][LT] = ActionEntry(REDUCE, 159);
   _actionMap[525][MT] = ActionEntry(REDUCE, 159);
   _actionMap[525][DESC] = ActionEntry(REDUCE, 159);
   _actionMap[525][ASC] = ActionEntry(REDUCE, 159);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[525][ROWLIMIT] = ActionEntry(REDUCE, 159);
   _actionMap[525][UNION] = ActionEntry(REDUCE, 159);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[525][RB] = ActionEntry(REDUCE, 159);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 159);
   _actionMap[525][CONCAT] = ActionEntry(REDUCE, 159);
   _actionMap[525][STAR] = ActionEntry(REDUCE, 159);
   _actionMap[525][DIVISION] = ActionEntry(REDUCE, 159);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 159);
   _actionMap[525][PLUS] = ActionEntry(REDUCE, 159);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[526][AS] = ActionEntry(REDUCE, 156);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[526][OR] = ActionEntry(REDUCE, 156);
   _actionMap[526][AND] = ActionEntry(REDUCE, 156);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[526][IS] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser89()
{
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[526][LT] = ActionEntry(REDUCE, 156);
   _actionMap[526][MT] = ActionEntry(REDUCE, 156);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[526][RB] = ActionEntry(REDUCE, 156);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[527][STRINGVAL] = ActionEntry(SHIFT, 671);
   _jumpMap[527][DateValue] = 670;
   _actionMap[528][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[528][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[528][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[528][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[528][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[528][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[528][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[528][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[528][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[528][AS] = ActionEntry(REDUCE, 277);
   _actionMap[528][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[528][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][OR] = ActionEntry(REDUCE, 277);
   _actionMap[528][AND] = ActionEntry(REDUCE, 277);
   _actionMap[528][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[528][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[528][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][IS] = ActionEntry(REDUCE, 277);
   _actionMap[528][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[528][MT] = ActionEntry(REDUCE, 277);
   _actionMap[528][LT] = ActionEntry(REDUCE, 277);
   _actionMap[528][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[528][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[528][RB] = ActionEntry(REDUCE, 277);
   _actionMap[528][ENDTOKEN] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser90()
{
   _actionMap[528][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[528][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[528][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[528][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[528][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[528][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[528][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[528][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[528][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[528][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[529][AS] = ActionEntry(REDUCE, 278);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[529][OR] = ActionEntry(REDUCE, 278);
   _actionMap[529][AND] = ActionEntry(REDUCE, 278);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[529][IS] = ActionEntry(REDUCE, 278);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[529][MT] = ActionEntry(REDUCE, 278);
   _actionMap[529][LT] = ActionEntry(REDUCE, 278);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[529][RB] = ActionEntry(REDUCE, 278);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser91()
{
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[530][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[530][AS] = ActionEntry(REDUCE, 295);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 295);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[530][OR] = ActionEntry(REDUCE, 295);
   _actionMap[530][AND] = ActionEntry(REDUCE, 295);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 295);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[530][IS] = ActionEntry(REDUCE, 295);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[530][MT] = ActionEntry(REDUCE, 295);
   _actionMap[530][LT] = ActionEntry(REDUCE, 295);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[530][RB] = ActionEntry(REDUCE, 295);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[531][VARREF] = ActionEntry(SHIFT, 673);
   _jumpMap[531][FetchArgList] = 672;
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser92()
{
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[532][AS] = ActionEntry(REDUCE, 284);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[532][OR] = ActionEntry(REDUCE, 284);
   _actionMap[532][AND] = ActionEntry(REDUCE, 284);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[532][IS] = ActionEntry(REDUCE, 284);
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[532][MT] = ActionEntry(REDUCE, 284);
   _actionMap[532][LT] = ActionEntry(REDUCE, 284);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[532][RB] = ActionEntry(REDUCE, 284);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[533][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[533][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[533][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[533][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[533][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[533][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[533][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[533][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[533][AS] = ActionEntry(REDUCE, 279);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[533][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[533][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[533][OR] = ActionEntry(REDUCE, 279);
   _actionMap[533][AND] = ActionEntry(REDUCE, 279);
   _actionMap[533][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[533][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[533][BETWEEN] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser93()
{
   _actionMap[533][IS] = ActionEntry(REDUCE, 279);
   _actionMap[533][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[533][MT] = ActionEntry(REDUCE, 279);
   _actionMap[533][LT] = ActionEntry(REDUCE, 279);
   _actionMap[533][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[533][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[533][RB] = ActionEntry(REDUCE, 279);
   _actionMap[533][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[533][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[533][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[533][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[533][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[533][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[533][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[533][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[533][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[533][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[534][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[534][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[534][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[534][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[534][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[534][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[534][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[534][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[534][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[534][AS] = ActionEntry(REDUCE, 282);
   _actionMap[534][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[534][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[534][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[534][OR] = ActionEntry(REDUCE, 282);
   _actionMap[534][AND] = ActionEntry(REDUCE, 282);
   _actionMap[534][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[534][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[534][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[534][IS] = ActionEntry(REDUCE, 282);
   _actionMap[534][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[534][MT] = ActionEntry(REDUCE, 282);
   _actionMap[534][LT] = ActionEntry(REDUCE, 282);
   _actionMap[534][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[534][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[534][RB] = ActionEntry(REDUCE, 282);
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser94()
{
   _actionMap[534][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[534][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[534][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[534][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[534][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[534][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[534][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[535][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[535][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[535][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[535][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[535][AS] = ActionEntry(REDUCE, 287);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[535][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[535][OR] = ActionEntry(REDUCE, 287);
   _actionMap[535][AND] = ActionEntry(REDUCE, 287);
   _actionMap[535][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[535][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[535][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[535][IS] = ActionEntry(REDUCE, 287);
   _actionMap[535][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[535][MT] = ActionEntry(REDUCE, 287);
   _actionMap[535][LT] = ActionEntry(REDUCE, 287);
   _actionMap[535][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[535][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[535][RB] = ActionEntry(REDUCE, 287);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[535][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[535][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[535][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[535][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[535][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[535][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[535][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[536][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[536][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[536][LEFT] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser95()
{
   _actionMap[536][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[536][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[536][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[536][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[536][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[536][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[536][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[536][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[536][AS] = ActionEntry(REDUCE, 280);
   _actionMap[536][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[536][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[536][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[536][OR] = ActionEntry(REDUCE, 280);
   _actionMap[536][AND] = ActionEntry(REDUCE, 280);
   _actionMap[536][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[536][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[536][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[536][IS] = ActionEntry(REDUCE, 280);
   _actionMap[536][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[536][MT] = ActionEntry(REDUCE, 280);
   _actionMap[536][LT] = ActionEntry(REDUCE, 280);
   _actionMap[536][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[536][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[536][RB] = ActionEntry(REDUCE, 280);
   _actionMap[536][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[536][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[536][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[536][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[536][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[536][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[536][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[536][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[536][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[536][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[536][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[537][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[537][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[537][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[537][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[537][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[537][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[537][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[537][AS] = ActionEntry(REDUCE, 275);
   _actionMap[537][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[537][BEGIN] = ActionEntry(REDUCE, 275);
}
void Cego::loadParser96()
{
   _actionMap[537][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[537][OR] = ActionEntry(REDUCE, 275);
   _actionMap[537][AND] = ActionEntry(REDUCE, 275);
   _actionMap[537][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[537][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[537][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[537][IS] = ActionEntry(REDUCE, 275);
   _actionMap[537][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[537][MT] = ActionEntry(REDUCE, 275);
   _actionMap[537][LT] = ActionEntry(REDUCE, 275);
   _actionMap[537][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[537][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[537][RB] = ActionEntry(REDUCE, 275);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[537][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[537][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[537][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[537][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[537][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[537][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[537][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[537][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[537][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[538][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[538][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[538][LEFT] = ActionEntry(REDUCE, 160);
   _actionMap[538][RIGHT] = ActionEntry(REDUCE, 160);
   _actionMap[538][INNER] = ActionEntry(REDUCE, 160);
   _actionMap[538][JOIN] = ActionEntry(REDUCE, 160);
   _actionMap[538][RETURNTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 160);
   _actionMap[538][GROUP] = ActionEntry(REDUCE, 160);
   _actionMap[538][WHERE] = ActionEntry(REDUCE, 160);
   _actionMap[538][AS] = ActionEntry(REDUCE, 160);
   _actionMap[538][FROM] = ActionEntry(REDUCE, 160);
   _actionMap[538][END_TOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[538][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[538][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[538][OR] = ActionEntry(REDUCE, 160);
   _actionMap[538][AND] = ActionEntry(REDUCE, 160);
   _actionMap[538][LIKE] = ActionEntry(REDUCE, 160);
   _actionMap[538][IS] = ActionEntry(REDUCE, 160);
   _actionMap[538][BETWEEN] = ActionEntry(REDUCE, 160);
   _actionMap[538][NOT] = ActionEntry(REDUCE, 160);
   _actionMap[538][INTOK] = ActionEntry(REDUCE, 160);
   _actionMap[538][EQU] = ActionEntry(REDUCE, 160);
   _actionMap[538][NEGATION] = ActionEntry(REDUCE, 160);
   _actionMap[538][LT] = ActionEntry(REDUCE, 160);
}
void Cego::loadParser97()
{
   _actionMap[538][MT] = ActionEntry(REDUCE, 160);
   _actionMap[538][DESC] = ActionEntry(REDUCE, 160);
   _actionMap[538][ASC] = ActionEntry(REDUCE, 160);
   _actionMap[538][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 160);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 160);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[538][RB] = ActionEntry(REDUCE, 160);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 160);
   _actionMap[538][CONCAT] = ActionEntry(REDUCE, 160);
   _actionMap[538][STAR] = ActionEntry(REDUCE, 160);
   _actionMap[538][DIVISION] = ActionEntry(REDUCE, 160);
   _actionMap[538][MINUS] = ActionEntry(REDUCE, 160);
   _actionMap[538][PLUS] = ActionEntry(REDUCE, 160);
   _actionMap[539][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[539][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 161);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 161);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 161);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 161);
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 161);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 161);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 161);
   _actionMap[539][AS] = ActionEntry(REDUCE, 161);
   _actionMap[539][FROM] = ActionEntry(REDUCE, 161);
   _actionMap[539][END_TOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[539][BEGIN] = ActionEntry(REDUCE, 161);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 161);
   _actionMap[539][OR] = ActionEntry(REDUCE, 161);
   _actionMap[539][AND] = ActionEntry(REDUCE, 161);
   _actionMap[539][LIKE] = ActionEntry(REDUCE, 161);
   _actionMap[539][IS] = ActionEntry(REDUCE, 161);
   _actionMap[539][BETWEEN] = ActionEntry(REDUCE, 161);
   _actionMap[539][NOT] = ActionEntry(REDUCE, 161);
   _actionMap[539][INTOK] = ActionEntry(REDUCE, 161);
   _actionMap[539][EQU] = ActionEntry(REDUCE, 161);
   _actionMap[539][NEGATION] = ActionEntry(REDUCE, 161);
   _actionMap[539][LT] = ActionEntry(REDUCE, 161);
   _actionMap[539][MT] = ActionEntry(REDUCE, 161);
   _actionMap[539][DESC] = ActionEntry(REDUCE, 161);
   _actionMap[539][ASC] = ActionEntry(REDUCE, 161);
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 161);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 161);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[539][RB] = ActionEntry(REDUCE, 161);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 161);
   _actionMap[539][CONCAT] = ActionEntry(REDUCE, 161);
   _actionMap[539][STAR] = ActionEntry(REDUCE, 161);
}
void Cego::loadParser98()
{
   _actionMap[539][DIVISION] = ActionEntry(REDUCE, 161);
   _actionMap[539][MINUS] = ActionEntry(REDUCE, 161);
   _actionMap[539][PLUS] = ActionEntry(REDUCE, 161);
   _actionMap[540][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[540][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[540][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[540][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[540][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[540][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[540][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[540][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[540][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[540][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[540][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[540][AS] = ActionEntry(REDUCE, 294);
   _actionMap[540][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[540][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[540][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[540][OR] = ActionEntry(REDUCE, 294);
   _actionMap[540][AND] = ActionEntry(REDUCE, 294);
   _actionMap[540][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[540][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[540][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[540][IS] = ActionEntry(REDUCE, 294);
   _actionMap[540][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[540][MT] = ActionEntry(REDUCE, 294);
   _actionMap[540][LT] = ActionEntry(REDUCE, 294);
   _actionMap[540][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[540][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[540][RB] = ActionEntry(REDUCE, 294);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[540][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[540][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[540][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[540][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[540][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[540][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[540][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[540][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[540][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[540][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[541][WHEN] = ActionEntry(REDUCE, 301);
   _actionMap[541][ELSE] = ActionEntry(REDUCE, 301);
   _actionMap[541][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[541][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[541][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[541][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[541][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[541][ORDER] = ActionEntry(REDUCE, 301);
}
void Cego::loadParser99()
{
   _actionMap[541][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[541][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[541][FROM] = ActionEntry(REDUCE, 301);
   _actionMap[541][AS] = ActionEntry(REDUCE, 301);
   _actionMap[541][END_TOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[541][BEGIN] = ActionEntry(REDUCE, 301);
   _actionMap[541][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[541][OR] = ActionEntry(REDUCE, 301);
   _actionMap[541][AND] = ActionEntry(REDUCE, 301);
   _actionMap[541][INTOK] = ActionEntry(REDUCE, 301);
   _actionMap[541][NOT] = ActionEntry(REDUCE, 301);
   _actionMap[541][BETWEEN] = ActionEntry(REDUCE, 301);
   _actionMap[541][IS] = ActionEntry(REDUCE, 301);
   _actionMap[541][LIKE] = ActionEntry(REDUCE, 301);
   _actionMap[541][MT] = ActionEntry(REDUCE, 301);
   _actionMap[541][LT] = ActionEntry(REDUCE, 301);
   _actionMap[541][NEGATION] = ActionEntry(REDUCE, 301);
   _actionMap[541][EQU] = ActionEntry(REDUCE, 301);
   _actionMap[541][RB] = ActionEntry(REDUCE, 301);
   _actionMap[541][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[541][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[541][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[541][KSEP] = ActionEntry(REDUCE, 301);
   _actionMap[541][ASC] = ActionEntry(REDUCE, 301);
   _actionMap[541][DESC] = ActionEntry(REDUCE, 301);
   _actionMap[541][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[541][PLUS] = ActionEntry(REDUCE, 301);
   _actionMap[541][MINUS] = ActionEntry(REDUCE, 301);
   _actionMap[541][DIVISION] = ActionEntry(REDUCE, 301);
   _actionMap[541][STAR] = ActionEntry(REDUCE, 301);
   _actionMap[541][CONCAT] = ActionEntry(REDUCE, 301);
   _actionMap[542][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[542][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[542][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[542][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[542][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[542][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[542][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[542][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[542][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[542][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[542][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[542][AS] = ActionEntry(REDUCE, 296);
   _actionMap[542][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[542][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[542][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[542][OR] = ActionEntry(REDUCE, 296);
   _actionMap[542][AND] = ActionEntry(REDUCE, 296);
   _actionMap[542][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[542][NOT] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser100()
{
   _actionMap[542][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[542][IS] = ActionEntry(REDUCE, 296);
   _actionMap[542][LIKE] = ActionEntry(REDUCE, 296);
   _actionMap[542][MT] = ActionEntry(REDUCE, 296);
   _actionMap[542][LT] = ActionEntry(REDUCE, 296);
   _actionMap[542][NEGATION] = ActionEntry(REDUCE, 296);
   _actionMap[542][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[542][RB] = ActionEntry(REDUCE, 296);
   _actionMap[542][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[542][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[542][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[542][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[542][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[542][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[542][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[542][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[542][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[542][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[542][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[542][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[543][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[543][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[543][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[543][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[543][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[543][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[543][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[543][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[543][AS] = ActionEntry(REDUCE, 292);
   _actionMap[543][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[543][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[543][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[543][OR] = ActionEntry(REDUCE, 292);
   _actionMap[543][AND] = ActionEntry(REDUCE, 292);
   _actionMap[543][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[543][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[543][BETWEEN] = ActionEntry(REDUCE, 292);
   _actionMap[543][IS] = ActionEntry(REDUCE, 292);
   _actionMap[543][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[543][MT] = ActionEntry(REDUCE, 292);
   _actionMap[543][LT] = ActionEntry(REDUCE, 292);
   _actionMap[543][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[543][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[543][RB] = ActionEntry(REDUCE, 292);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[543][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser101()
{
   _actionMap[543][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[543][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[543][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[543][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[543][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[543][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[543][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[544][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[544][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[544][AS] = ActionEntry(REDUCE, 293);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[544][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[544][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[544][OR] = ActionEntry(REDUCE, 293);
   _actionMap[544][AND] = ActionEntry(REDUCE, 293);
   _actionMap[544][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[544][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[544][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[544][IS] = ActionEntry(REDUCE, 293);
   _actionMap[544][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[544][MT] = ActionEntry(REDUCE, 293);
   _actionMap[544][LT] = ActionEntry(REDUCE, 293);
   _actionMap[544][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[544][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[544][RB] = ActionEntry(REDUCE, 293);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[544][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[544][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[544][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[544][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[544][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[544][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[544][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[545][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[545][ELSE] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser102()
{
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[545][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[545][AS] = ActionEntry(REDUCE, 286);
   _actionMap[545][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[545][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[545][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[545][OR] = ActionEntry(REDUCE, 286);
   _actionMap[545][AND] = ActionEntry(REDUCE, 286);
   _actionMap[545][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[545][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[545][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[545][IS] = ActionEntry(REDUCE, 286);
   _actionMap[545][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[545][MT] = ActionEntry(REDUCE, 286);
   _actionMap[545][LT] = ActionEntry(REDUCE, 286);
   _actionMap[545][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[545][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[545][RB] = ActionEntry(REDUCE, 286);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[545][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[545][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[545][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[545][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[545][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[545][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[545][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[546][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[546][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[546][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[546][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[546][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[546][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[546][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[546][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[546][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[546][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[546][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[546][AS] = ActionEntry(REDUCE, 283);
   _actionMap[546][END_TOKEN] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser103()
{
   _actionMap[546][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[546][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[546][OR] = ActionEntry(REDUCE, 283);
   _actionMap[546][AND] = ActionEntry(REDUCE, 283);
   _actionMap[546][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[546][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[546][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[546][IS] = ActionEntry(REDUCE, 283);
   _actionMap[546][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[546][MT] = ActionEntry(REDUCE, 283);
   _actionMap[546][LT] = ActionEntry(REDUCE, 283);
   _actionMap[546][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[546][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[546][RB] = ActionEntry(REDUCE, 283);
   _actionMap[546][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[546][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[546][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[546][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[546][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[546][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[546][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[546][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[546][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[546][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[546][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[547][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[547][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[547][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[547][AS] = ActionEntry(REDUCE, 276);
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[547][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[547][OR] = ActionEntry(REDUCE, 276);
   _actionMap[547][AND] = ActionEntry(REDUCE, 276);
   _actionMap[547][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[547][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[547][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[547][IS] = ActionEntry(REDUCE, 276);
   _actionMap[547][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[547][MT] = ActionEntry(REDUCE, 276);
   _actionMap[547][LT] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser104()
{
   _actionMap[547][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[547][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[547][RB] = ActionEntry(REDUCE, 276);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[547][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[547][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[547][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[547][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[547][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[547][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[547][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[548][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[548][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[548][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[548][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[548][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[548][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[548][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[548][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[548][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[548][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[548][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[548][AS] = ActionEntry(REDUCE, 274);
   _actionMap[548][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[548][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[548][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[548][OR] = ActionEntry(REDUCE, 274);
   _actionMap[548][AND] = ActionEntry(REDUCE, 274);
   _actionMap[548][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[548][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[548][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[548][IS] = ActionEntry(REDUCE, 274);
   _actionMap[548][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[548][MT] = ActionEntry(REDUCE, 274);
   _actionMap[548][LT] = ActionEntry(REDUCE, 274);
   _actionMap[548][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[548][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[548][RB] = ActionEntry(REDUCE, 274);
   _actionMap[548][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[548][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[548][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[548][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[548][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[548][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[548][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[548][PLUS] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser105()
{
   _actionMap[548][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[548][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[548][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[548][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[549][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[549][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[549][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[549][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[549][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[549][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[549][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[549][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[549][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[549][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[549][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[549][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[549][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[549][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[549][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[549][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[549][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[549][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[549][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[549][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[549][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[549][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[549][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[549][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[549][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[549][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[549][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[549][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[549][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[549][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[549][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[549][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[549][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[549][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[549][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[549][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[549][LB] = ActionEntry(SHIFT, 144);
   _actionMap[549][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[549][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[549][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[549][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[549][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[549][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[549][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[549][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[549][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser106()
{
   _actionMap[549][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[549][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[549][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[549][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[549][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[549][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[549][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[549][ObjSpec] = 100;
   _jumpMap[549][Constant] = 99;
   _jumpMap[549][SignedFloat] = 98;
   _jumpMap[549][SignedInt] = 97;
   _jumpMap[549][Attribute] = 96;
   _jumpMap[549][Function] = 95;
   _jumpMap[549][CasePrepare] = 94;
   _jumpMap[549][CaseClause] = 93;
   _jumpMap[549][Factor] = 92;
   _jumpMap[549][Term] = 91;
   _jumpMap[549][Expr] = 674;
   _actionMap[550][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[550][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[550][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[550][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[550][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[550][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[550][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[550][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[550][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[550][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[550][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[550][AS] = ActionEntry(REDUCE, 285);
   _actionMap[550][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[550][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[550][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[550][OR] = ActionEntry(REDUCE, 285);
   _actionMap[550][AND] = ActionEntry(REDUCE, 285);
   _actionMap[550][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[550][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[550][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[550][IS] = ActionEntry(REDUCE, 285);
   _actionMap[550][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[550][MT] = ActionEntry(REDUCE, 285);
   _actionMap[550][LT] = ActionEntry(REDUCE, 285);
   _actionMap[550][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[550][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[550][RB] = ActionEntry(REDUCE, 285);
   _actionMap[550][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[550][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[550][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[550][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[550][ASC] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser107()
{
   _actionMap[550][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[550][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[550][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[550][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[550][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[550][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[551][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[551][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[551][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[551][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[551][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[551][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[551][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[551][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[551][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[551][AS] = ActionEntry(REDUCE, 157);
   _actionMap[551][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[551][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[551][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[551][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[551][OR] = ActionEntry(REDUCE, 157);
   _actionMap[551][AND] = ActionEntry(REDUCE, 157);
   _actionMap[551][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[551][IS] = ActionEntry(REDUCE, 157);
   _actionMap[551][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[551][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[551][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[551][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[551][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[551][LT] = ActionEntry(REDUCE, 157);
   _actionMap[551][MT] = ActionEntry(REDUCE, 157);
   _actionMap[551][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[551][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[551][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[551][RB] = ActionEntry(REDUCE, 157);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[551][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[551][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[551][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[551][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[551][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[552][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[552][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[552][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[552][RIGHT] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser108()
{
   _actionMap[552][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[552][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[552][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[552][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[552][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[552][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[552][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[552][AS] = ActionEntry(REDUCE, 289);
   _actionMap[552][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[552][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[552][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[552][OR] = ActionEntry(REDUCE, 289);
   _actionMap[552][AND] = ActionEntry(REDUCE, 289);
   _actionMap[552][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[552][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[552][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[552][IS] = ActionEntry(REDUCE, 289);
   _actionMap[552][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[552][MT] = ActionEntry(REDUCE, 289);
   _actionMap[552][LT] = ActionEntry(REDUCE, 289);
   _actionMap[552][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[552][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[552][RB] = ActionEntry(REDUCE, 289);
   _actionMap[552][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[552][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[552][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[552][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[552][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[552][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[552][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[552][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[552][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[552][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[552][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[553][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[553][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[553][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[553][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[553][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[553][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[553][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[553][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[553][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[553][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[553][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[553][AS] = ActionEntry(REDUCE, 290);
   _actionMap[553][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[553][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[553][THEN] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser109()
{
   _actionMap[553][OR] = ActionEntry(REDUCE, 290);
   _actionMap[553][AND] = ActionEntry(REDUCE, 290);
   _actionMap[553][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[553][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[553][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[553][IS] = ActionEntry(REDUCE, 290);
   _actionMap[553][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[553][MT] = ActionEntry(REDUCE, 290);
   _actionMap[553][LT] = ActionEntry(REDUCE, 290);
   _actionMap[553][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[553][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[553][RB] = ActionEntry(REDUCE, 290);
   _actionMap[553][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[553][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[553][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[553][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[553][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[553][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[553][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[553][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[553][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[553][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[553][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[554][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[554][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[554][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[554][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[554][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[554][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[554][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[554][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[554][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[554][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[554][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[554][AS] = ActionEntry(REDUCE, 291);
   _actionMap[554][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[554][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[554][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[554][OR] = ActionEntry(REDUCE, 291);
   _actionMap[554][AND] = ActionEntry(REDUCE, 291);
   _actionMap[554][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[554][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[554][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[554][IS] = ActionEntry(REDUCE, 291);
   _actionMap[554][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[554][MT] = ActionEntry(REDUCE, 291);
   _actionMap[554][LT] = ActionEntry(REDUCE, 291);
   _actionMap[554][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[554][EQU] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser110()
{
   _actionMap[554][RB] = ActionEntry(REDUCE, 291);
   _actionMap[554][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[554][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[554][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[554][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[554][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[554][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[554][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[554][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[554][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[554][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[554][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[555][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[555][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[555][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[555][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[555][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[555][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[555][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[555][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[555][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[555][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[555][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[555][AS] = ActionEntry(REDUCE, 273);
   _actionMap[555][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[555][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[555][OR] = ActionEntry(REDUCE, 273);
   _actionMap[555][AND] = ActionEntry(REDUCE, 273);
   _actionMap[555][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[555][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[555][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[555][IS] = ActionEntry(REDUCE, 273);
   _actionMap[555][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[555][MT] = ActionEntry(REDUCE, 273);
   _actionMap[555][LT] = ActionEntry(REDUCE, 273);
   _actionMap[555][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[555][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[555][RB] = ActionEntry(REDUCE, 273);
   _actionMap[555][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[555][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[555][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[555][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[555][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[555][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[555][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[555][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[555][DIVISION] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser111()
{
   _actionMap[555][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[555][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[556][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[556][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[556][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[556][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[556][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[556][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[556][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[556][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[556][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[556][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[556][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[556][AS] = ActionEntry(REDUCE, 288);
   _actionMap[556][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[556][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[556][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[556][OR] = ActionEntry(REDUCE, 288);
   _actionMap[556][AND] = ActionEntry(REDUCE, 288);
   _actionMap[556][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[556][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[556][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[556][IS] = ActionEntry(REDUCE, 288);
   _actionMap[556][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[556][MT] = ActionEntry(REDUCE, 288);
   _actionMap[556][LT] = ActionEntry(REDUCE, 288);
   _actionMap[556][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[556][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[556][RB] = ActionEntry(REDUCE, 288);
   _actionMap[556][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[556][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[556][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[556][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[556][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[556][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[556][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[556][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[556][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[556][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[556][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[557][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[557][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[557][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[557][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[557][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[557][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[557][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[557][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[557][GROUP] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser112()
{
   _actionMap[557][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[557][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[557][AS] = ActionEntry(REDUCE, 281);
   _actionMap[557][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[557][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[557][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[557][OR] = ActionEntry(REDUCE, 281);
   _actionMap[557][AND] = ActionEntry(REDUCE, 281);
   _actionMap[557][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[557][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[557][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[557][IS] = ActionEntry(REDUCE, 281);
   _actionMap[557][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[557][MT] = ActionEntry(REDUCE, 281);
   _actionMap[557][LT] = ActionEntry(REDUCE, 281);
   _actionMap[557][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[557][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[557][RB] = ActionEntry(REDUCE, 281);
   _actionMap[557][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[557][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[557][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[557][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[557][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[557][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[557][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[557][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[557][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[557][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[557][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[558][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[558][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[558][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[558][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[558][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[558][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[558][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[558][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[558][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[558][AS] = ActionEntry(REDUCE, 352);
   _actionMap[558][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[558][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][OR] = ActionEntry(REDUCE, 352);
   _actionMap[558][AND] = ActionEntry(REDUCE, 352);
   _actionMap[558][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[558][ROWLIMIT] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser113()
{
   _actionMap[558][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[558][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[558][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[558][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[558][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[558][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[558][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[558][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[558][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[558][MT] = ActionEntry(REDUCE, 352);
   _actionMap[558][LT] = ActionEntry(REDUCE, 352);
   _actionMap[558][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[558][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[558][IS] = ActionEntry(REDUCE, 352);
   _actionMap[558][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[558][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[558][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[558][RB] = ActionEntry(REDUCE, 352);
   _actionMap[559][INTVAL] = ActionEntry(SHIFT, 282);
   _actionMap[560][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[560][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[560][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[560][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[560][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[560][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[560][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[560][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[560][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[560][AS] = ActionEntry(REDUCE, 358);
   _actionMap[560][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[560][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][OR] = ActionEntry(REDUCE, 358);
   _actionMap[560][AND] = ActionEntry(REDUCE, 358);
   _actionMap[560][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[560][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[560][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[560][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[560][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[560][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[560][PLUS] = ActionEntry(REDUCE, 358);
   _actionMap[560][MINUS] = ActionEntry(REDUCE, 358);
   _actionMap[560][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[560][DIVISION] = ActionEntry(REDUCE, 358);
}
void Cego::loadParser114()
{
   _actionMap[560][STAR] = ActionEntry(REDUCE, 358);
   _actionMap[560][MT] = ActionEntry(REDUCE, 358);
   _actionMap[560][LT] = ActionEntry(REDUCE, 358);
   _actionMap[560][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[560][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[560][IS] = ActionEntry(REDUCE, 358);
   _actionMap[560][NULLTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[560][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[560][RB] = ActionEntry(REDUCE, 358);
   _actionMap[561][FLOATVAL] = ActionEntry(SHIFT, 283);
   _actionMap[562][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[562][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[562][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[562][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[562][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[562][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[562][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[562][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[562][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[562][AS] = ActionEntry(REDUCE, 357);
   _actionMap[562][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[562][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][OR] = ActionEntry(REDUCE, 357);
   _actionMap[562][AND] = ActionEntry(REDUCE, 357);
   _actionMap[562][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[562][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[562][ASC] = ActionEntry(REDUCE, 357);
   _actionMap[562][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[562][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[562][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[562][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[562][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[562][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[562][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[562][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[562][MT] = ActionEntry(REDUCE, 357);
   _actionMap[562][LT] = ActionEntry(REDUCE, 357);
   _actionMap[562][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[562][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[562][IS] = ActionEntry(REDUCE, 357);
   _actionMap[562][NULLTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[562][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser115()
{
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[562][RB] = ActionEntry(REDUCE, 357);
   _actionMap[563][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[563][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[563][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[563][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[563][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[563][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[563][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[563][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[563][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[563][AS] = ActionEntry(REDUCE, 359);
   _actionMap[563][END_TOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[563][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][OR] = ActionEntry(REDUCE, 359);
   _actionMap[563][AND] = ActionEntry(REDUCE, 359);
   _actionMap[563][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[563][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[563][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[563][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[563][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[563][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[563][PLUS] = ActionEntry(REDUCE, 359);
   _actionMap[563][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[563][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[563][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[563][STAR] = ActionEntry(REDUCE, 359);
   _actionMap[563][MT] = ActionEntry(REDUCE, 359);
   _actionMap[563][LT] = ActionEntry(REDUCE, 359);
   _actionMap[563][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[563][EQU] = ActionEntry(REDUCE, 359);
   _actionMap[563][IS] = ActionEntry(REDUCE, 359);
   _actionMap[563][NULLTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[563][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[563][RB] = ActionEntry(REDUCE, 359);
   _actionMap[564][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[564][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[564][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[564][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[564][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[564][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][ORDER] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser116()
{
   _actionMap[564][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[564][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[564][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[564][AS] = ActionEntry(REDUCE, 351);
   _actionMap[564][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[564][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][OR] = ActionEntry(REDUCE, 351);
   _actionMap[564][AND] = ActionEntry(REDUCE, 351);
   _actionMap[564][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[564][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[564][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[564][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[564][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[564][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[564][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[564][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[564][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[564][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[564][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[564][MT] = ActionEntry(REDUCE, 351);
   _actionMap[564][LT] = ActionEntry(REDUCE, 351);
   _actionMap[564][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[564][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[564][IS] = ActionEntry(REDUCE, 351);
   _actionMap[564][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[564][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[564][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[564][RB] = ActionEntry(REDUCE, 351);
   _actionMap[565][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[565][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[565][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[565][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[565][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[565][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[565][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[565][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[565][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[565][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[565][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[565][AS] = ActionEntry(REDUCE, 353);
   _actionMap[565][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[565][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[565][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[565][OR] = ActionEntry(REDUCE, 353);
   _actionMap[565][AND] = ActionEntry(REDUCE, 353);
   _actionMap[565][ENDTOKEN] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser117()
{
   _actionMap[565][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[565][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[565][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[565][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[565][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[565][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[565][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[565][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[565][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[565][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[565][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[565][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[565][MT] = ActionEntry(REDUCE, 353);
   _actionMap[565][LT] = ActionEntry(REDUCE, 353);
   _actionMap[565][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[565][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[565][IS] = ActionEntry(REDUCE, 353);
   _actionMap[565][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[565][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[565][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[565][RB] = ActionEntry(REDUCE, 353);
   _actionMap[566][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[566][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[566][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[566][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[566][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[566][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[566][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[566][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[566][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[566][AS] = ActionEntry(REDUCE, 354);
   _actionMap[566][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[566][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][OR] = ActionEntry(REDUCE, 354);
   _actionMap[566][AND] = ActionEntry(REDUCE, 354);
   _actionMap[566][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[566][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[566][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[566][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[566][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[566][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[566][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[566][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[566][CONCAT] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser118()
{
   _actionMap[566][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[566][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[566][MT] = ActionEntry(REDUCE, 354);
   _actionMap[566][LT] = ActionEntry(REDUCE, 354);
   _actionMap[566][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[566][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[566][IS] = ActionEntry(REDUCE, 354);
   _actionMap[566][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[566][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[566][RB] = ActionEntry(REDUCE, 354);
   _actionMap[567][RAB] = ActionEntry(SHIFT, 675);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[569][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[570][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[571][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[574][RB] = ActionEntry(REDUCE, 228);
   _actionMap[574][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[574][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[574][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[574][ORDER] = ActionEntry(REDUCE, 228);
   _actionMap[574][GROUP] = ActionEntry(SHIFT, 678);
   _jumpMap[574][NoGroup] = 677;
   _jumpMap[574][GroupClause] = 676;
   _actionMap[575][LEFT] = ActionEntry(REDUCE, 211);
   _actionMap[575][RIGHT] = ActionEntry(REDUCE, 211);
   _actionMap[575][INNER] = ActionEntry(REDUCE, 211);
   _actionMap[575][JOIN] = ActionEntry(REDUCE, 211);
   _actionMap[575][RETURNTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[575][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[575][RB] = ActionEntry(REDUCE, 211);
   _actionMap[575][ENDTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[575][UNION] = ActionEntry(REDUCE, 211);
   _actionMap[575][ROWLIMIT] = ActionEntry(REDUCE, 211);
   _actionMap[575][ORDER] = ActionEntry(REDUCE, 211);
   _actionMap[575][GROUP] = ActionEntry(REDUCE, 211);
   _actionMap[575][WHERE] = ActionEntry(REDUCE, 211);
   _actionMap[576][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[576][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[576][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[576][ObjSpec] = 440;
   _jumpMap[576][Table] = 679;
   _actionMap[577][JOIN] = ActionEntry(SHIFT, 680);
   _actionMap[578][IDENTIFIER] = ActionEntry(REDUCE, 217);
   _actionMap[578][QUALIFIEDOBJ] = ActionEntry(REDUCE, 217);
   _actionMap[578][QUALIFIEDTS] = ActionEntry(REDUCE, 217);
}
void Cego::loadParser119()
{
   _actionMap[579][OUTER] = ActionEntry(SHIFT, 681);
   _actionMap[580][OUTER] = ActionEntry(SHIFT, 682);
   _actionMap[581][LEFT] = ActionEntry(REDUCE, 212);
   _actionMap[581][RIGHT] = ActionEntry(REDUCE, 212);
   _actionMap[581][INNER] = ActionEntry(REDUCE, 212);
   _actionMap[581][JOIN] = ActionEntry(REDUCE, 212);
   _actionMap[581][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[581][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[581][RB] = ActionEntry(REDUCE, 212);
   _actionMap[581][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[581][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[581][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[581][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[581][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[581][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[582][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[582][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[582][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[582][ObjSpec] = 440;
   _jumpMap[582][Table] = 684;
   _jumpMap[582][TableList] = 683;
   _actionMap[583][WHERE] = ActionEntry(REDUCE, 221);
   _actionMap[583][GROUP] = ActionEntry(REDUCE, 221);
   _actionMap[583][ORDER] = ActionEntry(REDUCE, 221);
   _actionMap[583][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[583][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[583][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[583][RB] = ActionEntry(REDUCE, 221);
   _actionMap[583][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[583][RETURNTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[583][LEFT] = ActionEntry(REDUCE, 221);
   _actionMap[583][RIGHT] = ActionEntry(REDUCE, 221);
   _actionMap[583][INNER] = ActionEntry(REDUCE, 221);
   _actionMap[583][JOIN] = ActionEntry(REDUCE, 221);
   _actionMap[583][KSEP] = ActionEntry(REDUCE, 221);
   _actionMap[583][ON] = ActionEntry(REDUCE, 221);
   _actionMap[584][FROM] = ActionEntry(REDUCE, 223);
   _actionMap[584][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[585][FROM] = ActionEntry(REDUCE, 206);
   _actionMap[585][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[586][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[586][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[586][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[587][RETURNTOKEN] = ActionEntry(SHIFT, 686);
   _actionMap[587][SEMICOLON] = ActionEntry(REDUCE, 253);
   _jumpMap[587][UpdReturnOpt] = 685;
   _actionMap[588][IDENTIFIER] = ActionEntry(SHIFT, 449);
   _jumpMap[588][Assignment] = 687;
   _actionMap[589][FLOATVAL] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser120()
{
   _actionMap[589][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[589][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[589][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[589][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[589][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[589][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[589][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[589][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[589][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[589][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[589][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[589][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[589][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[589][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[589][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[589][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[589][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[589][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[589][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[589][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[589][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[589][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[589][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[589][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[589][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[589][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[589][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[589][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[589][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[589][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[589][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[589][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[589][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[589][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[589][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[589][LB] = ActionEntry(SHIFT, 144);
   _actionMap[589][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[589][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[589][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[589][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[589][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[589][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[589][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[589][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[589][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[589][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[589][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[589][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[589][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[589][AVG] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser121()
{
   _actionMap[589][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[589][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[589][ObjSpec] = 100;
   _jumpMap[589][Constant] = 99;
   _jumpMap[589][SignedFloat] = 98;
   _jumpMap[589][SignedInt] = 97;
   _jumpMap[589][Attribute] = 96;
   _jumpMap[589][Function] = 95;
   _jumpMap[589][CasePrepare] = 94;
   _jumpMap[589][CaseClause] = 93;
   _jumpMap[589][Factor] = 92;
   _jumpMap[589][Term] = 91;
   _jumpMap[589][Expr] = 688;
   _actionMap[590][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[590][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[590][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[590][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[590][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[590][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[590][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[590][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[590][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[590][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[590][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[590][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[590][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[590][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[590][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[590][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[590][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[590][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[590][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[590][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[590][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[590][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[590][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[590][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[590][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[590][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[590][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[590][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[590][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[590][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[590][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[590][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[590][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[590][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[590][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[590][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[590][LB] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser122()
{
   _actionMap[590][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[590][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[590][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[590][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[590][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[590][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[590][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[590][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[590][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[590][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[590][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[590][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[590][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[590][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[590][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[590][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[590][RB] = ActionEntry(REDUCE, 118);
   _jumpMap[590][ObjSpec] = 100;
   _jumpMap[590][Constant] = 99;
   _jumpMap[590][SignedFloat] = 98;
   _jumpMap[590][SignedInt] = 97;
   _jumpMap[590][Attribute] = 96;
   _jumpMap[590][Function] = 95;
   _jumpMap[590][CasePrepare] = 94;
   _jumpMap[590][CaseClause] = 93;
   _jumpMap[590][Factor] = 92;
   _jumpMap[590][Term] = 91;
   _jumpMap[590][Expr] = 324;
   _jumpMap[590][ProcValueList] = 323;
   _jumpMap[590][ProcValueListOpt] = 689;
   _actionMap[314][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[315][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[316][KSEP] = ActionEntry(SHIFT, 451);
   _actionMap[316][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[317][CHECK] = ActionEntry(SHIFT, 452);
   _actionMap[317][FOREIGN] = ActionEntry(SHIFT, 454);
   _actionMap[317][COLUMN] = ActionEntry(SHIFT, 453);
   _actionMap[318][COLUMN] = ActionEntry(SHIFT, 455);
   _actionMap[319][COLUMN] = ActionEntry(SHIFT, 456);
   _actionMap[320][COLUMN] = ActionEntry(SHIFT, 457);
   _actionMap[321][STRINGVAL] = ActionEntry(SHIFT, 458);
   _actionMap[322][RB] = ActionEntry(SHIFT, 325);
   _actionMap[323][KSEP] = ActionEntry(SHIFT, 459);
   _actionMap[323][RB] = ActionEntry(REDUCE, 117);
   _actionMap[324][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[324][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[324][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[324][KSEP] = ActionEntry(REDUCE, 120);
   _actionMap[324][RB] = ActionEntry(REDUCE, 120);
   _actionMap[325][SEMICOLON] = ActionEntry(REDUCE, 54);
}
void Cego::loadParser123()
{
   _actionMap[326][END_TOKEN] = ActionEntry(SHIFT, 460);
   _actionMap[327][EXCEPTION] = ActionEntry(REDUCE, 115);
   _actionMap[327][ELSE] = ActionEntry(REDUCE, 115);
   _actionMap[327][ELSIF] = ActionEntry(REDUCE, 115);
   _actionMap[327][END_TOKEN] = ActionEntry(REDUCE, 115);
   _actionMap[327][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[327][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[327][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[327][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[327][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[327][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[327][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[327][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[327][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[327][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[327][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[327][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[327][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[327][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[327][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[327][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[327][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[327][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[327][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[327][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[327][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[327][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[327][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[327][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[327][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[327][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[327][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[327][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[327][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[327][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[327][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[327][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[327][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[327][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[327][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[327][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[327][LB] = ActionEntry(SHIFT, 144);
   _actionMap[327][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[327][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[327][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[327][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[327][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[327][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[327][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[327][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser124()
{
   _actionMap[327][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[327][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[327][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[327][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[327][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[327][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[327][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[327][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[327][IF] = ActionEntry(SHIFT, 341);
   _actionMap[327][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[327][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[327][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[327][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[327][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[327][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[327][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[327][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[327][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[327][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[327][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[327][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[327][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[327][ObjSpec] = 100;
   _jumpMap[327][Constant] = 99;
   _jumpMap[327][SignedFloat] = 98;
   _jumpMap[327][SignedInt] = 97;
   _jumpMap[327][Attribute] = 96;
   _jumpMap[327][Function] = 95;
   _jumpMap[327][DeleteStatement] = 337;
   _jumpMap[327][UpdateStatement] = 336;
   _jumpMap[327][InsertStatement] = 335;
   _jumpMap[327][RollbackStatement] = 334;
   _jumpMap[327][CommitStatement] = 333;
   _jumpMap[327][StartStatement] = 332;
   _jumpMap[327][CasePrepare] = 94;
   _jumpMap[327][CaseClause] = 93;
   _jumpMap[327][Factor] = 92;
   _jumpMap[327][Term] = 91;
   _jumpMap[327][Expr] = 331;
   _jumpMap[327][ProcStatement] = 462;
   _jumpMap[327][ProcIfPart] = 329;
   _jumpMap[327][ProcExceptionList] = 461;
   _jumpMap[327][ProcBlockStart] = 328;
   _actionMap[328][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[328][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[328][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[328][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[328][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[328][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[328][ROUND] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser125()
{
   _actionMap[328][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[328][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[328][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[328][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[328][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[328][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[328][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[328][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[328][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[328][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[328][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[328][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[328][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[328][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[328][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[328][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[328][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[328][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[328][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[328][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[328][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[328][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[328][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[328][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[328][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[328][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[328][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[328][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[328][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[328][LB] = ActionEntry(SHIFT, 144);
   _actionMap[328][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[328][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[328][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[328][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[328][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[328][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[328][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[328][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[328][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[328][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[328][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[328][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[328][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[328][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[328][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[328][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[328][IF] = ActionEntry(SHIFT, 341);
   _actionMap[328][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[328][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[328][COMMIT] = ActionEntry(SHIFT, 16);
}
void Cego::loadParser126()
{
   _actionMap[328][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[328][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[328][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[328][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[328][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[328][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[328][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[328][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[328][RETURNTOKEN] = ActionEntry(SHIFT, 343);
   _actionMap[328][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[328][ObjSpec] = 100;
   _jumpMap[328][Constant] = 99;
   _jumpMap[328][SignedFloat] = 98;
   _jumpMap[328][SignedInt] = 97;
   _jumpMap[328][Attribute] = 96;
   _jumpMap[328][Function] = 95;
   _jumpMap[328][DeleteStatement] = 337;
   _jumpMap[328][UpdateStatement] = 336;
   _jumpMap[328][InsertStatement] = 335;
   _jumpMap[328][RollbackStatement] = 334;
   _jumpMap[328][CommitStatement] = 333;
   _jumpMap[328][StartStatement] = 332;
   _jumpMap[328][CasePrepare] = 94;
   _jumpMap[328][CaseClause] = 93;
   _jumpMap[328][Factor] = 92;
   _jumpMap[328][Term] = 91;
   _jumpMap[328][Expr] = 331;
   _jumpMap[328][ProcStatement] = 330;
   _jumpMap[328][ProcIfPart] = 329;
   _jumpMap[328][ProcBlockStart] = 328;
   _jumpMap[328][ProcStatementList] = 327;
   _jumpMap[328][ProcStmtBlock] = 463;
   _actionMap[329][ELSIF] = ActionEntry(SHIFT, 466);
   _actionMap[329][END_TOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[329][ELSE] = ActionEntry(REDUCE, 125);
   _jumpMap[329][ProcElsIfOpt] = 465;
   _jumpMap[329][ProcElsIfList] = 464;
   _actionMap[330][SEMICOLON] = ActionEntry(SHIFT, 467);
   _actionMap[331][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[331][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[331][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[332][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[333][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[334][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[335][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[336][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[337][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[338][VAR] = ActionEntry(REDUCE, 113);
   _actionMap[338][CURSOR] = ActionEntry(REDUCE, 113);
}
void Cego::loadParser127()
{
   _actionMap[338][CLOSE] = ActionEntry(REDUCE, 113);
   _actionMap[338][VARREF] = ActionEntry(REDUCE, 113);
   _actionMap[338][NOOP] = ActionEntry(REDUCE, 113);
   _actionMap[338][RETURNTOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[338][WHILE] = ActionEntry(REDUCE, 113);
   _actionMap[338][IF] = ActionEntry(REDUCE, 113);
   _actionMap[338][BEGIN] = ActionEntry(REDUCE, 113);
   _actionMap[338][ROLLBACK] = ActionEntry(REDUCE, 113);
   _actionMap[338][COMMIT] = ActionEntry(REDUCE, 113);
   _actionMap[338][START_TOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[338][UPDATE] = ActionEntry(REDUCE, 113);
   _actionMap[338][DELETETOK] = ActionEntry(REDUCE, 113);
   _actionMap[338][INSERT] = ActionEntry(REDUCE, 113);
   _actionMap[338][FETCH] = ActionEntry(REDUCE, 113);
   _actionMap[338][LB] = ActionEntry(REDUCE, 113);
   _actionMap[338][COUNT] = ActionEntry(REDUCE, 113);
   _actionMap[338][SUM] = ActionEntry(REDUCE, 113);
   _actionMap[338][AVG] = ActionEntry(REDUCE, 113);
   _actionMap[338][MIN] = ActionEntry(REDUCE, 113);
   _actionMap[338][MAX] = ActionEntry(REDUCE, 113);
   _actionMap[338][CASE] = ActionEntry(REDUCE, 113);
   _actionMap[338][TRIM] = ActionEntry(REDUCE, 113);
   _actionMap[338][RTRIM] = ActionEntry(REDUCE, 113);
   _actionMap[338][LTRIM] = ActionEntry(REDUCE, 113);
   _actionMap[338][ROUND] = ActionEntry(REDUCE, 113);
   _actionMap[338][DATE2STR] = ActionEntry(REDUCE, 113);
   _actionMap[338][DATE2INT] = ActionEntry(REDUCE, 113);
   _actionMap[338][INT2DATE] = ActionEntry(REDUCE, 113);
   _actionMap[338][LOWER] = ActionEntry(REDUCE, 113);
   _actionMap[338][UPPER] = ActionEntry(REDUCE, 113);
   _actionMap[338][LEFT] = ActionEntry(REDUCE, 113);
   _actionMap[338][RIGHT] = ActionEntry(REDUCE, 113);
   _actionMap[338][GETPOS] = ActionEntry(REDUCE, 113);
   _actionMap[338][SUBSTR] = ActionEntry(REDUCE, 113);
   _actionMap[338][REPLACE] = ActionEntry(REDUCE, 113);
   _actionMap[338][LENGTH] = ActionEntry(REDUCE, 113);
   _actionMap[338][TRUNC] = ActionEntry(REDUCE, 113);
   _actionMap[338][STR2INT] = ActionEntry(REDUCE, 113);
   _actionMap[338][STR2LONG] = ActionEntry(REDUCE, 113);
   _actionMap[338][STR2DATE] = ActionEntry(REDUCE, 113);
   _actionMap[338][RANDSTR] = ActionEntry(REDUCE, 113);
   _actionMap[338][RANDINT] = ActionEntry(REDUCE, 113);
   _actionMap[338][MOD] = ActionEntry(REDUCE, 113);
   _actionMap[338][DIV] = ActionEntry(REDUCE, 113);
   _actionMap[338][POWER] = ActionEntry(REDUCE, 113);
   _actionMap[338][BITAND] = ActionEntry(REDUCE, 113);
   _actionMap[338][BITOR] = ActionEntry(REDUCE, 113);
   _actionMap[338][BITXOR] = ActionEntry(REDUCE, 113);
   _actionMap[338][BLOBSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[338][NEXTCOUNT] = ActionEntry(REDUCE, 113);
}
void Cego::loadParser128()
{
   _actionMap[338][SETCOUNT] = ActionEntry(REDUCE, 113);
   _actionMap[338][IDENTIFIER] = ActionEntry(REDUCE, 113);
   _actionMap[338][QUALIFIEDOBJ] = ActionEntry(REDUCE, 113);
   _actionMap[338][QUALIFIEDTS] = ActionEntry(REDUCE, 113);
   _actionMap[338][QUALIFIEDPRE] = ActionEntry(REDUCE, 113);
   _actionMap[338][STRINGVAL] = ActionEntry(REDUCE, 113);
   _actionMap[338][DATE] = ActionEntry(REDUCE, 113);
   _actionMap[338][SYSDATE] = ActionEntry(REDUCE, 113);
   _actionMap[338][NULLTOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[338][TRUEVAL] = ActionEntry(REDUCE, 113);
   _actionMap[338][FALSEVAL] = ActionEntry(REDUCE, 113);
   _actionMap[338][LAB] = ActionEntry(REDUCE, 113);
   _actionMap[338][FLOATVAL] = ActionEntry(REDUCE, 113);
   _actionMap[338][MINUS] = ActionEntry(REDUCE, 113);
   _actionMap[338][INTVAL] = ActionEntry(REDUCE, 113);
   _actionMap[339][IDENTIFIER] = ActionEntry(SHIFT, 468);
   _actionMap[340][IDENTIFIER] = ActionEntry(SHIFT, 469);
   _actionMap[341][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[341][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[341][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[341][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[341][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[341][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[341][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[341][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[341][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[341][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[341][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[341][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[341][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[341][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[341][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[341][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[341][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[341][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[341][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[341][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[341][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[341][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[341][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[341][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[341][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[341][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[341][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[341][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[341][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[341][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[341][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[341][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[341][SETCOUNT] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser129()
{
   _actionMap[341][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[341][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[341][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[341][LB] = ActionEntry(SHIFT, 474);
   _actionMap[341][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[341][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[341][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[341][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[341][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[341][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[341][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[341][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[341][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[341][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[341][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[341][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[341][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[341][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[341][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[341][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[341][ObjSpec] = 100;
   _jumpMap[341][Constant] = 99;
   _jumpMap[341][SignedFloat] = 98;
   _jumpMap[341][SignedInt] = 97;
   _jumpMap[341][Attribute] = 96;
   _jumpMap[341][Function] = 95;
   _jumpMap[341][CasePrepare] = 94;
   _jumpMap[341][CaseClause] = 93;
   _jumpMap[341][Factor] = 92;
   _jumpMap[341][Term] = 91;
   _jumpMap[341][Expr] = 473;
   _jumpMap[341][ProcPredicate] = 472;
   _jumpMap[341][ProcCondition] = 471;
   _jumpMap[341][ProcIfCondition] = 470;
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 110);
   _actionMap[343][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[343][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[343][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[343][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[343][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[343][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[343][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[343][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[343][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[343][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[343][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[343][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[343][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[343][RIGHT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser130()
{
   _actionMap[343][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[343][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[343][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[343][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[343][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[343][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[343][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[343][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[343][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[343][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[343][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[343][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[343][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[343][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[343][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[343][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[343][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[343][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[343][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[343][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[343][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[343][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[343][LB] = ActionEntry(SHIFT, 144);
   _actionMap[343][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[343][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[343][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[343][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[343][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[343][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[343][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[343][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[343][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[343][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[343][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[343][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[343][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[343][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[343][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[343][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[343][ObjSpec] = 100;
   _jumpMap[343][Constant] = 99;
   _jumpMap[343][SignedFloat] = 98;
   _jumpMap[343][SignedInt] = 97;
   _jumpMap[343][Attribute] = 96;
   _jumpMap[343][Function] = 95;
   _jumpMap[343][CasePrepare] = 94;
   _jumpMap[343][CaseClause] = 93;
   _jumpMap[343][Factor] = 92;
   _jumpMap[343][Term] = 91;
   _jumpMap[343][Expr] = 475;
}
void Cego::loadParser131()
{
   _actionMap[344][IDENTIFIER] = ActionEntry(SHIFT, 476);
   _actionMap[345][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[345][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[345][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[345][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[345][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[345][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[345][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[345][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[345][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[345][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[345][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[345][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[345][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[345][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[345][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[345][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[345][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[345][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[345][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[345][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[345][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[345][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[345][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[345][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[345][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[345][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[345][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[345][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[345][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[345][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[345][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[345][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[345][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[345][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[345][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[345][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[345][LB] = ActionEntry(SHIFT, 474);
   _actionMap[345][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[345][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[345][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[345][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[345][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[345][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[345][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[345][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[345][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[345][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[345][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[345][COUNT] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser132()
{
   _actionMap[345][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[345][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[345][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[345][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[345][ObjSpec] = 100;
   _jumpMap[345][Constant] = 99;
   _jumpMap[345][SignedFloat] = 98;
   _jumpMap[345][SignedInt] = 97;
   _jumpMap[345][Attribute] = 96;
   _jumpMap[345][Function] = 95;
   _jumpMap[345][CasePrepare] = 94;
   _jumpMap[345][CaseClause] = 93;
   _jumpMap[345][Factor] = 92;
   _jumpMap[345][Term] = 91;
   _jumpMap[345][Expr] = 473;
   _jumpMap[345][ProcPredicate] = 472;
   _jumpMap[345][ProcCondition] = 478;
   _jumpMap[345][ProcWhileCondition] = 477;
   _actionMap[346][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[346][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[346][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[346][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[346][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[346][EQU] = ActionEntry(SHIFT, 479);
   _actionMap[347][ON] = ActionEntry(SHIFT, 480);
   _actionMap[348][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[348][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[348][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[348][ObjSpec] = 481;
   _actionMap[349][IDENTIFIER] = ActionEntry(SHIFT, 486);
   _actionMap[349][RB] = ActionEntry(REDUCE, 87);
   _jumpMap[349][ProcArg] = 484;
   _jumpMap[349][ProcArgList] = 483;
   _jumpMap[349][ProcArgOpt] = 482;
   _actionMap[350][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _actionMap[350][PRIMARY] = ActionEntry(SHIFT, 490);
   _jumpMap[350][ColumnDesc] = 489;
   _jumpMap[350][KeyColumn] = 488;
   _jumpMap[350][ColumnList] = 487;
   _actionMap[351][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[351][SelectStatement] = 492;
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[352][WHERE] = ActionEntry(SHIFT, 355);
   _jumpMap[352][NoWhere] = 354;
   _jumpMap[352][WhereClause] = 353;
   _actionMap[353][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[354][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[354][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[354][ORDER] = ActionEntry(REDUCE, 308);
}
void Cego::loadParser133()
{
   _actionMap[354][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[354][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[354][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[354][RB] = ActionEntry(REDUCE, 308);
   _actionMap[354][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[355][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[355][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[355][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[355][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[355][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[355][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[355][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[355][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[355][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[355][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[355][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[355][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[355][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[355][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[355][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[355][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[355][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[355][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[355][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[355][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[355][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[355][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[355][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[355][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[355][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[355][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[355][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[355][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[355][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[355][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[355][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[355][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[355][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[355][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[355][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[355][LB] = ActionEntry(SHIFT, 376);
   _actionMap[355][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[355][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[355][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[355][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[355][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[355][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[355][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[355][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser134()
{
   _actionMap[355][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[355][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[355][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[355][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[355][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[355][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[355][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[355][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[355][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[355][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[355][ObjSpec] = 100;
   _jumpMap[355][Constant] = 99;
   _jumpMap[355][SignedFloat] = 98;
   _jumpMap[355][SignedInt] = 97;
   _jumpMap[355][Attribute] = 96;
   _jumpMap[355][QueryPredicate] = 373;
   _jumpMap[355][QueryCondition] = 493;
   _jumpMap[355][Function] = 95;
   _jumpMap[355][CasePrepare] = 94;
   _jumpMap[355][CaseClause] = 93;
   _jumpMap[355][Factor] = 92;
   _jumpMap[355][Term] = 91;
   _jumpMap[355][Expr] = 371;
   _actionMap[356][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[357][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[357][VALUES] = ActionEntry(SHIFT, 360);
   _jumpMap[357][SelectStatement] = 359;
   _jumpMap[357][InsertPrepare] = 358;
   _actionMap[358][LB] = ActionEntry(SHIFT, 496);
   _jumpMap[358][InsertValueSpec] = 495;
   _jumpMap[358][InsertValueSpecList] = 494;
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[360][LB] = ActionEntry(REDUCE, 195);
   _actionMap[361][IDENTIFIER] = ActionEntry(SHIFT, 498);
   _jumpMap[361][InsertArgList] = 497;
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[363][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[363][SelectStatement] = 499;
   _actionMap[364][STAR] = ActionEntry(SHIFT, 229);
   _actionMap[364][DIVISION] = ActionEntry(SHIFT, 230);
   _actionMap[364][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[364][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[364][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[364][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[364][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[364][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[364][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[364][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[364][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[364][WHERE] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser135()
{
   _actionMap[364][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[364][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[364][OR] = ActionEntry(REDUCE, 144);
   _actionMap[364][AS] = ActionEntry(REDUCE, 144);
   _actionMap[364][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[364][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[364][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[364][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[364][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[364][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[364][AND] = ActionEntry(REDUCE, 144);
   _actionMap[364][IS] = ActionEntry(REDUCE, 144);
   _actionMap[364][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[364][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[364][LT] = ActionEntry(REDUCE, 144);
   _actionMap[364][MT] = ActionEntry(REDUCE, 144);
   _actionMap[364][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[364][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[364][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[364][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[364][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[364][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[364][RB] = ActionEntry(REDUCE, 144);
   _actionMap[364][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[364][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[364][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[364][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[365][STAR] = ActionEntry(SHIFT, 229);
   _actionMap[365][DIVISION] = ActionEntry(SHIFT, 230);
   _actionMap[365][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[365][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[365][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[365][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[365][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[365][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[365][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[365][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[365][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[365][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[365][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[365][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[365][OR] = ActionEntry(REDUCE, 142);
   _actionMap[365][AS] = ActionEntry(REDUCE, 142);
   _actionMap[365][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[365][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[365][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[365][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[365][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[365][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[365][AND] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser136()
{
   _actionMap[365][IS] = ActionEntry(REDUCE, 142);
   _actionMap[365][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[365][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[365][LT] = ActionEntry(REDUCE, 142);
   _actionMap[365][MT] = ActionEntry(REDUCE, 142);
   _actionMap[365][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[365][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[365][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[365][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[365][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[365][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[365][RB] = ActionEntry(REDUCE, 142);
   _actionMap[365][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[365][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[365][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[365][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[366][STAR] = ActionEntry(SHIFT, 229);
   _actionMap[366][DIVISION] = ActionEntry(SHIFT, 230);
   _actionMap[366][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[366][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[366][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[366][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[366][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[366][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[366][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[366][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[366][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[366][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[366][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[366][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[366][OR] = ActionEntry(REDUCE, 141);
   _actionMap[366][AS] = ActionEntry(REDUCE, 141);
   _actionMap[366][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[366][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[366][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[366][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[366][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[366][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[366][AND] = ActionEntry(REDUCE, 141);
   _actionMap[366][IS] = ActionEntry(REDUCE, 141);
   _actionMap[366][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[366][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[366][LT] = ActionEntry(REDUCE, 141);
   _actionMap[366][MT] = ActionEntry(REDUCE, 141);
   _actionMap[366][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[366][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[366][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[366][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[366][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[366][ENDTOKEN] = ActionEntry(REDUCE, 141);
}
void Cego::loadParser137()
{
   _actionMap[366][RB] = ActionEntry(REDUCE, 141);
   _actionMap[366][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[366][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[366][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[366][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[367][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[367][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[367][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[367][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[367][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[367][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[367][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[367][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[367][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[367][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[367][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[367][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[367][OR] = ActionEntry(REDUCE, 145);
   _actionMap[367][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[367][AS] = ActionEntry(REDUCE, 145);
   _actionMap[367][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[367][AND] = ActionEntry(REDUCE, 145);
   _actionMap[367][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[367][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[367][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[367][IS] = ActionEntry(REDUCE, 145);
   _actionMap[367][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[367][MT] = ActionEntry(REDUCE, 145);
   _actionMap[367][LT] = ActionEntry(REDUCE, 145);
   _actionMap[367][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[367][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[367][RB] = ActionEntry(REDUCE, 145);
   _actionMap[367][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[367][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[367][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[367][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[367][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[367][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[367][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[367][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[367][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[367][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[367][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[367][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[368][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[368][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[368][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[368][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[368][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[368][JOIN] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser138()
{
   _actionMap[368][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[368][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[368][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[368][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[368][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[368][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[368][OR] = ActionEntry(REDUCE, 146);
   _actionMap[368][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[368][AS] = ActionEntry(REDUCE, 146);
   _actionMap[368][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[368][AND] = ActionEntry(REDUCE, 146);
   _actionMap[368][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[368][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[368][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[368][IS] = ActionEntry(REDUCE, 146);
   _actionMap[368][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[368][MT] = ActionEntry(REDUCE, 146);
   _actionMap[368][LT] = ActionEntry(REDUCE, 146);
   _actionMap[368][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[368][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[368][RB] = ActionEntry(REDUCE, 146);
   _actionMap[368][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[368][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[368][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[368][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[368][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[368][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[368][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[368][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[368][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[368][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[368][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[368][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[369][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[369][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[370][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[370][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[370][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[370][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[370][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[370][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[370][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[370][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[370][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[370][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[370][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[370][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[370][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[370][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[370][GETPOS] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser139()
{
   _actionMap[370][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[370][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[370][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[370][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[370][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[370][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[370][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[370][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[370][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[370][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[370][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[370][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[370][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[370][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[370][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[370][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[370][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[370][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[370][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[370][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[370][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[370][LB] = ActionEntry(SHIFT, 144);
   _actionMap[370][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[370][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[370][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[370][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[370][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[370][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[370][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[370][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[370][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[370][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[370][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[370][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[370][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[370][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[370][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[370][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[370][ObjSpec] = 100;
   _jumpMap[370][Constant] = 99;
   _jumpMap[370][SignedFloat] = 98;
   _jumpMap[370][SignedInt] = 97;
   _jumpMap[370][Attribute] = 96;
   _jumpMap[370][Function] = 95;
   _jumpMap[370][CasePrepare] = 94;
   _jumpMap[370][CaseClause] = 93;
   _jumpMap[370][Factor] = 92;
   _jumpMap[370][Term] = 91;
   _jumpMap[370][Expr] = 500;
   _actionMap[371][INTOK] = ActionEntry(SHIFT, 503);
}
void Cego::loadParser140()
{
   _actionMap[371][NOT] = ActionEntry(SHIFT, 506);
   _actionMap[371][BETWEEN] = ActionEntry(SHIFT, 502);
   _actionMap[371][IS] = ActionEntry(SHIFT, 504);
   _actionMap[371][LIKE] = ActionEntry(SHIFT, 505);
   _actionMap[371][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[371][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[371][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[371][EQU] = ActionEntry(SHIFT, 507);
   _actionMap[371][NEGATION] = ActionEntry(SHIFT, 510);
   _actionMap[371][LT] = ActionEntry(SHIFT, 508);
   _actionMap[371][MT] = ActionEntry(SHIFT, 509);
   _jumpMap[371][Comparison] = 501;
   _actionMap[372][THEN] = ActionEntry(SHIFT, 513);
   _actionMap[372][AND] = ActionEntry(SHIFT, 511);
   _actionMap[372][OR] = ActionEntry(SHIFT, 512);
   _actionMap[373][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[373][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[373][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[373][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[373][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[373][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[373][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[373][RB] = ActionEntry(REDUCE, 312);
   _actionMap[373][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[373][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[373][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[373][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[373][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[373][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[373][OR] = ActionEntry(REDUCE, 312);
   _actionMap[373][AND] = ActionEntry(REDUCE, 312);
   _actionMap[374][LB] = ActionEntry(SHIFT, 514);
   _actionMap[375][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[375][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[375][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[375][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[375][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[375][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[375][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[375][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[375][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[375][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[375][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[375][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[375][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[375][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[375][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[375][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[375][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[375][LENGTH] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser141()
{
   _actionMap[375][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[375][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[375][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[375][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[375][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[375][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[375][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[375][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[375][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[375][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[375][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[375][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[375][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[375][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[375][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[375][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[375][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[375][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[375][LB] = ActionEntry(SHIFT, 376);
   _actionMap[375][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[375][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[375][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[375][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[375][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[375][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[375][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[375][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[375][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[375][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[375][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[375][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[375][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[375][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[375][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[375][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[375][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[375][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[375][ObjSpec] = 100;
   _jumpMap[375][Constant] = 99;
   _jumpMap[375][SignedFloat] = 98;
   _jumpMap[375][SignedInt] = 97;
   _jumpMap[375][Attribute] = 96;
   _jumpMap[375][QueryPredicate] = 515;
   _jumpMap[375][Function] = 95;
   _jumpMap[375][CasePrepare] = 94;
   _jumpMap[375][CaseClause] = 93;
   _jumpMap[375][Factor] = 92;
   _jumpMap[375][Term] = 91;
   _jumpMap[375][Expr] = 371;
   _actionMap[376][LONG] = ActionEntry(SHIFT, 278);
}
void Cego::loadParser142()
{
   _actionMap[376][BIGINT] = ActionEntry(SHIFT, 274);
   _actionMap[376][SMALLINT] = ActionEntry(SHIFT, 279);
   _actionMap[376][TINYINT] = ActionEntry(SHIFT, 280);
   _actionMap[376][DOUBLE] = ActionEntry(SHIFT, 276);
   _actionMap[376][DECIMAL] = ActionEntry(SHIFT, 275);
   _actionMap[376][FIXED] = ActionEntry(SHIFT, 277);
   _actionMap[376][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[376][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[376][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[376][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[376][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[376][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[376][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[376][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[376][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[376][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[376][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[376][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[376][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[376][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[376][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[376][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[376][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[376][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[376][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[376][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[376][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[376][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[376][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[376][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[376][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[376][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[376][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[376][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[376][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[376][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[376][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[376][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[376][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[376][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[376][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[376][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[376][LB] = ActionEntry(SHIFT, 376);
   _actionMap[376][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[376][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[376][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[376][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[376][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[376][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[376][LAB] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser143()
{
   _actionMap[376][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[376][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[376][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[376][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[376][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[376][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[376][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[376][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[376][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[376][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[376][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[376][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[376][ObjSpec] = 100;
   _jumpMap[376][Constant] = 99;
   _jumpMap[376][SignedFloat] = 98;
   _jumpMap[376][SignedInt] = 97;
   _jumpMap[376][Attribute] = 96;
   _jumpMap[376][QueryPredicate] = 373;
   _jumpMap[376][QueryCondition] = 517;
   _jumpMap[376][Function] = 95;
   _jumpMap[376][SelectStatement] = 273;
   _jumpMap[376][CasePrepare] = 94;
   _jumpMap[376][CaseClause] = 93;
   _jumpMap[376][Factor] = 92;
   _jumpMap[376][Term] = 91;
   _jumpMap[376][Expr] = 516;
   _actionMap[377][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[377][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[377][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[377][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[377][RB] = ActionEntry(REDUCE, 306);
   _actionMap[378][RB] = ActionEntry(SHIFT, 519);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[379][WHEN] = ActionEntry(REDUCE, 304);
   _actionMap[379][ELSE] = ActionEntry(REDUCE, 304);
   _actionMap[379][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[379][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[379][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[379][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[379][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[379][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[379][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[379][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[379][FROM] = ActionEntry(REDUCE, 304);
   _actionMap[379][AS] = ActionEntry(REDUCE, 304);
   _actionMap[379][END_TOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[379][BEGIN] = ActionEntry(REDUCE, 304);
   _actionMap[379][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[379][OR] = ActionEntry(REDUCE, 304);
   _actionMap[379][AND] = ActionEntry(REDUCE, 304);
}
void Cego::loadParser144()
{
   _actionMap[379][INTOK] = ActionEntry(REDUCE, 304);
   _actionMap[379][NOT] = ActionEntry(REDUCE, 304);
   _actionMap[379][BETWEEN] = ActionEntry(REDUCE, 304);
   _actionMap[379][IS] = ActionEntry(REDUCE, 304);
   _actionMap[379][LIKE] = ActionEntry(REDUCE, 304);
   _actionMap[379][MT] = ActionEntry(REDUCE, 304);
   _actionMap[379][LT] = ActionEntry(REDUCE, 304);
   _actionMap[379][NEGATION] = ActionEntry(REDUCE, 304);
   _actionMap[379][EQU] = ActionEntry(REDUCE, 304);
   _actionMap[379][RB] = ActionEntry(REDUCE, 304);
   _actionMap[379][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[379][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[379][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[379][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[379][ASC] = ActionEntry(REDUCE, 304);
   _actionMap[379][DESC] = ActionEntry(REDUCE, 304);
   _actionMap[379][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[379][PLUS] = ActionEntry(REDUCE, 304);
   _actionMap[379][MINUS] = ActionEntry(REDUCE, 304);
   _actionMap[379][DIVISION] = ActionEntry(REDUCE, 304);
   _actionMap[379][STAR] = ActionEntry(REDUCE, 304);
   _actionMap[379][CONCAT] = ActionEntry(REDUCE, 304);
   _actionMap[380][RB] = ActionEntry(SHIFT, 520);
   _actionMap[380][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[380][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[380][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[381][RB] = ActionEntry(SHIFT, 521);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[382][RB] = ActionEntry(SHIFT, 522);
   _actionMap[382][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[383][RB] = ActionEntry(SHIFT, 523);
   _actionMap[383][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[384][RB] = ActionEntry(SHIFT, 524);
   _actionMap[384][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[385][RB] = ActionEntry(SHIFT, 525);
   _actionMap[385][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[385][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[385][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[386][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[386][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[386][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[386][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[386][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[386][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[386][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[386][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[386][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[386][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[386][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[386][UPPER] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser145()
{
   _actionMap[386][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[386][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[386][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[386][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[386][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[386][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[386][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[386][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[386][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[386][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[386][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[386][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[386][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[386][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[386][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[386][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[386][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[386][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[386][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[386][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[386][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[386][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[386][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[386][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[386][LB] = ActionEntry(SHIFT, 144);
   _actionMap[386][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[386][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[386][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[386][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[386][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[386][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[386][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[386][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[386][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[386][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[386][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[386][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[386][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[386][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[386][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[386][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[386][ObjSpec] = 100;
   _jumpMap[386][Constant] = 99;
   _jumpMap[386][SignedFloat] = 98;
   _jumpMap[386][SignedInt] = 97;
   _jumpMap[386][Attribute] = 96;
   _jumpMap[386][Function] = 95;
   _jumpMap[386][CasePrepare] = 94;
   _jumpMap[386][CaseClause] = 93;
   _jumpMap[386][Factor] = 92;
}
void Cego::loadParser146()
{
   _jumpMap[386][Term] = 91;
   _jumpMap[386][Expr] = 385;
   _actionMap[387][RB] = ActionEntry(SHIFT, 526);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 527);
   _actionMap[389][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[390][RB] = ActionEntry(SHIFT, 528);
   _actionMap[390][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[391][RB] = ActionEntry(SHIFT, 529);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[392][RB] = ActionEntry(SHIFT, 530);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[393][LB] = ActionEntry(SHIFT, 531);
   _actionMap[394][RB] = ActionEntry(SHIFT, 532);
   _actionMap[394][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[395][RB] = ActionEntry(SHIFT, 533);
   _actionMap[395][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[396][RB] = ActionEntry(SHIFT, 534);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[397][RB] = ActionEntry(SHIFT, 535);
   _actionMap[397][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[398][RB] = ActionEntry(SHIFT, 536);
   _actionMap[398][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[399][RB] = ActionEntry(SHIFT, 537);
   _actionMap[399][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[400][RB] = ActionEntry(SHIFT, 538);
   _actionMap[400][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[400][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[400][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[401][RB] = ActionEntry(SHIFT, 539);
   _actionMap[401][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[401][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[401][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[402][RB] = ActionEntry(SHIFT, 540);
   _actionMap[402][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[403][RB] = ActionEntry(SHIFT, 541);
   _actionMap[404][RB] = ActionEntry(SHIFT, 542);
   _actionMap[404][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[405][RB] = ActionEntry(SHIFT, 543);
   _actionMap[405][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[406][RB] = ActionEntry(SHIFT, 544);
   _actionMap[406][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[407][RB] = ActionEntry(SHIFT, 545);
   _actionMap[407][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[408][RB] = ActionEntry(SHIFT, 546);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[409][RB] = ActionEntry(SHIFT, 547);
   _actionMap[409][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[410][RB] = ActionEntry(SHIFT, 548);
   _actionMap[410][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[411][KSEP] = ActionEntry(SHIFT, 549);
}
void Cego::loadParser147()
{
   _actionMap[412][RB] = ActionEntry(SHIFT, 550);
   _actionMap[412][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[413][RB] = ActionEntry(SHIFT, 551);
   _actionMap[413][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[413][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[413][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[414][RB] = ActionEntry(SHIFT, 552);
   _actionMap[414][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[415][RB] = ActionEntry(SHIFT, 553);
   _actionMap[415][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[416][RB] = ActionEntry(SHIFT, 554);
   _actionMap[416][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[417][RB] = ActionEntry(SHIFT, 555);
   _actionMap[417][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[418][RB] = ActionEntry(SHIFT, 556);
   _actionMap[418][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[419][RB] = ActionEntry(SHIFT, 557);
   _actionMap[419][KSEP] = ActionEntry(SHIFT, 518);
   _actionMap[420][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[420][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[420][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[420][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[420][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[420][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[420][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[420][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[420][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[420][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[420][AS] = ActionEntry(REDUCE, 153);
   _actionMap[420][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[420][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[420][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[420][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[420][OR] = ActionEntry(REDUCE, 153);
   _actionMap[420][AND] = ActionEntry(REDUCE, 153);
   _actionMap[420][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[420][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[420][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[420][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[420][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[420][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[420][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[420][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[420][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[420][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[420][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[420][RB] = ActionEntry(REDUCE, 153);
   _actionMap[420][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[420][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[420][CONCAT] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser148()
{
   _actionMap[420][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[420][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[420][IS] = ActionEntry(REDUCE, 153);
   _actionMap[420][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[420][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[420][LT] = ActionEntry(REDUCE, 153);
   _actionMap[420][MT] = ActionEntry(REDUCE, 153);
   _actionMap[421][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[421][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[421][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[421][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[421][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[421][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[421][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[421][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[421][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[421][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[421][AS] = ActionEntry(REDUCE, 154);
   _actionMap[421][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[421][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[421][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[421][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[421][OR] = ActionEntry(REDUCE, 154);
   _actionMap[421][AND] = ActionEntry(REDUCE, 154);
   _actionMap[421][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[421][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[421][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[421][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[421][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[421][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[421][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[421][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[421][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[421][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[421][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[421][RB] = ActionEntry(REDUCE, 154);
   _actionMap[421][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[421][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[421][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[421][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[421][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[421][IS] = ActionEntry(REDUCE, 154);
   _actionMap[421][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[421][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[421][LT] = ActionEntry(REDUCE, 154);
   _actionMap[421][MT] = ActionEntry(REDUCE, 154);
   _actionMap[422][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[422][MINUS] = ActionEntry(SHIFT, 559);
   _jumpMap[422][SignedInt] = 558;
   _actionMap[423][FLOATVAL] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser149()
{
   _actionMap[423][MINUS] = ActionEntry(SHIFT, 561);
   _jumpMap[423][SignedFloat] = 560;
   _actionMap[424][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[424][MINUS] = ActionEntry(SHIFT, 561);
   _jumpMap[424][SignedFloat] = 562;
   _actionMap[425][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[425][MINUS] = ActionEntry(SHIFT, 561);
   _jumpMap[425][SignedFloat] = 563;
   _actionMap[426][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[426][MINUS] = ActionEntry(SHIFT, 559);
   _jumpMap[426][SignedInt] = 564;
   _actionMap[427][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[427][MINUS] = ActionEntry(SHIFT, 559);
   _jumpMap[427][SignedInt] = 565;
   _actionMap[428][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[428][MINUS] = ActionEntry(SHIFT, 559);
   _jumpMap[428][SignedInt] = 566;
   _actionMap[429][INTVAL] = ActionEntry(SHIFT, 567);
   _actionMap[430][IDENTIFIER] = ActionEntry(SHIFT, 568);
   _actionMap[431][IDENTIFIER] = ActionEntry(SHIFT, 569);
   _actionMap[432][IDENTIFIER] = ActionEntry(SHIFT, 570);
   _actionMap[433][IDENTIFIER] = ActionEntry(SHIFT, 571);
   _actionMap[434][IDENTIFIER] = ActionEntry(SHIFT, 572);
   _actionMap[435][IDENTIFIER] = ActionEntry(SHIFT, 573);
   _actionMap[436][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[436][RB] = ActionEntry(REDUCE, 309);
   _actionMap[436][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[436][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[436][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[436][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[436][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[436][WHERE] = ActionEntry(SHIFT, 355);
   _jumpMap[436][NoWhere] = 354;
   _jumpMap[436][WhereClause] = 574;
   _actionMap[437][WHERE] = ActionEntry(REDUCE, 210);
   _actionMap[437][GROUP] = ActionEntry(REDUCE, 210);
   _actionMap[437][ORDER] = ActionEntry(REDUCE, 210);
   _actionMap[437][ROWLIMIT] = ActionEntry(REDUCE, 210);
   _actionMap[437][UNION] = ActionEntry(REDUCE, 210);
   _actionMap[437][ENDTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[437][RB] = ActionEntry(REDUCE, 210);
   _actionMap[437][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[437][RETURNTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[437][INNER] = ActionEntry(SHIFT, 577);
   _actionMap[437][JOIN] = ActionEntry(SHIFT, 578);
   _actionMap[437][LEFT] = ActionEntry(SHIFT, 579);
   _actionMap[437][RIGHT] = ActionEntry(SHIFT, 580);
   _jumpMap[437][InnerJoin] = 576;
   _jumpMap[437][JoinSpec] = 575;
   _actionMap[438][WHERE] = ActionEntry(REDUCE, 209);
}
void Cego::loadParser150()
{
   _actionMap[438][GROUP] = ActionEntry(REDUCE, 209);
   _actionMap[438][ORDER] = ActionEntry(REDUCE, 209);
   _actionMap[438][ROWLIMIT] = ActionEntry(REDUCE, 209);
   _actionMap[438][UNION] = ActionEntry(REDUCE, 209);
   _actionMap[438][ENDTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[438][RB] = ActionEntry(REDUCE, 209);
   _actionMap[438][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[438][RETURNTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[439][KSEP] = ActionEntry(SHIFT, 582);
   _actionMap[439][RETURNTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[439][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[439][RB] = ActionEntry(REDUCE, 219);
   _actionMap[439][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[439][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[439][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[439][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[439][GROUP] = ActionEntry(REDUCE, 219);
   _actionMap[439][WHERE] = ActionEntry(REDUCE, 219);
   _actionMap[439][INNER] = ActionEntry(SHIFT, 577);
   _actionMap[439][JOIN] = ActionEntry(SHIFT, 578);
   _actionMap[439][LEFT] = ActionEntry(SHIFT, 579);
   _actionMap[439][RIGHT] = ActionEntry(SHIFT, 580);
   _jumpMap[439][InnerJoin] = 576;
   _jumpMap[439][JoinSpec] = 581;
   _actionMap[440][WHERE] = ActionEntry(REDUCE, 220);
   _actionMap[440][IDENTIFIER] = ActionEntry(SHIFT, 583);
   _actionMap[440][GROUP] = ActionEntry(REDUCE, 220);
   _actionMap[440][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[440][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[440][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[440][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[440][RB] = ActionEntry(REDUCE, 220);
   _actionMap[440][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[440][RETURNTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[440][LEFT] = ActionEntry(REDUCE, 220);
   _actionMap[440][RIGHT] = ActionEntry(REDUCE, 220);
   _actionMap[440][INNER] = ActionEntry(REDUCE, 220);
   _actionMap[440][JOIN] = ActionEntry(REDUCE, 220);
   _actionMap[440][KSEP] = ActionEntry(REDUCE, 220);
   _actionMap[440][ON] = ActionEntry(REDUCE, 220);
   _actionMap[441][FROM] = ActionEntry(REDUCE, 208);
   _actionMap[441][KSEP] = ActionEntry(REDUCE, 208);
   _actionMap[442][FROM] = ActionEntry(REDUCE, 224);
   _actionMap[442][KSEP] = ActionEntry(REDUCE, 224);
   _actionMap[443][IDENTIFIER] = ActionEntry(SHIFT, 584);
   _actionMap[444][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[444][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[444][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[444][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[444][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser151()
{
   _actionMap[444][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[444][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[444][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[444][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[444][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[444][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[444][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[444][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[444][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[444][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[444][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[444][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[444][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[444][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[444][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[444][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[444][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[444][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[444][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[444][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[444][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[444][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[444][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[444][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[444][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[444][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[444][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[444][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[444][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[444][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[444][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[444][LB] = ActionEntry(SHIFT, 144);
   _actionMap[444][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[444][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[444][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[444][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[444][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[444][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[444][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[444][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[444][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[444][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[444][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[444][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[444][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[444][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[444][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[444][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[444][ObjSpec] = 100;
   _jumpMap[444][Constant] = 99;
}
void Cego::loadParser152()
{
   _jumpMap[444][SignedFloat] = 98;
   _jumpMap[444][SignedInt] = 97;
   _jumpMap[444][Attribute] = 96;
   _jumpMap[444][Function] = 95;
   _jumpMap[444][SelectItem] = 585;
   _jumpMap[444][CasePrepare] = 94;
   _jumpMap[444][CaseClause] = 93;
   _jumpMap[444][Factor] = 92;
   _jumpMap[444][Term] = 91;
   _jumpMap[444][Expr] = 294;
   _actionMap[445][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[445][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[445][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[445][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[445][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[445][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[445][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[445][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[445][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[445][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[445][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[445][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[445][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[445][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[445][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[445][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[445][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[445][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[445][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[445][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[445][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[445][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[445][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[445][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[445][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[445][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[445][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[445][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[445][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[445][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[445][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[445][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[445][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[445][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[445][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[445][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[445][LB] = ActionEntry(SHIFT, 144);
   _actionMap[445][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[445][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[445][SYSDATE] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser153()
{
   _actionMap[445][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[445][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[445][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[445][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[445][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[445][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[445][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[445][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[445][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[445][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[445][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[445][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[445][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[445][ObjSpec] = 100;
   _jumpMap[445][Constant] = 99;
   _jumpMap[445][SignedFloat] = 98;
   _jumpMap[445][SignedInt] = 97;
   _jumpMap[445][Attribute] = 96;
   _jumpMap[445][Function] = 95;
   _jumpMap[445][CasePrepare] = 94;
   _jumpMap[445][CaseClause] = 93;
   _jumpMap[445][Factor] = 92;
   _jumpMap[445][Term] = 91;
   _jumpMap[445][Expr] = 586;
   _actionMap[446][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[446][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[446][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[446][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[447][KSEP] = ActionEntry(SHIFT, 588);
   _actionMap[447][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[447][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[447][WHERE] = ActionEntry(SHIFT, 355);
   _jumpMap[447][NoWhere] = 354;
   _jumpMap[447][WhereClause] = 587;
   _actionMap[448][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[448][WHERE] = ActionEntry(REDUCE, 250);
   _actionMap[448][GROUP] = ActionEntry(REDUCE, 250);
   _actionMap[448][ORDER] = ActionEntry(REDUCE, 250);
   _actionMap[448][ROWLIMIT] = ActionEntry(REDUCE, 250);
   _actionMap[448][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[448][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[448][RB] = ActionEntry(REDUCE, 250);
   _actionMap[448][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[448][RETURNTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[449][EQU] = ActionEntry(SHIFT, 589);
   _actionMap[450][LB] = ActionEntry(SHIFT, 590);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[184][TO] = ActionEntry(REDUCE, 76);
}
void Cego::loadParser154()
{
   _actionMap[184][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[185][ObjSpec] = 314;
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[187][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[188][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[189][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[190][ADD] = ActionEntry(SHIFT, 317);
   _actionMap[190][DROP] = ActionEntry(SHIFT, 318);
   _actionMap[190][MODIFY] = ActionEntry(SHIFT, 319);
   _actionMap[190][RENAME] = ActionEntry(SHIFT, 320);
   _jumpMap[190][AlterOption] = 316;
   _jumpMap[190][AlterList] = 315;
   _actionMap[191][BY] = ActionEntry(SHIFT, 321);
   _actionMap[192][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[192][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[192][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[192][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[192][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[192][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[192][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[192][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[192][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[192][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[192][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[192][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[192][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[192][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[192][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[192][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[192][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[192][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[192][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[192][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[192][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[192][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[192][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[192][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[192][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[192][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[192][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[192][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[192][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[192][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[192][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[192][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[192][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[192][IDENTIFIER] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser155()
{
   _actionMap[192][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[192][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[192][LB] = ActionEntry(SHIFT, 144);
   _actionMap[192][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[192][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[192][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[192][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[192][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[192][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[192][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[192][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[192][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[192][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[192][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[192][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[192][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[192][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[192][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[192][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[192][RB] = ActionEntry(REDUCE, 118);
   _jumpMap[192][ObjSpec] = 100;
   _jumpMap[192][Constant] = 99;
   _jumpMap[192][SignedFloat] = 98;
   _jumpMap[192][SignedInt] = 97;
   _jumpMap[192][Attribute] = 96;
   _jumpMap[192][Function] = 95;
   _jumpMap[192][CasePrepare] = 94;
   _jumpMap[192][CaseClause] = 93;
   _jumpMap[192][Factor] = 92;
   _jumpMap[192][Term] = 91;
   _jumpMap[192][Expr] = 324;
   _jumpMap[192][ProcValueList] = 323;
   _jumpMap[192][ProcValueListOpt] = 322;
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[194][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[194][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[194][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[194][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[194][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[194][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[194][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[194][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[194][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[194][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[194][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[194][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[194][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[194][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[194][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[194][SUBSTR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser156()
{
   _actionMap[194][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[194][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[194][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[194][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[194][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[194][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[194][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[194][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[194][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[194][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[194][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[194][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[194][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[194][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[194][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[194][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[194][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[194][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[194][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[194][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[194][LB] = ActionEntry(SHIFT, 144);
   _actionMap[194][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[194][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[194][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[194][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[194][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[194][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[194][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[194][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[194][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[194][VARREF] = ActionEntry(SHIFT, 346);
   _actionMap[194][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[194][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[194][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[194][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[194][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[194][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[194][IF] = ActionEntry(SHIFT, 341);
   _actionMap[194][BEGIN] = ActionEntry(SHIFT, 338);
   _actionMap[194][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[194][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[194][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[194][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[194][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[194][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[194][VAR] = ActionEntry(SHIFT, 344);
   _actionMap[194][CURSOR] = ActionEntry(SHIFT, 340);
   _actionMap[194][CLOSE] = ActionEntry(SHIFT, 339);
   _actionMap[194][NOOP] = ActionEntry(SHIFT, 342);
   _actionMap[194][RETURNTOKEN] = ActionEntry(SHIFT, 343);
}
void Cego::loadParser157()
{
   _actionMap[194][WHILE] = ActionEntry(SHIFT, 345);
   _jumpMap[194][ObjSpec] = 100;
   _jumpMap[194][Constant] = 99;
   _jumpMap[194][SignedFloat] = 98;
   _jumpMap[194][SignedInt] = 97;
   _jumpMap[194][Attribute] = 96;
   _jumpMap[194][Function] = 95;
   _jumpMap[194][DeleteStatement] = 337;
   _jumpMap[194][UpdateStatement] = 336;
   _jumpMap[194][InsertStatement] = 335;
   _jumpMap[194][RollbackStatement] = 334;
   _jumpMap[194][CommitStatement] = 333;
   _jumpMap[194][StartStatement] = 332;
   _jumpMap[194][CasePrepare] = 94;
   _jumpMap[194][CaseClause] = 93;
   _jumpMap[194][Factor] = 92;
   _jumpMap[194][Term] = 91;
   _jumpMap[194][Expr] = 331;
   _jumpMap[194][ProcStatement] = 330;
   _jumpMap[194][ProcIfPart] = 329;
   _jumpMap[194][ProcBlockStart] = 328;
   _jumpMap[194][ProcStatementList] = 327;
   _jumpMap[194][ProcStmtBlock] = 326;
   _actionMap[195][IDENTIFIER] = ActionEntry(SHIFT, 347);
   _actionMap[196][ON] = ActionEntry(REDUCE, 187);
   _actionMap[196][IDENTIFIER] = ActionEntry(REDUCE, 187);
   _actionMap[197][ON] = ActionEntry(REDUCE, 186);
   _actionMap[197][IDENTIFIER] = ActionEntry(REDUCE, 186);
   _actionMap[198][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[199][ON] = ActionEntry(SHIFT, 348);
   _actionMap[200][LB] = ActionEntry(SHIFT, 349);
   _actionMap[201][LB] = ActionEntry(SHIFT, 350);
   _actionMap[202][AS] = ActionEntry(SHIFT, 351);
   _actionMap[203][IDENTIFIER] = ActionEntry(SHIFT, 312);
   _actionMap[203][WHERE] = ActionEntry(REDUCE, 259);
   _actionMap[203][GROUP] = ActionEntry(REDUCE, 259);
   _actionMap[203][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[203][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[203][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[203][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[203][RB] = ActionEntry(REDUCE, 259);
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[203][RETURNTOKEN] = ActionEntry(REDUCE, 259);
   _jumpMap[203][NoWhere] = 354;
   _jumpMap[203][WhereClause] = 353;
   _jumpMap[203][UpdDelAlias] = 352;
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[206][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[206][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
}
void Cego::loadParser158()
{
   _actionMap[206][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[206][ObjSpec] = 356;
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[211][COUNTER] = ActionEntry(REDUCE, 67);
   _actionMap[211][BTREE] = ActionEntry(REDUCE, 67);
   _actionMap[211][CHECK] = ActionEntry(REDUCE, 67);
   _actionMap[211][FOREIGN] = ActionEntry(REDUCE, 67);
   _actionMap[211][PROCEDURE] = ActionEntry(REDUCE, 67);
   _actionMap[211][VIEW] = ActionEntry(REDUCE, 67);
   _actionMap[211][INDEX] = ActionEntry(REDUCE, 67);
   _actionMap[211][TABLE] = ActionEntry(REDUCE, 67);
   _actionMap[212][LB] = ActionEntry(SHIFT, 361);
   _actionMap[212][VALUES] = ActionEntry(REDUCE, 194);
   _actionMap[212][SELECT] = ActionEntry(REDUCE, 194);
   _jumpMap[212][SelectStatement] = 359;
   _jumpMap[212][InsertPrepare] = 358;
   _jumpMap[212][InsertArgSpec] = 357;
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[213][IDENTIFIER] = ActionEntry(REDUCE, 78);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[215][IDENTIFIER] = ActionEntry(SHIFT, 362);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[218][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[221][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[224][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[225][AS] = ActionEntry(SHIFT, 363);
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[226][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser159()
{
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[226][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[226][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[226][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[226][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[226][LB] = ActionEntry(SHIFT, 144);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[226][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[226][ObjSpec] = 100;
   _jumpMap[226][Constant] = 99;
   _jumpMap[226][SignedFloat] = 98;
   _jumpMap[226][SignedInt] = 97;
   _jumpMap[226][Attribute] = 96;
   _jumpMap[226][Function] = 95;
   _jumpMap[226][CasePrepare] = 94;
   _jumpMap[226][CaseClause] = 93;
   _jumpMap[226][Factor] = 92;
   _jumpMap[226][Term] = 364;
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser160()
{
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[227][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[227][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[227][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[227][LB] = ActionEntry(SHIFT, 144);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser161()
{
   _jumpMap[227][ObjSpec] = 100;
   _jumpMap[227][Constant] = 99;
   _jumpMap[227][SignedFloat] = 98;
   _jumpMap[227][SignedInt] = 97;
   _jumpMap[227][Attribute] = 96;
   _jumpMap[227][Function] = 95;
   _jumpMap[227][CasePrepare] = 94;
   _jumpMap[227][CaseClause] = 93;
   _jumpMap[227][Factor] = 92;
   _jumpMap[227][Term] = 365;
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[228][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[228][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[228][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[228][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[228][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[228][LB] = ActionEntry(SHIFT, 144);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser162()
{
   _actionMap[228][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[228][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[228][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[228][ObjSpec] = 100;
   _jumpMap[228][Constant] = 99;
   _jumpMap[228][SignedFloat] = 98;
   _jumpMap[228][SignedInt] = 97;
   _jumpMap[228][Attribute] = 96;
   _jumpMap[228][Function] = 95;
   _jumpMap[228][CasePrepare] = 94;
   _jumpMap[228][CaseClause] = 93;
   _jumpMap[228][Factor] = 92;
   _jumpMap[228][Term] = 366;
   _actionMap[229][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[229][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[229][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[229][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[229][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[229][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[229][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[229][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[229][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[229][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[229][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[229][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[229][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[229][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[229][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[229][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[229][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[229][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[229][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[229][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[229][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[229][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[229][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[229][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[229][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[229][RANDSTR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser163()
{
   _actionMap[229][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[229][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[229][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[229][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[229][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[229][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[229][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[229][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[229][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[229][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[229][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[229][LB] = ActionEntry(SHIFT, 144);
   _actionMap[229][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[229][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[229][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[229][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[229][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[229][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[229][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[229][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[229][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[229][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[229][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[229][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[229][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[229][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[229][ObjSpec] = 100;
   _jumpMap[229][Constant] = 99;
   _jumpMap[229][SignedFloat] = 98;
   _jumpMap[229][SignedInt] = 97;
   _jumpMap[229][Attribute] = 96;
   _jumpMap[229][Function] = 95;
   _jumpMap[229][CasePrepare] = 94;
   _jumpMap[229][CaseClause] = 93;
   _jumpMap[229][Factor] = 367;
   _actionMap[230][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[230][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[230][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[230][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[230][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[230][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[230][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[230][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[230][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[230][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[230][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[230][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[230][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[230][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[230][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser164()
{
   _actionMap[230][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[230][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[230][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[230][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[230][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[230][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[230][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[230][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[230][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[230][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[230][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[230][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[230][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[230][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[230][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[230][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[230][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[230][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[230][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[230][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[230][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[230][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[230][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[230][LB] = ActionEntry(SHIFT, 144);
   _actionMap[230][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[230][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[230][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[230][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[230][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[230][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[230][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[230][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[230][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[230][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[230][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[230][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[230][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[230][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[230][ObjSpec] = 100;
   _jumpMap[230][Constant] = 99;
   _jumpMap[230][SignedFloat] = 98;
   _jumpMap[230][SignedInt] = 97;
   _jumpMap[230][Attribute] = 96;
   _jumpMap[230][Function] = 95;
   _jumpMap[230][CasePrepare] = 94;
   _jumpMap[230][CaseClause] = 93;
   _jumpMap[230][Factor] = 368;
   _actionMap[231][ELSE] = ActionEntry(SHIFT, 370);
   _actionMap[231][WHEN] = ActionEntry(SHIFT, 233);
   _jumpMap[231][CaseCondition] = 369;
}
void Cego::loadParser165()
{
   _actionMap[232][WHEN] = ActionEntry(REDUCE, 164);
   _actionMap[232][ELSE] = ActionEntry(REDUCE, 164);
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[233][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[233][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[233][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[233][LB] = ActionEntry(SHIFT, 376);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser166()
{
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[233][EXISTS] = ActionEntry(SHIFT, 374);
   _actionMap[233][NOT] = ActionEntry(SHIFT, 375);
   _jumpMap[233][ObjSpec] = 100;
   _jumpMap[233][Constant] = 99;
   _jumpMap[233][SignedFloat] = 98;
   _jumpMap[233][SignedInt] = 97;
   _jumpMap[233][Attribute] = 96;
   _jumpMap[233][QueryPredicate] = 373;
   _jumpMap[233][QueryCondition] = 372;
   _jumpMap[233][Function] = 95;
   _jumpMap[233][CasePrepare] = 94;
   _jumpMap[233][CaseClause] = 93;
   _jumpMap[233][Factor] = 92;
   _jumpMap[233][Term] = 91;
   _jumpMap[233][Expr] = 371;
   _actionMap[234][RB] = ActionEntry(SHIFT, 379);
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[234][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser167()
{
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[234][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[234][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[234][LB] = ActionEntry(SHIFT, 144);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[234][ObjSpec] = 100;
   _jumpMap[234][Constant] = 99;
   _jumpMap[234][SignedFloat] = 98;
   _jumpMap[234][SignedInt] = 97;
   _jumpMap[234][Attribute] = 96;
   _jumpMap[234][ExpressionList] = 378;
   _jumpMap[234][Function] = 95;
   _jumpMap[234][CasePrepare] = 94;
   _jumpMap[234][CaseClause] = 93;
   _jumpMap[234][Factor] = 92;
   _jumpMap[234][Term] = 91;
   _jumpMap[234][Expr] = 377;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser168()
{
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[235][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[235][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[235][LB] = ActionEntry(SHIFT, 144);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[235][ObjSpec] = 100;
   _jumpMap[235][Constant] = 99;
   _jumpMap[235][SignedFloat] = 98;
   _jumpMap[235][SignedInt] = 97;
   _jumpMap[235][Attribute] = 96;
   _jumpMap[235][Function] = 95;
   _jumpMap[235][CasePrepare] = 94;
   _jumpMap[235][CaseClause] = 93;
   _jumpMap[235][Factor] = 92;
   _jumpMap[235][Term] = 91;
   _jumpMap[235][Expr] = 380;
}
void Cego::loadParser169()
{
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[236][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[236][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[236][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[236][LB] = ActionEntry(SHIFT, 144);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser170()
{
   _actionMap[236][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[236][ObjSpec] = 100;
   _jumpMap[236][Constant] = 99;
   _jumpMap[236][SignedFloat] = 98;
   _jumpMap[236][SignedInt] = 97;
   _jumpMap[236][Attribute] = 96;
   _jumpMap[236][ExpressionList] = 381;
   _jumpMap[236][Function] = 95;
   _jumpMap[236][CasePrepare] = 94;
   _jumpMap[236][CaseClause] = 93;
   _jumpMap[236][Factor] = 92;
   _jumpMap[236][Term] = 91;
   _jumpMap[236][Expr] = 377;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[237][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[237][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[237][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[237][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser171()
{
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[237][LB] = ActionEntry(SHIFT, 144);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[237][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[237][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[237][ObjSpec] = 100;
   _jumpMap[237][Constant] = 99;
   _jumpMap[237][SignedFloat] = 98;
   _jumpMap[237][SignedInt] = 97;
   _jumpMap[237][Attribute] = 96;
   _jumpMap[237][ExpressionList] = 382;
   _jumpMap[237][Function] = 95;
   _jumpMap[237][CasePrepare] = 94;
   _jumpMap[237][CaseClause] = 93;
   _jumpMap[237][Factor] = 92;
   _jumpMap[237][Term] = 91;
   _jumpMap[237][Expr] = 377;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser172()
{
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[238][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[238][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[238][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[238][LB] = ActionEntry(SHIFT, 144);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[238][ObjSpec] = 100;
   _jumpMap[238][Constant] = 99;
   _jumpMap[238][SignedFloat] = 98;
   _jumpMap[238][SignedInt] = 97;
   _jumpMap[238][Attribute] = 96;
   _jumpMap[238][ExpressionList] = 383;
   _jumpMap[238][Function] = 95;
   _jumpMap[238][CasePrepare] = 94;
   _jumpMap[238][CaseClause] = 93;
   _jumpMap[238][Factor] = 92;
   _jumpMap[238][Term] = 91;
   _jumpMap[238][Expr] = 377;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser173()
{
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[239][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[239][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[239][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[239][LB] = ActionEntry(SHIFT, 144);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[239][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[239][ObjSpec] = 100;
   _jumpMap[239][Constant] = 99;
}
void Cego::loadParser174()
{
   _jumpMap[239][SignedFloat] = 98;
   _jumpMap[239][SignedInt] = 97;
   _jumpMap[239][Attribute] = 96;
   _jumpMap[239][ExpressionList] = 384;
   _jumpMap[239][Function] = 95;
   _jumpMap[239][CasePrepare] = 94;
   _jumpMap[239][CaseClause] = 93;
   _jumpMap[239][Factor] = 92;
   _jumpMap[239][Term] = 91;
   _jumpMap[239][Expr] = 377;
   _actionMap[240][STAR] = ActionEntry(SHIFT, 387);
   _actionMap[240][DISTINCT] = ActionEntry(SHIFT, 163);
   _actionMap[240][VARREF] = ActionEntry(REDUCE, 244);
   _actionMap[240][FETCH] = ActionEntry(REDUCE, 244);
   _actionMap[240][LB] = ActionEntry(REDUCE, 244);
   _actionMap[240][COUNT] = ActionEntry(REDUCE, 244);
   _actionMap[240][SUM] = ActionEntry(REDUCE, 244);
   _actionMap[240][AVG] = ActionEntry(REDUCE, 244);
   _actionMap[240][MIN] = ActionEntry(REDUCE, 244);
   _actionMap[240][MAX] = ActionEntry(REDUCE, 244);
   _actionMap[240][CASE] = ActionEntry(REDUCE, 244);
   _actionMap[240][TRIM] = ActionEntry(REDUCE, 244);
   _actionMap[240][RTRIM] = ActionEntry(REDUCE, 244);
   _actionMap[240][LTRIM] = ActionEntry(REDUCE, 244);
   _actionMap[240][ROUND] = ActionEntry(REDUCE, 244);
   _actionMap[240][DATE2STR] = ActionEntry(REDUCE, 244);
   _actionMap[240][DATE2INT] = ActionEntry(REDUCE, 244);
   _actionMap[240][INT2DATE] = ActionEntry(REDUCE, 244);
   _actionMap[240][LOWER] = ActionEntry(REDUCE, 244);
   _actionMap[240][UPPER] = ActionEntry(REDUCE, 244);
   _actionMap[240][LEFT] = ActionEntry(REDUCE, 244);
   _actionMap[240][RIGHT] = ActionEntry(REDUCE, 244);
   _actionMap[240][GETPOS] = ActionEntry(REDUCE, 244);
   _actionMap[240][SUBSTR] = ActionEntry(REDUCE, 244);
   _actionMap[240][REPLACE] = ActionEntry(REDUCE, 244);
   _actionMap[240][LENGTH] = ActionEntry(REDUCE, 244);
   _actionMap[240][TRUNC] = ActionEntry(REDUCE, 244);
   _actionMap[240][STR2INT] = ActionEntry(REDUCE, 244);
   _actionMap[240][STR2LONG] = ActionEntry(REDUCE, 244);
   _actionMap[240][STR2DATE] = ActionEntry(REDUCE, 244);
   _actionMap[240][RANDSTR] = ActionEntry(REDUCE, 244);
   _actionMap[240][RANDINT] = ActionEntry(REDUCE, 244);
   _actionMap[240][MOD] = ActionEntry(REDUCE, 244);
   _actionMap[240][DIV] = ActionEntry(REDUCE, 244);
   _actionMap[240][POWER] = ActionEntry(REDUCE, 244);
   _actionMap[240][BITAND] = ActionEntry(REDUCE, 244);
   _actionMap[240][BITOR] = ActionEntry(REDUCE, 244);
   _actionMap[240][BITXOR] = ActionEntry(REDUCE, 244);
   _actionMap[240][BLOBSIZE] = ActionEntry(REDUCE, 244);
   _actionMap[240][NEXTCOUNT] = ActionEntry(REDUCE, 244);
}
void Cego::loadParser175()
{
   _actionMap[240][SETCOUNT] = ActionEntry(REDUCE, 244);
   _actionMap[240][IDENTIFIER] = ActionEntry(REDUCE, 244);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(REDUCE, 244);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(REDUCE, 244);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(REDUCE, 244);
   _actionMap[240][STRINGVAL] = ActionEntry(REDUCE, 244);
   _actionMap[240][DATE] = ActionEntry(REDUCE, 244);
   _actionMap[240][SYSDATE] = ActionEntry(REDUCE, 244);
   _actionMap[240][NULLTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[240][TRUEVAL] = ActionEntry(REDUCE, 244);
   _actionMap[240][FALSEVAL] = ActionEntry(REDUCE, 244);
   _actionMap[240][LAB] = ActionEntry(REDUCE, 244);
   _actionMap[240][FLOATVAL] = ActionEntry(REDUCE, 244);
   _actionMap[240][MINUS] = ActionEntry(REDUCE, 244);
   _actionMap[240][INTVAL] = ActionEntry(REDUCE, 244);
   _jumpMap[240][ObjSpec] = 100;
   _jumpMap[240][Constant] = 99;
   _jumpMap[240][SignedFloat] = 98;
   _jumpMap[240][SignedInt] = 97;
   _jumpMap[240][Attribute] = 96;
   _jumpMap[240][Function] = 95;
   _jumpMap[240][DistinctOpt] = 386;
   _jumpMap[240][CasePrepare] = 94;
   _jumpMap[240][CaseClause] = 93;
   _jumpMap[240][Factor] = 92;
   _jumpMap[240][Term] = 91;
   _jumpMap[240][Expr] = 385;
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 389);
   _jumpMap[241][DateFormat] = 388;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser176()
{
   _actionMap[242][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[242][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[242][LB] = ActionEntry(SHIFT, 144);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[242][ObjSpec] = 100;
   _jumpMap[242][Constant] = 99;
   _jumpMap[242][SignedFloat] = 98;
   _jumpMap[242][SignedInt] = 97;
   _jumpMap[242][Attribute] = 96;
   _jumpMap[242][ExpressionList] = 390;
   _jumpMap[242][Function] = 95;
   _jumpMap[242][CasePrepare] = 94;
   _jumpMap[242][CaseClause] = 93;
   _jumpMap[242][Factor] = 92;
   _jumpMap[242][Term] = 91;
   _jumpMap[242][Expr] = 377;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser177()
{
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[243][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[243][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[243][LB] = ActionEntry(SHIFT, 144);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[243][ObjSpec] = 100;
   _jumpMap[243][Constant] = 99;
   _jumpMap[243][SignedFloat] = 98;
}
void Cego::loadParser178()
{
   _jumpMap[243][SignedInt] = 97;
   _jumpMap[243][Attribute] = 96;
   _jumpMap[243][ExpressionList] = 391;
   _jumpMap[243][Function] = 95;
   _jumpMap[243][CasePrepare] = 94;
   _jumpMap[243][CaseClause] = 93;
   _jumpMap[243][Factor] = 92;
   _jumpMap[243][Term] = 91;
   _jumpMap[243][Expr] = 377;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[244][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[244][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[244][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[244][LB] = ActionEntry(SHIFT, 144);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser179()
{
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[244][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[244][ObjSpec] = 100;
   _jumpMap[244][Constant] = 99;
   _jumpMap[244][SignedFloat] = 98;
   _jumpMap[244][SignedInt] = 97;
   _jumpMap[244][Attribute] = 96;
   _jumpMap[244][ExpressionList] = 392;
   _jumpMap[244][Function] = 95;
   _jumpMap[244][CasePrepare] = 94;
   _jumpMap[244][CaseClause] = 93;
   _jumpMap[244][Factor] = 92;
   _jumpMap[244][Term] = 91;
   _jumpMap[244][Expr] = 377;
   _actionMap[245][INTO] = ActionEntry(SHIFT, 393);
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[246][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser180()
{
   _actionMap[246][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[246][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[246][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[246][LB] = ActionEntry(SHIFT, 144);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[246][ObjSpec] = 100;
   _jumpMap[246][Constant] = 99;
   _jumpMap[246][SignedFloat] = 98;
   _jumpMap[246][SignedInt] = 97;
   _jumpMap[246][Attribute] = 96;
   _jumpMap[246][ExpressionList] = 394;
   _jumpMap[246][Function] = 95;
   _jumpMap[246][CasePrepare] = 94;
   _jumpMap[246][CaseClause] = 93;
   _jumpMap[246][Factor] = 92;
   _jumpMap[246][Term] = 91;
   _jumpMap[246][Expr] = 377;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser181()
{
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[247][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[247][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[247][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[247][LB] = ActionEntry(SHIFT, 144);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[247][ObjSpec] = 100;
   _jumpMap[247][Constant] = 99;
   _jumpMap[247][SignedFloat] = 98;
   _jumpMap[247][SignedInt] = 97;
   _jumpMap[247][Attribute] = 96;
   _jumpMap[247][ExpressionList] = 395;
   _jumpMap[247][Function] = 95;
}
void Cego::loadParser182()
{
   _jumpMap[247][CasePrepare] = 94;
   _jumpMap[247][CaseClause] = 93;
   _jumpMap[247][Factor] = 92;
   _jumpMap[247][Term] = 91;
   _jumpMap[247][Expr] = 377;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[248][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[248][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[248][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[248][LB] = ActionEntry(SHIFT, 144);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser183()
{
   _actionMap[248][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[248][ObjSpec] = 100;
   _jumpMap[248][Constant] = 99;
   _jumpMap[248][SignedFloat] = 98;
   _jumpMap[248][SignedInt] = 97;
   _jumpMap[248][Attribute] = 96;
   _jumpMap[248][ExpressionList] = 396;
   _jumpMap[248][Function] = 95;
   _jumpMap[248][CasePrepare] = 94;
   _jumpMap[248][CaseClause] = 93;
   _jumpMap[248][Factor] = 92;
   _jumpMap[248][Term] = 91;
   _jumpMap[248][Expr] = 377;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[249][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser184()
{
   _actionMap[249][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[249][LB] = ActionEntry(SHIFT, 144);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[249][ObjSpec] = 100;
   _jumpMap[249][Constant] = 99;
   _jumpMap[249][SignedFloat] = 98;
   _jumpMap[249][SignedInt] = 97;
   _jumpMap[249][Attribute] = 96;
   _jumpMap[249][ExpressionList] = 397;
   _jumpMap[249][Function] = 95;
   _jumpMap[249][CasePrepare] = 94;
   _jumpMap[249][CaseClause] = 93;
   _jumpMap[249][Factor] = 92;
   _jumpMap[249][Term] = 91;
   _jumpMap[249][Expr] = 377;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser185()
{
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[250][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[250][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[250][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[250][LB] = ActionEntry(SHIFT, 144);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[250][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[250][ObjSpec] = 100;
   _jumpMap[250][Constant] = 99;
   _jumpMap[250][SignedFloat] = 98;
   _jumpMap[250][SignedInt] = 97;
   _jumpMap[250][Attribute] = 96;
   _jumpMap[250][ExpressionList] = 398;
   _jumpMap[250][Function] = 95;
   _jumpMap[250][CasePrepare] = 94;
   _jumpMap[250][CaseClause] = 93;
   _jumpMap[250][Factor] = 92;
   _jumpMap[250][Term] = 91;
   _jumpMap[250][Expr] = 377;
}
void Cego::loadParser186()
{
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[251][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[251][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[251][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[251][LB] = ActionEntry(SHIFT, 144);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser187()
{
   _actionMap[251][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[251][ObjSpec] = 100;
   _jumpMap[251][Constant] = 99;
   _jumpMap[251][SignedFloat] = 98;
   _jumpMap[251][SignedInt] = 97;
   _jumpMap[251][Attribute] = 96;
   _jumpMap[251][ExpressionList] = 399;
   _jumpMap[251][Function] = 95;
   _jumpMap[251][CasePrepare] = 94;
   _jumpMap[251][CaseClause] = 93;
   _jumpMap[251][Factor] = 92;
   _jumpMap[251][Term] = 91;
   _jumpMap[251][Expr] = 377;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[252][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[252][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser188()
{
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[252][LB] = ActionEntry(SHIFT, 144);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[252][ObjSpec] = 100;
   _jumpMap[252][Constant] = 99;
   _jumpMap[252][SignedFloat] = 98;
   _jumpMap[252][SignedInt] = 97;
   _jumpMap[252][Attribute] = 96;
   _jumpMap[252][Function] = 95;
   _jumpMap[252][CasePrepare] = 94;
   _jumpMap[252][CaseClause] = 93;
   _jumpMap[252][Factor] = 92;
   _jumpMap[252][Term] = 91;
   _jumpMap[252][Expr] = 400;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser189()
{
   _actionMap[253][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[253][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[253][LB] = ActionEntry(SHIFT, 144);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[253][ObjSpec] = 100;
   _jumpMap[253][Constant] = 99;
   _jumpMap[253][SignedFloat] = 98;
   _jumpMap[253][SignedInt] = 97;
   _jumpMap[253][Attribute] = 96;
   _jumpMap[253][Function] = 95;
   _jumpMap[253][CasePrepare] = 94;
   _jumpMap[253][CaseClause] = 93;
   _jumpMap[253][Factor] = 92;
   _jumpMap[253][Term] = 91;
   _jumpMap[253][Expr] = 401;
   _actionMap[254][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[254][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[254][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[254][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[254][ROUND] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser190()
{
   _actionMap[254][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[254][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[254][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[254][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[254][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[254][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[254][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[254][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[254][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[254][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[254][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[254][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[254][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[254][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[254][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[254][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[254][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[254][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[254][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[254][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[254][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[254][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[254][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[254][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[254][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[254][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[254][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[254][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[254][LB] = ActionEntry(SHIFT, 144);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[254][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[254][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[254][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[254][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[254][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[254][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[254][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[254][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[254][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[254][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[254][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[254][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[254][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[254][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[254][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[254][ObjSpec] = 100;
   _jumpMap[254][Constant] = 99;
   _jumpMap[254][SignedFloat] = 98;
   _jumpMap[254][SignedInt] = 97;
}
void Cego::loadParser191()
{
   _jumpMap[254][Attribute] = 96;
   _jumpMap[254][ExpressionList] = 402;
   _jumpMap[254][Function] = 95;
   _jumpMap[254][CasePrepare] = 94;
   _jumpMap[254][CaseClause] = 93;
   _jumpMap[254][Factor] = 92;
   _jumpMap[254][Term] = 91;
   _jumpMap[254][Expr] = 377;
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 403);
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[256][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[256][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[256][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[256][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[256][LB] = ActionEntry(SHIFT, 144);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser192()
{
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[256][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[256][ObjSpec] = 100;
   _jumpMap[256][Constant] = 99;
   _jumpMap[256][SignedFloat] = 98;
   _jumpMap[256][SignedInt] = 97;
   _jumpMap[256][Attribute] = 96;
   _jumpMap[256][ExpressionList] = 404;
   _jumpMap[256][Function] = 95;
   _jumpMap[256][CasePrepare] = 94;
   _jumpMap[256][CaseClause] = 93;
   _jumpMap[256][Factor] = 92;
   _jumpMap[256][Term] = 91;
   _jumpMap[256][Expr] = 377;
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[257][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser193()
{
   _actionMap[257][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[257][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[257][LB] = ActionEntry(SHIFT, 144);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[257][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[257][ObjSpec] = 100;
   _jumpMap[257][Constant] = 99;
   _jumpMap[257][SignedFloat] = 98;
   _jumpMap[257][SignedInt] = 97;
   _jumpMap[257][Attribute] = 96;
   _jumpMap[257][ExpressionList] = 405;
   _jumpMap[257][Function] = 95;
   _jumpMap[257][CasePrepare] = 94;
   _jumpMap[257][CaseClause] = 93;
   _jumpMap[257][Factor] = 92;
   _jumpMap[257][Term] = 91;
   _jumpMap[257][Expr] = 377;
   _actionMap[258][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[258][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[258][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[258][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[258][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[258][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[258][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[258][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[258][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[258][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[258][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser194()
{
   _actionMap[258][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[258][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[258][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[258][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[258][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[258][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[258][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[258][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[258][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[258][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[258][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[258][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[258][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[258][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[258][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[258][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[258][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[258][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[258][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[258][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[258][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[258][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[258][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[258][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[258][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[258][LB] = ActionEntry(SHIFT, 144);
   _actionMap[258][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[258][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[258][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[258][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[258][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[258][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[258][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[258][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[258][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[258][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[258][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[258][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[258][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[258][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[258][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[258][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[258][ObjSpec] = 100;
   _jumpMap[258][Constant] = 99;
   _jumpMap[258][SignedFloat] = 98;
   _jumpMap[258][SignedInt] = 97;
   _jumpMap[258][Attribute] = 96;
   _jumpMap[258][ExpressionList] = 406;
   _jumpMap[258][Function] = 95;
   _jumpMap[258][CasePrepare] = 94;
}
void Cego::loadParser195()
{
   _jumpMap[258][CaseClause] = 93;
   _jumpMap[258][Factor] = 92;
   _jumpMap[258][Term] = 91;
   _jumpMap[258][Expr] = 377;
   _actionMap[259][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[259][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[259][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[259][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[259][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[259][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[259][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[259][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[259][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[259][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[259][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[259][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[259][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[259][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[259][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[259][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[259][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[259][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[259][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[259][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[259][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[259][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[259][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[259][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[259][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[259][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[259][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[259][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[259][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[259][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[259][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[259][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[259][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[259][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[259][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[259][LB] = ActionEntry(SHIFT, 144);
   _actionMap[259][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[259][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[259][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[259][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[259][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[259][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[259][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[259][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[259][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser196()
{
   _actionMap[259][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[259][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[259][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[259][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[259][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[259][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[259][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[259][ObjSpec] = 100;
   _jumpMap[259][Constant] = 99;
   _jumpMap[259][SignedFloat] = 98;
   _jumpMap[259][SignedInt] = 97;
   _jumpMap[259][Attribute] = 96;
   _jumpMap[259][ExpressionList] = 407;
   _jumpMap[259][Function] = 95;
   _jumpMap[259][CasePrepare] = 94;
   _jumpMap[259][CaseClause] = 93;
   _jumpMap[259][Factor] = 92;
   _jumpMap[259][Term] = 91;
   _jumpMap[259][Expr] = 377;
   _actionMap[260][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[260][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[260][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[260][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[260][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[260][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[260][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[260][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[260][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[260][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[260][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[260][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[260][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[260][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[260][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[260][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[260][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[260][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[260][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[260][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[260][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[260][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[260][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[260][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[260][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[260][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[260][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[260][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[260][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[260][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[260][BLOBSIZE] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser197()
{
   _actionMap[260][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[260][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[260][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[260][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[260][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[260][LB] = ActionEntry(SHIFT, 144);
   _actionMap[260][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[260][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[260][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[260][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[260][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[260][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[260][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[260][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[260][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[260][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[260][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[260][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[260][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[260][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[260][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[260][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[260][ObjSpec] = 100;
   _jumpMap[260][Constant] = 99;
   _jumpMap[260][SignedFloat] = 98;
   _jumpMap[260][SignedInt] = 97;
   _jumpMap[260][Attribute] = 96;
   _jumpMap[260][ExpressionList] = 408;
   _jumpMap[260][Function] = 95;
   _jumpMap[260][CasePrepare] = 94;
   _jumpMap[260][CaseClause] = 93;
   _jumpMap[260][Factor] = 92;
   _jumpMap[260][Term] = 91;
   _jumpMap[260][Expr] = 377;
   _actionMap[261][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[261][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[261][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[261][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[261][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[261][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[261][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[261][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[261][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[261][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[261][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[261][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[261][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[261][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[261][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[261][SUBSTR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser198()
{
   _actionMap[261][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[261][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[261][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[261][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[261][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[261][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[261][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[261][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[261][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[261][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[261][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[261][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[261][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[261][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[261][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[261][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[261][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[261][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[261][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[261][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[261][LB] = ActionEntry(SHIFT, 144);
   _actionMap[261][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[261][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[261][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[261][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[261][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[261][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[261][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[261][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[261][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[261][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[261][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[261][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[261][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[261][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[261][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[261][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[261][ObjSpec] = 100;
   _jumpMap[261][Constant] = 99;
   _jumpMap[261][SignedFloat] = 98;
   _jumpMap[261][SignedInt] = 97;
   _jumpMap[261][Attribute] = 96;
   _jumpMap[261][ExpressionList] = 409;
   _jumpMap[261][Function] = 95;
   _jumpMap[261][CasePrepare] = 94;
   _jumpMap[261][CaseClause] = 93;
   _jumpMap[261][Factor] = 92;
   _jumpMap[261][Term] = 91;
   _jumpMap[261][Expr] = 377;
   _actionMap[262][FLOATVAL] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser199()
{
   _actionMap[262][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[262][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[262][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[262][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[262][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[262][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[262][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[262][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[262][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[262][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[262][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[262][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[262][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[262][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[262][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[262][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[262][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[262][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[262][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[262][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[262][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[262][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[262][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[262][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[262][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[262][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[262][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[262][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[262][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[262][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[262][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[262][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[262][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[262][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[262][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[262][LB] = ActionEntry(SHIFT, 144);
   _actionMap[262][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[262][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[262][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[262][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[262][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[262][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[262][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[262][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[262][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[262][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[262][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[262][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[262][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[262][AVG] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser200()
{
   _actionMap[262][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[262][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[262][ObjSpec] = 100;
   _jumpMap[262][Constant] = 99;
   _jumpMap[262][SignedFloat] = 98;
   _jumpMap[262][SignedInt] = 97;
   _jumpMap[262][Attribute] = 96;
   _jumpMap[262][ExpressionList] = 410;
   _jumpMap[262][Function] = 95;
   _jumpMap[262][CasePrepare] = 94;
   _jumpMap[262][CaseClause] = 93;
   _jumpMap[262][Factor] = 92;
   _jumpMap[262][Term] = 91;
   _jumpMap[262][Expr] = 377;
   _actionMap[263][IDENTIFIER] = ActionEntry(SHIFT, 411);
   _actionMap[264][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[264][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[264][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[264][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[264][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[264][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[264][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[264][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[264][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[264][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[264][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[264][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[264][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[264][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[264][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[264][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[264][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[264][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[264][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[264][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[264][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[264][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[264][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[264][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[264][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[264][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[264][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[264][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[264][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[264][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[264][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[264][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[264][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[264][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[264][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser201()
{
   _actionMap[264][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[264][LB] = ActionEntry(SHIFT, 144);
   _actionMap[264][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[264][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[264][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[264][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[264][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[264][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[264][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[264][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[264][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[264][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[264][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[264][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[264][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[264][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[264][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[264][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[264][ObjSpec] = 100;
   _jumpMap[264][Constant] = 99;
   _jumpMap[264][SignedFloat] = 98;
   _jumpMap[264][SignedInt] = 97;
   _jumpMap[264][Attribute] = 96;
   _jumpMap[264][ExpressionList] = 412;
   _jumpMap[264][Function] = 95;
   _jumpMap[264][CasePrepare] = 94;
   _jumpMap[264][CaseClause] = 93;
   _jumpMap[264][Factor] = 92;
   _jumpMap[264][Term] = 91;
   _jumpMap[264][Expr] = 377;
   _actionMap[265][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[265][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[265][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[265][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[265][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[265][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[265][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[265][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[265][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[265][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[265][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[265][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[265][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[265][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[265][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[265][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[265][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[265][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[265][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[265][STR2INT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser202()
{
   _actionMap[265][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[265][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[265][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[265][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[265][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[265][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[265][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[265][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[265][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[265][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[265][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[265][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[265][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[265][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[265][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[265][LB] = ActionEntry(SHIFT, 144);
   _actionMap[265][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[265][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[265][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[265][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[265][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[265][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[265][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[265][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[265][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[265][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[265][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[265][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[265][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[265][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[265][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[265][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[265][ObjSpec] = 100;
   _jumpMap[265][Constant] = 99;
   _jumpMap[265][SignedFloat] = 98;
   _jumpMap[265][SignedInt] = 97;
   _jumpMap[265][Attribute] = 96;
   _jumpMap[265][Function] = 95;
   _jumpMap[265][CasePrepare] = 94;
   _jumpMap[265][CaseClause] = 93;
   _jumpMap[265][Factor] = 92;
   _jumpMap[265][Term] = 91;
   _jumpMap[265][Expr] = 413;
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser203()
{
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[266][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[266][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[266][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[266][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[266][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[266][LB] = ActionEntry(SHIFT, 144);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[266][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[266][ObjSpec] = 100;
   _jumpMap[266][Constant] = 99;
   _jumpMap[266][SignedFloat] = 98;
}
void Cego::loadParser204()
{
   _jumpMap[266][SignedInt] = 97;
   _jumpMap[266][Attribute] = 96;
   _jumpMap[266][ExpressionList] = 414;
   _jumpMap[266][Function] = 95;
   _jumpMap[266][CasePrepare] = 94;
   _jumpMap[266][CaseClause] = 93;
   _jumpMap[266][Factor] = 92;
   _jumpMap[266][Term] = 91;
   _jumpMap[266][Expr] = 377;
   _actionMap[267][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[267][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[267][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[267][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[267][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[267][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[267][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[267][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[267][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[267][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[267][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[267][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[267][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[267][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[267][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[267][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[267][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[267][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[267][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[267][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[267][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[267][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[267][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[267][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[267][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[267][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[267][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[267][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[267][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[267][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[267][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[267][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[267][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[267][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[267][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[267][LB] = ActionEntry(SHIFT, 144);
   _actionMap[267][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[267][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[267][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[267][NULLTOKEN] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser205()
{
   _actionMap[267][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[267][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[267][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[267][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[267][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[267][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[267][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[267][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[267][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[267][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[267][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[267][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[267][ObjSpec] = 100;
   _jumpMap[267][Constant] = 99;
   _jumpMap[267][SignedFloat] = 98;
   _jumpMap[267][SignedInt] = 97;
   _jumpMap[267][Attribute] = 96;
   _jumpMap[267][ExpressionList] = 415;
   _jumpMap[267][Function] = 95;
   _jumpMap[267][CasePrepare] = 94;
   _jumpMap[267][CaseClause] = 93;
   _jumpMap[267][Factor] = 92;
   _jumpMap[267][Term] = 91;
   _jumpMap[267][Expr] = 377;
   _actionMap[268][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[268][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[268][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[268][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[268][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[268][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[268][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[268][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[268][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[268][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[268][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[268][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[268][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[268][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[268][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[268][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[268][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[268][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[268][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[268][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[268][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[268][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[268][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[268][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[268][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[268][DIV] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser206()
{
   _actionMap[268][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[268][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[268][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[268][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[268][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[268][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[268][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[268][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[268][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[268][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[268][LB] = ActionEntry(SHIFT, 144);
   _actionMap[268][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[268][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[268][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[268][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[268][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[268][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[268][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[268][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[268][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[268][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[268][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[268][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[268][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[268][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[268][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[268][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[268][ObjSpec] = 100;
   _jumpMap[268][Constant] = 99;
   _jumpMap[268][SignedFloat] = 98;
   _jumpMap[268][SignedInt] = 97;
   _jumpMap[268][Attribute] = 96;
   _jumpMap[268][ExpressionList] = 416;
   _jumpMap[268][Function] = 95;
   _jumpMap[268][CasePrepare] = 94;
   _jumpMap[268][CaseClause] = 93;
   _jumpMap[268][Factor] = 92;
   _jumpMap[268][Term] = 91;
   _jumpMap[268][Expr] = 377;
   _actionMap[269][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[269][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[269][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[269][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[269][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[269][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[269][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[269][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[269][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[269][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[269][LOWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser207()
{
   _actionMap[269][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[269][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[269][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[269][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[269][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[269][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[269][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[269][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[269][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[269][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[269][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[269][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[269][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[269][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[269][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[269][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[269][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[269][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[269][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[269][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[269][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[269][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[269][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[269][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[269][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[269][LB] = ActionEntry(SHIFT, 144);
   _actionMap[269][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[269][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[269][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[269][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[269][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[269][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[269][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[269][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[269][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[269][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[269][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[269][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[269][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[269][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[269][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[269][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[269][ObjSpec] = 100;
   _jumpMap[269][Constant] = 99;
   _jumpMap[269][SignedFloat] = 98;
   _jumpMap[269][SignedInt] = 97;
   _jumpMap[269][Attribute] = 96;
   _jumpMap[269][ExpressionList] = 417;
   _jumpMap[269][Function] = 95;
   _jumpMap[269][CasePrepare] = 94;
}
void Cego::loadParser208()
{
   _jumpMap[269][CaseClause] = 93;
   _jumpMap[269][Factor] = 92;
   _jumpMap[269][Term] = 91;
   _jumpMap[269][Expr] = 377;
   _actionMap[270][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[270][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[270][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[270][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[270][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[270][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[270][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[270][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[270][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[270][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[270][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[270][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[270][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[270][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[270][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[270][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[270][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[270][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[270][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[270][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[270][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[270][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[270][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[270][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[270][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[270][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[270][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[270][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[270][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[270][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[270][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[270][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[270][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[270][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[270][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[270][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[270][LB] = ActionEntry(SHIFT, 144);
   _actionMap[270][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[270][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[270][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[270][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[270][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[270][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[270][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[270][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[270][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser209()
{
   _actionMap[270][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[270][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[270][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[270][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[270][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[270][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[270][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[270][ObjSpec] = 100;
   _jumpMap[270][Constant] = 99;
   _jumpMap[270][SignedFloat] = 98;
   _jumpMap[270][SignedInt] = 97;
   _jumpMap[270][Attribute] = 96;
   _jumpMap[270][ExpressionList] = 418;
   _jumpMap[270][Function] = 95;
   _jumpMap[270][CasePrepare] = 94;
   _jumpMap[270][CaseClause] = 93;
   _jumpMap[270][Factor] = 92;
   _jumpMap[270][Term] = 91;
   _jumpMap[270][Expr] = 377;
   _actionMap[271][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[271][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[271][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[271][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[271][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[271][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[271][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[271][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[271][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[271][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[271][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[271][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[271][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[271][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[271][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[271][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[271][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[271][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[271][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[271][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[271][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[271][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[271][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[271][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[271][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[271][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[271][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[271][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[271][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[271][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[271][BLOBSIZE] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser210()
{
   _actionMap[271][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[271][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[271][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[271][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[271][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[271][LB] = ActionEntry(SHIFT, 144);
   _actionMap[271][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[271][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[271][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[271][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[271][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[271][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[271][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[271][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[271][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[271][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[271][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[271][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[271][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[271][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[271][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[271][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[271][ObjSpec] = 100;
   _jumpMap[271][Constant] = 99;
   _jumpMap[271][SignedFloat] = 98;
   _jumpMap[271][SignedInt] = 97;
   _jumpMap[271][Attribute] = 96;
   _jumpMap[271][ExpressionList] = 419;
   _jumpMap[271][Function] = 95;
   _jumpMap[271][CasePrepare] = 94;
   _jumpMap[271][CaseClause] = 93;
   _jumpMap[271][Factor] = 92;
   _jumpMap[271][Term] = 91;
   _jumpMap[271][Expr] = 377;
   _actionMap[272][RB] = ActionEntry(SHIFT, 420);
   _actionMap[272][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[272][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[272][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[273][RB] = ActionEntry(SHIFT, 421);
   _actionMap[274][RB] = ActionEntry(SHIFT, 422);
   _actionMap[275][RB] = ActionEntry(SHIFT, 423);
   _actionMap[276][RB] = ActionEntry(SHIFT, 424);
   _actionMap[277][RB] = ActionEntry(SHIFT, 425);
   _actionMap[278][RB] = ActionEntry(SHIFT, 426);
   _actionMap[279][RB] = ActionEntry(SHIFT, 427);
   _actionMap[280][RB] = ActionEntry(SHIFT, 428);
   _actionMap[281][KSEP] = ActionEntry(SHIFT, 429);
   _actionMap[282][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[282][LEFT] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser211()
{
   _actionMap[282][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[282][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[282][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[282][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[282][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[282][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[282][AS] = ActionEntry(REDUCE, 347);
   _actionMap[282][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[282][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[282][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][OR] = ActionEntry(REDUCE, 347);
   _actionMap[282][AND] = ActionEntry(REDUCE, 347);
   _actionMap[282][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[282][IS] = ActionEntry(REDUCE, 347);
   _actionMap[282][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[282][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[282][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[282][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[282][LT] = ActionEntry(REDUCE, 347);
   _actionMap[282][MT] = ActionEntry(REDUCE, 347);
   _actionMap[282][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[282][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[282][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[282][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[282][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[282][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[282][RB] = ActionEntry(REDUCE, 347);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[282][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[282][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[282][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[282][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[282][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[283][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[283][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[283][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[283][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[283][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[283][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[283][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[283][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[283][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[283][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[283][AS] = ActionEntry(REDUCE, 349);
   _actionMap[283][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[283][END_TOKEN] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser212()
{
   _actionMap[283][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[283][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[283][OR] = ActionEntry(REDUCE, 349);
   _actionMap[283][AND] = ActionEntry(REDUCE, 349);
   _actionMap[283][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[283][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[283][IS] = ActionEntry(REDUCE, 349);
   _actionMap[283][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[283][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[283][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[283][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[283][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[283][LT] = ActionEntry(REDUCE, 349);
   _actionMap[283][MT] = ActionEntry(REDUCE, 349);
   _actionMap[283][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[283][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[283][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[283][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[283][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[283][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[283][RB] = ActionEntry(REDUCE, 349);
   _actionMap[283][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[283][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[283][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[283][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[283][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[283][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[284][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[284][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[284][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[284][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[284][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[284][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[284][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[284][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[284][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[284][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[284][AS] = ActionEntry(REDUCE, 345);
   _actionMap[284][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[284][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[284][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[284][OR] = ActionEntry(REDUCE, 345);
   _actionMap[284][AND] = ActionEntry(REDUCE, 345);
   _actionMap[284][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[284][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[284][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[284][IS] = ActionEntry(REDUCE, 345);
   _actionMap[284][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[284][HAVING] = ActionEntry(REDUCE, 345);
   _actionMap[284][ORDER] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser213()
{
   _actionMap[284][MT] = ActionEntry(REDUCE, 345);
   _actionMap[284][LT] = ActionEntry(REDUCE, 345);
   _actionMap[284][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[284][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[284][RB] = ActionEntry(REDUCE, 345);
   _actionMap[284][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[284][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[284][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[284][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[284][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[284][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[284][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[284][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[284][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[284][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[284][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[284][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[285][TO] = ActionEntry(SHIFT, 430);
   _actionMap[286][TO] = ActionEntry(SHIFT, 431);
   _actionMap[287][TO] = ActionEntry(SHIFT, 432);
   _actionMap[288][TO] = ActionEntry(SHIFT, 433);
   _actionMap[289][TO] = ActionEntry(SHIFT, 434);
   _actionMap[290][TO] = ActionEntry(SHIFT, 435);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[293][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[293][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[293][ObjSpec] = 440;
   _jumpMap[293][Table] = 439;
   _jumpMap[293][TableList] = 438;
   _jumpMap[293][JoinSpecList] = 437;
   _jumpMap[293][TableSource] = 436;
   _actionMap[294][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[294][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[294][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[294][FROM] = ActionEntry(REDUCE, 225);
   _actionMap[294][AS] = ActionEntry(SHIFT, 443);
   _actionMap[294][KSEP] = ActionEntry(REDUCE, 225);
   _jumpMap[294][NoAliasOpt] = 442;
   _jumpMap[294][AliasOpt] = 441;
   _actionMap[295][KSEP] = ActionEntry(SHIFT, 444);
   _actionMap[295][FROM] = ActionEntry(REDUCE, 204);
   _actionMap[296][FROM] = ActionEntry(REDUCE, 207);
   _actionMap[296][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[298][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[299][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[300][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[301][TO] = ActionEntry(SHIFT, 445);
}
void Cego::loadParser214()
{
   _actionMap[302][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[303][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[304][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[305][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[306][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[306][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[306][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[306][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[306][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[306][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[306][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[306][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[306][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[306][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[306][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[306][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[306][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[306][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[306][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[306][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[306][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[306][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[306][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[306][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[306][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[306][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[306][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[306][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[306][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[306][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[306][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[306][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[306][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[306][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[306][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[306][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[306][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[306][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[306][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[306][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[306][LB] = ActionEntry(SHIFT, 144);
   _actionMap[306][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[306][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[306][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[306][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[306][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[306][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[306][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[306][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[306][CASE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser215()
{
   _actionMap[306][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[306][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[306][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[306][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[306][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[306][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[306][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[306][ObjSpec] = 100;
   _jumpMap[306][Constant] = 99;
   _jumpMap[306][SignedFloat] = 98;
   _jumpMap[306][SignedInt] = 97;
   _jumpMap[306][Attribute] = 96;
   _jumpMap[306][Function] = 95;
   _jumpMap[306][CasePrepare] = 94;
   _jumpMap[306][CaseClause] = 93;
   _jumpMap[306][Factor] = 92;
   _jumpMap[306][Term] = 91;
   _jumpMap[306][Expr] = 446;
   _actionMap[307][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[308][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[309][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[310][SET] = ActionEntry(SHIFT, 311);
   _actionMap[311][IDENTIFIER] = ActionEntry(SHIFT, 449);
   _jumpMap[311][Assignment] = 448;
   _jumpMap[311][UpdateList] = 447;
   _actionMap[312][SET] = ActionEntry(REDUCE, 258);
   _actionMap[312][WHERE] = ActionEntry(REDUCE, 258);
   _actionMap[312][GROUP] = ActionEntry(REDUCE, 258);
   _actionMap[312][ORDER] = ActionEntry(REDUCE, 258);
   _actionMap[312][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[312][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[312][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[312][RB] = ActionEntry(REDUCE, 258);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[312][RETURNTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[313][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[313][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[313][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[313][ObjSpec] = 450;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[39][ObjSpec] = 181;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[40][ObjSpec] = 182;
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 184);
   _jumpMap[41][CounterId] = 183;
   _actionMap[42][KEY] = ActionEntry(SHIFT, 185);
}
void Cego::loadParser216()
{
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[43][ObjSpec] = 186;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[44][ObjSpec] = 187;
   _actionMap[45][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[45][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[45][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[45][ObjSpec] = 188;
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[46][ObjSpec] = 189;
   _actionMap[47][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[48][ObjSpec] = 190;
   _actionMap[49][IDENTIFIED] = ActionEntry(SHIFT, 191);
   _actionMap[50][LB] = ActionEntry(SHIFT, 192);
   _actionMap[51][TO] = ActionEntry(REDUCE, 368);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 368);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 368);
   _actionMap[51][SET] = ActionEntry(REDUCE, 368);
   _actionMap[51][AS] = ActionEntry(REDUCE, 368);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 368);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 368);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 368);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 368);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 368);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 368);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 368);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 368);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 368);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[51][RB] = ActionEntry(REDUCE, 368);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 368);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 368);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 368);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 368);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 368);
   _actionMap[51][LB] = ActionEntry(REDUCE, 368);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 368);
   _actionMap[51][ON] = ActionEntry(REDUCE, 368);
   _actionMap[52][TO] = ActionEntry(REDUCE, 369);
}
void Cego::loadParser217()
{
   _actionMap[52][VALUES] = ActionEntry(REDUCE, 369);
   _actionMap[52][SELECT] = ActionEntry(REDUCE, 369);
   _actionMap[52][SET] = ActionEntry(REDUCE, 369);
   _actionMap[52][AS] = ActionEntry(REDUCE, 369);
   _actionMap[52][DROP] = ActionEntry(REDUCE, 369);
   _actionMap[52][MODIFY] = ActionEntry(REDUCE, 369);
   _actionMap[52][RENAME] = ActionEntry(REDUCE, 369);
   _actionMap[52][ADD] = ActionEntry(REDUCE, 369);
   _actionMap[52][JOIN] = ActionEntry(REDUCE, 369);
   _actionMap[52][INNER] = ActionEntry(REDUCE, 369);
   _actionMap[52][RIGHT] = ActionEntry(REDUCE, 369);
   _actionMap[52][LEFT] = ActionEntry(REDUCE, 369);
   _actionMap[52][KSEP] = ActionEntry(REDUCE, 369);
   _actionMap[52][RETURNTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[52][SEMICOLON] = ActionEntry(REDUCE, 369);
   _actionMap[52][RB] = ActionEntry(REDUCE, 369);
   _actionMap[52][ENDTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[52][UNION] = ActionEntry(REDUCE, 369);
   _actionMap[52][ROWLIMIT] = ActionEntry(REDUCE, 369);
   _actionMap[52][ORDER] = ActionEntry(REDUCE, 369);
   _actionMap[52][GROUP] = ActionEntry(REDUCE, 369);
   _actionMap[52][WHERE] = ActionEntry(REDUCE, 369);
   _actionMap[52][LB] = ActionEntry(REDUCE, 369);
   _actionMap[52][IDENTIFIER] = ActionEntry(REDUCE, 369);
   _actionMap[52][ON] = ActionEntry(REDUCE, 369);
   _actionMap[53][TO] = ActionEntry(REDUCE, 370);
   _actionMap[53][VALUES] = ActionEntry(REDUCE, 370);
   _actionMap[53][SELECT] = ActionEntry(REDUCE, 370);
   _actionMap[53][SET] = ActionEntry(REDUCE, 370);
   _actionMap[53][AS] = ActionEntry(REDUCE, 370);
   _actionMap[53][DROP] = ActionEntry(REDUCE, 370);
   _actionMap[53][MODIFY] = ActionEntry(REDUCE, 370);
   _actionMap[53][RENAME] = ActionEntry(REDUCE, 370);
   _actionMap[53][ADD] = ActionEntry(REDUCE, 370);
   _actionMap[53][JOIN] = ActionEntry(REDUCE, 370);
   _actionMap[53][INNER] = ActionEntry(REDUCE, 370);
   _actionMap[53][RIGHT] = ActionEntry(REDUCE, 370);
   _actionMap[53][LEFT] = ActionEntry(REDUCE, 370);
   _actionMap[53][KSEP] = ActionEntry(REDUCE, 370);
   _actionMap[53][RETURNTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[53][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[53][RB] = ActionEntry(REDUCE, 370);
   _actionMap[53][ENDTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[53][UNION] = ActionEntry(REDUCE, 370);
   _actionMap[53][ROWLIMIT] = ActionEntry(REDUCE, 370);
   _actionMap[53][ORDER] = ActionEntry(REDUCE, 370);
   _actionMap[53][GROUP] = ActionEntry(REDUCE, 370);
   _actionMap[53][WHERE] = ActionEntry(REDUCE, 370);
   _actionMap[53][IDENTIFIER] = ActionEntry(REDUCE, 370);
   _actionMap[53][ON] = ActionEntry(REDUCE, 370);
}
void Cego::loadParser218()
{
   _actionMap[53][LB] = ActionEntry(REDUCE, 370);
   _actionMap[54][IDENTIFIER] = ActionEntry(SHIFT, 193);
   _actionMap[55][BEGIN] = ActionEntry(SHIFT, 194);
   _actionMap[56][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 197);
   _actionMap[57][BTREE] = ActionEntry(SHIFT, 196);
   _jumpMap[57][IndexType] = 195;
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 184);
   _jumpMap[58][CounterId] = 198;
   _actionMap[59][INDEX] = ActionEntry(SHIFT, 197);
   _actionMap[59][BTREE] = ActionEntry(SHIFT, 196);
   _jumpMap[59][IndexType] = 199;
   _actionMap[60][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[60][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[60][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[60][ObjSpec] = 200;
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[61][ObjSpec] = 201;
   _actionMap[62][INDEX] = ActionEntry(REDUCE, 184);
   _actionMap[62][BTREE] = ActionEntry(REDUCE, 184);
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[63][ObjSpec] = 202;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[64][ObjSpec] = 203;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[65][ObjSpec] = 204;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[66][ObjSpec] = 205;
   _actionMap[67][KEY] = ActionEntry(SHIFT, 206);
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[68][ObjSpec] = 207;
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[69][ObjSpec] = 208;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[70][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[70][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser219()
{
   _jumpMap[70][ObjSpec] = 209;
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[71][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[71][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[71][ObjSpec] = 210;
   _actionMap[72][EXISTS] = ActionEntry(SHIFT, 211);
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[73][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[73][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[73][ObjSpec] = 212;
   _actionMap[74][IDENTIFIER] = ActionEntry(SHIFT, 213);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[75][IDENTIFIER] = ActionEntry(REDUCE, 79);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[76][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[76][TableSetOpt] = 214;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[77][TableSetOpt] = 216;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[78][TableSetOpt] = 217;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[79][TableSetOpt] = 218;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[80][TableSetOpt] = 219;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[81][TableSetOpt] = 220;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[82][TableSetOpt] = 221;
   _actionMap[83][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[83][TableSetOpt] = 222;
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[85][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[85][TableSetOpt] = 223;
   _actionMap[86][FOR] = ActionEntry(SHIFT, 215);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[86][TableSetOpt] = 224;
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[88][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[88][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[88][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[88][ObjSpec] = 225;
}
void Cego::loadParser220()
{
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[90][PLUS] = ActionEntry(SHIFT, 228);
   _actionMap[90][MINUS] = ActionEntry(SHIFT, 227);
   _actionMap[90][CONCAT] = ActionEntry(SHIFT, 226);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[91][STAR] = ActionEntry(SHIFT, 229);
   _actionMap[91][DIVISION] = ActionEntry(SHIFT, 230);
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][OR] = ActionEntry(REDUCE, 143);
   _actionMap[91][AS] = ActionEntry(REDUCE, 143);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][AND] = ActionEntry(REDUCE, 143);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[91][IS] = ActionEntry(REDUCE, 143);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[91][LT] = ActionEntry(REDUCE, 143);
   _actionMap[91][MT] = ActionEntry(REDUCE, 143);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][RB] = ActionEntry(REDUCE, 143);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser221()
{
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][OR] = ActionEntry(REDUCE, 147);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[92][AS] = ActionEntry(REDUCE, 147);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][AND] = ActionEntry(REDUCE, 147);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][IS] = ActionEntry(REDUCE, 147);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[92][MT] = ActionEntry(REDUCE, 147);
   _actionMap[92][LT] = ActionEntry(REDUCE, 147);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[92][RB] = ActionEntry(REDUCE, 147);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[93][OR] = ActionEntry(REDUCE, 155);
   _actionMap[93][AS] = ActionEntry(REDUCE, 155);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[93][AND] = ActionEntry(REDUCE, 155);
}
void Cego::loadParser222()
{
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[93][IS] = ActionEntry(REDUCE, 155);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[93][LT] = ActionEntry(REDUCE, 155);
   _actionMap[93][MT] = ActionEntry(REDUCE, 155);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[93][RB] = ActionEntry(REDUCE, 155);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[94][WHEN] = ActionEntry(SHIFT, 233);
   _jumpMap[94][CaseCondition] = 232;
   _jumpMap[94][CaseConditionList] = 231;
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[95][OR] = ActionEntry(REDUCE, 152);
   _actionMap[95][AS] = ActionEntry(REDUCE, 152);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[95][AND] = ActionEntry(REDUCE, 152);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[95][IS] = ActionEntry(REDUCE, 152);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[95][LT] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser223()
{
   _actionMap[95][MT] = ActionEntry(REDUCE, 152);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[95][RB] = ActionEntry(REDUCE, 152);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[96][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[96][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[96][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[96][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[96][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[96][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[96][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[96][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[96][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[96][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[96][AS] = ActionEntry(REDUCE, 151);
   _actionMap[96][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[96][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[96][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[96][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[96][OR] = ActionEntry(REDUCE, 151);
   _actionMap[96][AND] = ActionEntry(REDUCE, 151);
   _actionMap[96][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[96][IS] = ActionEntry(REDUCE, 151);
   _actionMap[96][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[96][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[96][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[96][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[96][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[96][LT] = ActionEntry(REDUCE, 151);
   _actionMap[96][MT] = ActionEntry(REDUCE, 151);
   _actionMap[96][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[96][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[96][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[96][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[96][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[96][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[96][RB] = ActionEntry(REDUCE, 151);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[96][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[96][STAR] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser224()
{
   _actionMap[96][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[96][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[96][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[97][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[97][AS] = ActionEntry(REDUCE, 350);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][OR] = ActionEntry(REDUCE, 350);
   _actionMap[97][AND] = ActionEntry(REDUCE, 350);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][IS] = ActionEntry(REDUCE, 350);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[97][MT] = ActionEntry(REDUCE, 350);
   _actionMap[97][LT] = ActionEntry(REDUCE, 350);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[97][RB] = ActionEntry(REDUCE, 350);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[98][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[98][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[98][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[98][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[98][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[98][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[98][RETURNTOKEN] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser225()
{
   _actionMap[98][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[98][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[98][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[98][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[98][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[98][AS] = ActionEntry(REDUCE, 356);
   _actionMap[98][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[98][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[98][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[98][OR] = ActionEntry(REDUCE, 356);
   _actionMap[98][AND] = ActionEntry(REDUCE, 356);
   _actionMap[98][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[98][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[98][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[98][IS] = ActionEntry(REDUCE, 356);
   _actionMap[98][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[98][MT] = ActionEntry(REDUCE, 356);
   _actionMap[98][LT] = ActionEntry(REDUCE, 356);
   _actionMap[98][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[98][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[98][RB] = ActionEntry(REDUCE, 356);
   _actionMap[98][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[98][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[98][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[98][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[98][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[98][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[98][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[98][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[98][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[98][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[98][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[99][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[99][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[99][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[99][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[99][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[99][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[99][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[99][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[99][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[99][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[99][AS] = ActionEntry(REDUCE, 149);
   _actionMap[99][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[99][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[99][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[99][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[99][OR] = ActionEntry(REDUCE, 149);
   _actionMap[99][AND] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser226()
{
   _actionMap[99][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[99][IS] = ActionEntry(REDUCE, 149);
   _actionMap[99][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[99][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[99][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[99][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[99][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[99][LT] = ActionEntry(REDUCE, 149);
   _actionMap[99][MT] = ActionEntry(REDUCE, 149);
   _actionMap[99][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[99][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[99][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[99][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[99][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[99][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[99][RB] = ActionEntry(REDUCE, 149);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[99][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[99][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[99][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[99][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[99][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[100][LB] = ActionEntry(SHIFT, 234);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[101][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[101][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[101][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[101][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[101][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[101][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[101][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[101][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[101][AS] = ActionEntry(REDUCE, 355);
   _actionMap[101][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[101][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][OR] = ActionEntry(REDUCE, 355);
   _actionMap[101][AND] = ActionEntry(REDUCE, 355);
   _actionMap[101][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[101][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[101][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][IS] = ActionEntry(REDUCE, 355);
   _actionMap[101][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[101][MT] = ActionEntry(REDUCE, 355);
   _actionMap[101][LT] = ActionEntry(REDUCE, 355);
   _actionMap[101][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[101][EQU] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser227()
{
   _actionMap[101][RB] = ActionEntry(REDUCE, 355);
   _actionMap[101][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[101][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[101][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[101][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[101][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[101][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[101][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[101][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[101][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[101][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[101][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[102][LB] = ActionEntry(SHIFT, 235);
   _actionMap[103][LB] = ActionEntry(SHIFT, 236);
   _actionMap[104][LB] = ActionEntry(SHIFT, 237);
   _actionMap[105][LB] = ActionEntry(SHIFT, 238);
   _actionMap[106][LB] = ActionEntry(SHIFT, 239);
   _actionMap[107][WHEN] = ActionEntry(REDUCE, 166);
   _actionMap[108][LB] = ActionEntry(SHIFT, 240);
   _actionMap[109][LB] = ActionEntry(SHIFT, 241);
   _actionMap[110][LB] = ActionEntry(SHIFT, 242);
   _actionMap[111][LB] = ActionEntry(SHIFT, 243);
   _actionMap[112][LB] = ActionEntry(SHIFT, 244);
   _actionMap[113][WHEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][ELSE] = ActionEntry(REDUCE, 364);
   _actionMap[113][LEFT] = ActionEntry(REDUCE, 364);
   _actionMap[113][RIGHT] = ActionEntry(REDUCE, 364);
   _actionMap[113][INNER] = ActionEntry(REDUCE, 364);
   _actionMap[113][JOIN] = ActionEntry(REDUCE, 364);
   _actionMap[113][RETURNTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][ORDER] = ActionEntry(REDUCE, 364);
   _actionMap[113][GROUP] = ActionEntry(REDUCE, 364);
   _actionMap[113][WHERE] = ActionEntry(REDUCE, 364);
   _actionMap[113][FROM] = ActionEntry(REDUCE, 364);
   _actionMap[113][AS] = ActionEntry(REDUCE, 364);
   _actionMap[113][END_TOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][BEGIN] = ActionEntry(REDUCE, 364);
   _actionMap[113][THEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][OR] = ActionEntry(REDUCE, 364);
   _actionMap[113][AND] = ActionEntry(REDUCE, 364);
   _actionMap[113][NULLTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][INTOK] = ActionEntry(REDUCE, 364);
   _actionMap[113][NOT] = ActionEntry(REDUCE, 364);
   _actionMap[113][BETWEEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][IS] = ActionEntry(REDUCE, 364);
   _actionMap[113][LIKE] = ActionEntry(REDUCE, 364);
   _actionMap[113][MT] = ActionEntry(REDUCE, 364);
   _actionMap[113][LT] = ActionEntry(REDUCE, 364);
   _actionMap[113][NEGATION] = ActionEntry(REDUCE, 364);
}
void Cego::loadParser228()
{
   _actionMap[113][EQU] = ActionEntry(REDUCE, 364);
   _actionMap[113][RB] = ActionEntry(REDUCE, 364);
   _actionMap[113][ENDTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[113][UNION] = ActionEntry(REDUCE, 364);
   _actionMap[113][ROWLIMIT] = ActionEntry(REDUCE, 364);
   _actionMap[113][KSEP] = ActionEntry(REDUCE, 364);
   _actionMap[113][ASC] = ActionEntry(REDUCE, 364);
   _actionMap[113][DESC] = ActionEntry(REDUCE, 364);
   _actionMap[113][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[113][PLUS] = ActionEntry(REDUCE, 364);
   _actionMap[113][MINUS] = ActionEntry(REDUCE, 364);
   _actionMap[113][DIVISION] = ActionEntry(REDUCE, 364);
   _actionMap[113][STAR] = ActionEntry(REDUCE, 364);
   _actionMap[113][CONCAT] = ActionEntry(REDUCE, 364);
   _actionMap[114][IDENTIFIER] = ActionEntry(SHIFT, 245);
   _actionMap[115][LB] = ActionEntry(SHIFT, 246);
   _actionMap[116][LB] = ActionEntry(SHIFT, 247);
   _actionMap[117][LB] = ActionEntry(SHIFT, 248);
   _actionMap[118][LB] = ActionEntry(SHIFT, 249);
   _actionMap[119][LB] = ActionEntry(SHIFT, 250);
   _actionMap[120][LB] = ActionEntry(SHIFT, 251);
   _actionMap[121][LB] = ActionEntry(SHIFT, 252);
   _actionMap[122][LB] = ActionEntry(SHIFT, 253);
   _actionMap[123][LB] = ActionEntry(SHIFT, 254);
   _actionMap[124][LB] = ActionEntry(SHIFT, 255);
   _actionMap[125][WHEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][ELSE] = ActionEntry(REDUCE, 362);
   _actionMap[125][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[125][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[125][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[125][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[125][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[125][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[125][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[125][FROM] = ActionEntry(REDUCE, 362);
   _actionMap[125][AS] = ActionEntry(REDUCE, 362);
   _actionMap[125][END_TOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][BEGIN] = ActionEntry(REDUCE, 362);
   _actionMap[125][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][OR] = ActionEntry(REDUCE, 362);
   _actionMap[125][AND] = ActionEntry(REDUCE, 362);
   _actionMap[125][NULLTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][INTOK] = ActionEntry(REDUCE, 362);
   _actionMap[125][NOT] = ActionEntry(REDUCE, 362);
   _actionMap[125][BETWEEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][IS] = ActionEntry(REDUCE, 362);
   _actionMap[125][LIKE] = ActionEntry(REDUCE, 362);
   _actionMap[125][MT] = ActionEntry(REDUCE, 362);
   _actionMap[125][LT] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser229()
{
   _actionMap[125][NEGATION] = ActionEntry(REDUCE, 362);
   _actionMap[125][EQU] = ActionEntry(REDUCE, 362);
   _actionMap[125][RB] = ActionEntry(REDUCE, 362);
   _actionMap[125][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[125][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[125][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[125][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[125][ASC] = ActionEntry(REDUCE, 362);
   _actionMap[125][DESC] = ActionEntry(REDUCE, 362);
   _actionMap[125][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[125][PLUS] = ActionEntry(REDUCE, 362);
   _actionMap[125][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[125][DIVISION] = ActionEntry(REDUCE, 362);
   _actionMap[125][STAR] = ActionEntry(REDUCE, 362);
   _actionMap[125][CONCAT] = ActionEntry(REDUCE, 362);
   _actionMap[126][LB] = ActionEntry(SHIFT, 256);
   _actionMap[127][LB] = ActionEntry(SHIFT, 257);
   _actionMap[128][LB] = ActionEntry(SHIFT, 258);
   _actionMap[129][LB] = ActionEntry(SHIFT, 259);
   _actionMap[130][LB] = ActionEntry(SHIFT, 260);
   _actionMap[131][LB] = ActionEntry(SHIFT, 261);
   _actionMap[132][LB] = ActionEntry(SHIFT, 262);
   _actionMap[133][LB] = ActionEntry(SHIFT, 263);
   _actionMap[134][LB] = ActionEntry(SHIFT, 264);
   _actionMap[135][LB] = ActionEntry(SHIFT, 265);
   _actionMap[136][WHEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][ELSE] = ActionEntry(REDUCE, 361);
   _actionMap[136][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[136][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[136][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[136][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[136][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[136][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[136][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[136][FROM] = ActionEntry(REDUCE, 361);
   _actionMap[136][AS] = ActionEntry(REDUCE, 361);
   _actionMap[136][END_TOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][BEGIN] = ActionEntry(REDUCE, 361);
   _actionMap[136][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][OR] = ActionEntry(REDUCE, 361);
   _actionMap[136][AND] = ActionEntry(REDUCE, 361);
   _actionMap[136][NULLTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][INTOK] = ActionEntry(REDUCE, 361);
   _actionMap[136][NOT] = ActionEntry(REDUCE, 361);
   _actionMap[136][BETWEEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][IS] = ActionEntry(REDUCE, 361);
   _actionMap[136][LIKE] = ActionEntry(REDUCE, 361);
   _actionMap[136][MT] = ActionEntry(REDUCE, 361);
   _actionMap[136][LT] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser230()
{
   _actionMap[136][NEGATION] = ActionEntry(REDUCE, 361);
   _actionMap[136][EQU] = ActionEntry(REDUCE, 361);
   _actionMap[136][RB] = ActionEntry(REDUCE, 361);
   _actionMap[136][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[136][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[136][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[136][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[136][ASC] = ActionEntry(REDUCE, 361);
   _actionMap[136][DESC] = ActionEntry(REDUCE, 361);
   _actionMap[136][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[136][PLUS] = ActionEntry(REDUCE, 361);
   _actionMap[136][MINUS] = ActionEntry(REDUCE, 361);
   _actionMap[136][DIVISION] = ActionEntry(REDUCE, 361);
   _actionMap[136][STAR] = ActionEntry(REDUCE, 361);
   _actionMap[136][CONCAT] = ActionEntry(REDUCE, 361);
   _actionMap[137][LB] = ActionEntry(SHIFT, 266);
   _actionMap[138][LB] = ActionEntry(SHIFT, 267);
   _actionMap[139][LB] = ActionEntry(SHIFT, 268);
   _actionMap[140][LB] = ActionEntry(SHIFT, 269);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 363);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 363);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 363);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 363);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 363);
   _actionMap[141][AS] = ActionEntry(REDUCE, 363);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 363);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][OR] = ActionEntry(REDUCE, 363);
   _actionMap[141][AND] = ActionEntry(REDUCE, 363);
   _actionMap[141][NULLTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 363);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 363);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][IS] = ActionEntry(REDUCE, 363);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 363);
   _actionMap[141][MT] = ActionEntry(REDUCE, 363);
   _actionMap[141][LT] = ActionEntry(REDUCE, 363);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 363);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 363);
   _actionMap[141][RB] = ActionEntry(REDUCE, 363);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 363);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 363);
}
void Cego::loadParser231()
{
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 363);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 363);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 363);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 363);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 363);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 363);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 363);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 363);
   _actionMap[142][LB] = ActionEntry(SHIFT, 270);
   _actionMap[143][LB] = ActionEntry(SHIFT, 271);
   _actionMap[144][LONG] = ActionEntry(SHIFT, 278);
   _actionMap[144][BIGINT] = ActionEntry(SHIFT, 274);
   _actionMap[144][SMALLINT] = ActionEntry(SHIFT, 279);
   _actionMap[144][TINYINT] = ActionEntry(SHIFT, 280);
   _actionMap[144][DOUBLE] = ActionEntry(SHIFT, 276);
   _actionMap[144][DECIMAL] = ActionEntry(SHIFT, 275);
   _actionMap[144][FIXED] = ActionEntry(SHIFT, 277);
   _actionMap[144][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[144][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[144][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[144][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[144][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[144][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[144][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[144][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[144][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[144][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[144][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[144][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[144][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[144][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[144][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[144][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[144][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[144][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[144][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[144][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[144][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[144][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[144][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[144][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[144][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[144][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[144][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[144][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[144][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[144][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[144][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[144][NEXTCOUNT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser232()
{
   _actionMap[144][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[144][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[144][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[144][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[144][LB] = ActionEntry(SHIFT, 144);
   _actionMap[144][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[144][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[144][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[144][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[144][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[144][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[144][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[144][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[144][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[144][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[144][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[144][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[144][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[144][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[144][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[144][MAX] = ActionEntry(SHIFT, 122);
   _actionMap[144][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[144][ObjSpec] = 100;
   _jumpMap[144][Constant] = 99;
   _jumpMap[144][SignedFloat] = 98;
   _jumpMap[144][SignedInt] = 97;
   _jumpMap[144][Attribute] = 96;
   _jumpMap[144][Function] = 95;
   _jumpMap[144][SelectStatement] = 273;
   _jumpMap[144][CasePrepare] = 94;
   _jumpMap[144][CaseClause] = 93;
   _jumpMap[144][Factor] = 92;
   _jumpMap[144][Term] = 91;
   _jumpMap[144][Expr] = 272;
   _actionMap[145][INTVAL] = ActionEntry(SHIFT, 281);
   _actionMap[146][FLOATVAL] = ActionEntry(SHIFT, 283);
   _actionMap[146][INTVAL] = ActionEntry(SHIFT, 282);
   _actionMap[147][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[147][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[147][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[147][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[147][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[147][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[147][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[147][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[147][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[147][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[147][AS] = ActionEntry(REDUCE, 346);
   _actionMap[147][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[147][END_TOKEN] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser233()
{
   _actionMap[147][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[147][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[147][OR] = ActionEntry(REDUCE, 346);
   _actionMap[147][AND] = ActionEntry(REDUCE, 346);
   _actionMap[147][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[147][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[147][IS] = ActionEntry(REDUCE, 346);
   _actionMap[147][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[147][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[147][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[147][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[147][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[147][LT] = ActionEntry(REDUCE, 346);
   _actionMap[147][MT] = ActionEntry(REDUCE, 346);
   _actionMap[147][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[147][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[147][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[147][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[147][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[147][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[147][RB] = ActionEntry(REDUCE, 346);
   _actionMap[147][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[147][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[147][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[147][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[147][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[147][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[148][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[148][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[148][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[148][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[148][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[148][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[148][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[148][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[148][AS] = ActionEntry(REDUCE, 348);
   _actionMap[148][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[148][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[148][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][OR] = ActionEntry(REDUCE, 348);
   _actionMap[148][AND] = ActionEntry(REDUCE, 348);
   _actionMap[148][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[148][IS] = ActionEntry(REDUCE, 348);
   _actionMap[148][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[148][INTOK] = ActionEntry(REDUCE, 348);
}
void Cego::loadParser234()
{
   _actionMap[148][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[148][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[148][LT] = ActionEntry(REDUCE, 348);
   _actionMap[148][MT] = ActionEntry(REDUCE, 348);
   _actionMap[148][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[148][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[148][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[148][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[148][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[148][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[148][RB] = ActionEntry(REDUCE, 348);
   _actionMap[148][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[148][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[148][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[148][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[148][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[148][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[149][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[149][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[149][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[149][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[149][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[149][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[149][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[149][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[149][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[149][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[149][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[149][AS] = ActionEntry(REDUCE, 343);
   _actionMap[149][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[149][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[149][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[149][OR] = ActionEntry(REDUCE, 343);
   _actionMap[149][AND] = ActionEntry(REDUCE, 343);
   _actionMap[149][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[149][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[149][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[149][IS] = ActionEntry(REDUCE, 343);
   _actionMap[149][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[149][MT] = ActionEntry(REDUCE, 343);
   _actionMap[149][LT] = ActionEntry(REDUCE, 343);
   _actionMap[149][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[149][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[149][RB] = ActionEntry(REDUCE, 343);
   _actionMap[149][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[149][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[149][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[149][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[149][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[149][DESC] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser235()
{
   _actionMap[149][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[149][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[149][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[149][LB] = ActionEntry(REDUCE, 368);
   _actionMap[149][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[149][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[149][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[150][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[150][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[150][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[150][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[150][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[150][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[150][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[150][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[150][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[150][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[150][AS] = ActionEntry(REDUCE, 148);
   _actionMap[150][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[150][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[150][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[150][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[150][OR] = ActionEntry(REDUCE, 148);
   _actionMap[150][AND] = ActionEntry(REDUCE, 148);
   _actionMap[150][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[150][IS] = ActionEntry(REDUCE, 148);
   _actionMap[150][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[150][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[150][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[150][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[150][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[150][LT] = ActionEntry(REDUCE, 148);
   _actionMap[150][MT] = ActionEntry(REDUCE, 148);
   _actionMap[150][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[150][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[150][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[150][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[150][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[150][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[150][RB] = ActionEntry(REDUCE, 148);
   _actionMap[150][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[150][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[150][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[150][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[150][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[150][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[151][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[151][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[151][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[151][RIGHT] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser236()
{
   _actionMap[151][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[151][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[151][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[151][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[151][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[151][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[151][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[151][AS] = ActionEntry(REDUCE, 344);
   _actionMap[151][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[151][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[151][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[151][OR] = ActionEntry(REDUCE, 344);
   _actionMap[151][AND] = ActionEntry(REDUCE, 344);
   _actionMap[151][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[151][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[151][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[151][IS] = ActionEntry(REDUCE, 344);
   _actionMap[151][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[151][MT] = ActionEntry(REDUCE, 344);
   _actionMap[151][LT] = ActionEntry(REDUCE, 344);
   _actionMap[151][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[151][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[151][RB] = ActionEntry(REDUCE, 344);
   _actionMap[151][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[151][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[151][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[151][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[151][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[151][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[151][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[151][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[151][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[151][LB] = ActionEntry(REDUCE, 369);
   _actionMap[151][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[151][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[151][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[152][STAR] = ActionEntry(SHIFT, 284);
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[153][ObjSpec] = 285;
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[154][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[154][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[154][ObjSpec] = 286;
   _actionMap[155][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[155][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[155][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[155][ObjSpec] = 287;
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser237()
{
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[156][ObjSpec] = 288;
   _actionMap[157][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[157][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[157][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[157][ObjSpec] = 289;
   _actionMap[158][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[158][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[158][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[158][ObjSpec] = 290;
   _actionMap[159][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[159][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[159][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[159][ObjSpec] = 291;
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[160][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[160][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[160][ObjSpec] = 292;
   _actionMap[161][FROM] = ActionEntry(SHIFT, 293);
   _actionMap[162][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[162][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[162][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[162][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[162][RTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[162][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[162][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[162][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[162][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[162][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[162][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[162][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[162][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[162][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[162][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[162][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[162][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[162][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[162][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[162][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[162][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[162][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[162][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[162][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[162][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[162][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[162][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[162][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[162][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[162][BITXOR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser238()
{
   _actionMap[162][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[162][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[162][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[162][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[162][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[162][LB] = ActionEntry(SHIFT, 144);
   _actionMap[162][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[162][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[162][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[162][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[162][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[162][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[162][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[162][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[162][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[162][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[162][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[162][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[162][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[162][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[162][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[162][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[162][ObjSpec] = 100;
   _jumpMap[162][Constant] = 99;
   _jumpMap[162][SignedFloat] = 98;
   _jumpMap[162][SignedInt] = 97;
   _jumpMap[162][Attribute] = 96;
   _jumpMap[162][Function] = 95;
   _jumpMap[162][SelectItem] = 296;
   _jumpMap[162][SelectionList] = 295;
   _jumpMap[162][CasePrepare] = 94;
   _jumpMap[162][CaseClause] = 93;
   _jumpMap[162][Factor] = 92;
   _jumpMap[162][Term] = 91;
   _jumpMap[162][Expr] = 294;
   _actionMap[163][VARREF] = ActionEntry(REDUCE, 243);
   _actionMap[163][FETCH] = ActionEntry(REDUCE, 243);
   _actionMap[163][LB] = ActionEntry(REDUCE, 243);
   _actionMap[163][COUNT] = ActionEntry(REDUCE, 243);
   _actionMap[163][SUM] = ActionEntry(REDUCE, 243);
   _actionMap[163][AVG] = ActionEntry(REDUCE, 243);
   _actionMap[163][MIN] = ActionEntry(REDUCE, 243);
   _actionMap[163][MAX] = ActionEntry(REDUCE, 243);
   _actionMap[163][CASE] = ActionEntry(REDUCE, 243);
   _actionMap[163][TRIM] = ActionEntry(REDUCE, 243);
   _actionMap[163][RTRIM] = ActionEntry(REDUCE, 243);
   _actionMap[163][LTRIM] = ActionEntry(REDUCE, 243);
   _actionMap[163][ROUND] = ActionEntry(REDUCE, 243);
   _actionMap[163][DATE2STR] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser239()
{
   _actionMap[163][DATE2INT] = ActionEntry(REDUCE, 243);
   _actionMap[163][INT2DATE] = ActionEntry(REDUCE, 243);
   _actionMap[163][LOWER] = ActionEntry(REDUCE, 243);
   _actionMap[163][UPPER] = ActionEntry(REDUCE, 243);
   _actionMap[163][LEFT] = ActionEntry(REDUCE, 243);
   _actionMap[163][RIGHT] = ActionEntry(REDUCE, 243);
   _actionMap[163][GETPOS] = ActionEntry(REDUCE, 243);
   _actionMap[163][SUBSTR] = ActionEntry(REDUCE, 243);
   _actionMap[163][REPLACE] = ActionEntry(REDUCE, 243);
   _actionMap[163][LENGTH] = ActionEntry(REDUCE, 243);
   _actionMap[163][TRUNC] = ActionEntry(REDUCE, 243);
   _actionMap[163][STR2INT] = ActionEntry(REDUCE, 243);
   _actionMap[163][STR2LONG] = ActionEntry(REDUCE, 243);
   _actionMap[163][STR2DATE] = ActionEntry(REDUCE, 243);
   _actionMap[163][RANDSTR] = ActionEntry(REDUCE, 243);
   _actionMap[163][RANDINT] = ActionEntry(REDUCE, 243);
   _actionMap[163][MOD] = ActionEntry(REDUCE, 243);
   _actionMap[163][DIV] = ActionEntry(REDUCE, 243);
   _actionMap[163][POWER] = ActionEntry(REDUCE, 243);
   _actionMap[163][BITAND] = ActionEntry(REDUCE, 243);
   _actionMap[163][BITOR] = ActionEntry(REDUCE, 243);
   _actionMap[163][BITXOR] = ActionEntry(REDUCE, 243);
   _actionMap[163][BLOBSIZE] = ActionEntry(REDUCE, 243);
   _actionMap[163][NEXTCOUNT] = ActionEntry(REDUCE, 243);
   _actionMap[163][SETCOUNT] = ActionEntry(REDUCE, 243);
   _actionMap[163][IDENTIFIER] = ActionEntry(REDUCE, 243);
   _actionMap[163][QUALIFIEDOBJ] = ActionEntry(REDUCE, 243);
   _actionMap[163][QUALIFIEDTS] = ActionEntry(REDUCE, 243);
   _actionMap[163][QUALIFIEDPRE] = ActionEntry(REDUCE, 243);
   _actionMap[163][STRINGVAL] = ActionEntry(REDUCE, 243);
   _actionMap[163][DATE] = ActionEntry(REDUCE, 243);
   _actionMap[163][SYSDATE] = ActionEntry(REDUCE, 243);
   _actionMap[163][NULLTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[163][TRUEVAL] = ActionEntry(REDUCE, 243);
   _actionMap[163][FALSEVAL] = ActionEntry(REDUCE, 243);
   _actionMap[163][LAB] = ActionEntry(REDUCE, 243);
   _actionMap[163][FLOATVAL] = ActionEntry(REDUCE, 243);
   _actionMap[163][MINUS] = ActionEntry(REDUCE, 243);
   _actionMap[163][INTVAL] = ActionEntry(REDUCE, 243);
   _actionMap[164][FROM] = ActionEntry(REDUCE, 205);
   _actionMap[165][OFF] = ActionEntry(SHIFT, 297);
   _actionMap[165][ON] = ActionEntry(SHIFT, 298);
   _actionMap[166][OFF] = ActionEntry(SHIFT, 299);
   _actionMap[166][ON] = ActionEntry(SHIFT, 300);
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 184);
   _jumpMap[167][CounterId] = 301;
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 302);
   _actionMap[169][OFF] = ActionEntry(SHIFT, 303);
   _actionMap[169][ON] = ActionEntry(SHIFT, 304);
   _actionMap[170][IDENTIFIER] = ActionEntry(SHIFT, 305);
}
void Cego::loadParser240()
{
   _actionMap[171][EQU] = ActionEntry(SHIFT, 306);
   _actionMap[172][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[172][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[172][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[172][ObjSpec] = 307;
   _actionMap[173][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[174][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[174][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[174][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[174][ObjSpec] = 308;
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[176][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[176][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[176][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[176][ObjSpec] = 309;
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 188);
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[179][IDENTIFIER] = ActionEntry(SHIFT, 312);
   _actionMap[179][SET] = ActionEntry(REDUCE, 259);
   _jumpMap[179][UpdDelAlias] = 310;
   _actionMap[180][CALL] = ActionEntry(SHIFT, 313);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 45);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 43);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 46);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 44);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 42);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 40);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 39);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 41);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 47);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 48);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[14][ObjSpec] = 50;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 54);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 63);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 61);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 59);
}
void Cego::loadParser241()
{
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 58);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 60);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 62);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 185);
   _actionMap[17][BTREE] = ActionEntry(REDUCE, 185);
   _jumpMap[17][IndexOption] = 57;
   _jumpMap[17][ProcDef] = 56;
   _jumpMap[17][ProcHead] = 55;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 64);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 70);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 68);
   _actionMap[19][BTREE] = ActionEntry(SHIFT, 65);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 71);
   _actionMap[19][FOREIGN] = ActionEntry(SHIFT, 67);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 66);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 69);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 66);
   _actionMap[20][IF] = ActionEntry(SHIFT, 72);
   _actionMap[20][BTREE] = ActionEntry(REDUCE, 66);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 66);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 66);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 66);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 66);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 66);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 66);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 73);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 75);
   _jumpMap[22][JdbcArgList] = 74;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 84);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 83);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 81);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 86);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 79);
   _actionMap[23][BTREE] = ActionEntry(SHIFT, 76);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 80);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 78);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 82);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 85);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 77);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 88);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 60);
   _jumpMap[24][ProcDef] = 87;
   _jumpMap[24][ProcHead] = 55;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 89;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 148);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 146);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 147);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 140);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser242()
{
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 120);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 131);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 110);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 111);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 116);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 119);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 143);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 117);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 130);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 115);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 134);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 129);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 118);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 142);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 137);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 138);
   _actionMap[26][STR2DATE] = ActionEntry(SHIFT, 139);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 127);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 128);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 123);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 112);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 126);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 103);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 104);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 105);
   _actionMap[26][BLOBSIZE] = ActionEntry(SHIFT, 106);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 124);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 133);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 149);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 151);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 152);
   _actionMap[26][LB] = ActionEntry(SHIFT, 144);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 101);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 109);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 136);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 125);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 113);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 145);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 107);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 150);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 114);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 108);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 135);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 102);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 121);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 122);
   _jumpMap[26][ObjSpec] = 100;
   _jumpMap[26][Constant] = 99;
}
void Cego::loadParser243()
{
   _jumpMap[26][SignedFloat] = 98;
   _jumpMap[26][SignedInt] = 97;
   _jumpMap[26][Attribute] = 96;
   _jumpMap[26][Function] = 95;
   _jumpMap[26][CasePrepare] = 94;
   _jumpMap[26][CaseClause] = 93;
   _jumpMap[26][Factor] = 92;
   _jumpMap[26][Term] = 91;
   _jumpMap[26][Expr] = 90;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 157);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 154);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 155);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 156);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 158);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 153);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 160);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 159);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 163);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 244);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 244);
   _actionMap[30][LB] = ActionEntry(REDUCE, 244);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 244);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 244);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 244);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 244);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 244);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 244);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 244);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 244);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 244);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 244);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 244);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 244);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 244);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 244);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 244);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 244);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 244);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 244);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 244);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 244);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 244);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 244);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 244);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 244);
   _actionMap[30][STR2DATE] = ActionEntry(REDUCE, 244);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 244);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 244);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 244);
}
void Cego::loadParser244()
{
   _actionMap[30][DIV] = ActionEntry(REDUCE, 244);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 244);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 244);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 244);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 244);
   _actionMap[30][BLOBSIZE] = ActionEntry(REDUCE, 244);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 244);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 244);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 244);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 244);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 244);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 244);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 244);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 244);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 244);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 244);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 244);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 244);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 244);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 244);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 244);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 164);
   _jumpMap[30][DistinctOpt] = 162;
   _jumpMap[30][Selection] = 161;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 170);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 165);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 166);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 168);
   _actionMap[31][QUERYCACHE] = ActionEntry(SHIFT, 169);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 171);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 167);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 173);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 175);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 174);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 176);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 172);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 177);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[35][ObjSpec] = 178;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 52);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 53);
   _jumpMap[36][ObjSpec] = 179;
   _actionMap[37][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[38][EQU] = ActionEntry(SHIFT, 180);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
}
void Cego::loadParser245()
{
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 37);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 38);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser246()
{
   _prodInfo.Insert(ProdEntry(370, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(369, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(368, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(367, DateValue, 1));
   _prodInfo.Insert(ProdEntry(366, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(365, Constant, 5));
   _prodInfo.Insert(ProdEntry(364, Constant, 1));
   _prodInfo.Insert(ProdEntry(363, Constant, 1));
   _prodInfo.Insert(ProdEntry(362, Constant, 1));
   _prodInfo.Insert(ProdEntry(361, Constant, 1));
   _prodInfo.Insert(ProdEntry(360, Constant, 6));
   _prodInfo.Insert(ProdEntry(359, Constant, 4));
   _prodInfo.Insert(ProdEntry(358, Constant, 4));
   _prodInfo.Insert(ProdEntry(357, Constant, 4));
   _prodInfo.Insert(ProdEntry(356, Constant, 1));
   _prodInfo.Insert(ProdEntry(355, Constant, 1));
   _prodInfo.Insert(ProdEntry(354, Constant, 4));
   _prodInfo.Insert(ProdEntry(353, Constant, 4));
   _prodInfo.Insert(ProdEntry(352, Constant, 4));
   _prodInfo.Insert(ProdEntry(351, Constant, 4));
   _prodInfo.Insert(ProdEntry(350, Constant, 1));
   _prodInfo.Insert(ProdEntry(349, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(348, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(347, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(346, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(345, Attribute, 2));
   _prodInfo.Insert(ProdEntry(344, Attribute, 1));
   _prodInfo.Insert(ProdEntry(343, Attribute, 1));
   _prodInfo.Insert(ProdEntry(342, Comparison, 2));
   _prodInfo.Insert(ProdEntry(341, Comparison, 2));
   _prodInfo.Insert(ProdEntry(340, Comparison, 1));
   _prodInfo.Insert(ProdEntry(339, Comparison, 1));
   _prodInfo.Insert(ProdEntry(338, Comparison, 2));
   _prodInfo.Insert(ProdEntry(337, Comparison, 1));
   _prodInfo.Insert(ProdEntry(336, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(335, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(334, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(333, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(332, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(331, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(330, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(329, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(328, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(327, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(326, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(325, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(324, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(323, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(322, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(321, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(320, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(319, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(318, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(317, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(316, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(315, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(314, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(313, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(312, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(311, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(310, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(309, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(308, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(307, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(306, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(305, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(304, Function, 3));
   _prodInfo.Insert(ProdEntry(303, Function, 4));
   _prodInfo.Insert(ProdEntry(302, Function, 6));
   _prodInfo.Insert(ProdEntry(301, Function, 4));
   _prodInfo.Insert(ProdEntry(300, Function, 4));
   _prodInfo.Insert(ProdEntry(299, Function, 4));
   _prodInfo.Insert(ProdEntry(298, Function, 4));
   _prodInfo.Insert(ProdEntry(297, Function, 4));
   _prodInfo.Insert(ProdEntry(296, Function, 4));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(271, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(270, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(269, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(268, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(267, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(266, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(265, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(264, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(263, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(262, AlterList, 1));
   _prodInfo.Insert(ProdEntry(261, AlterList, 3));
   _prodInfo.Insert(ProdEntry(260, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(259, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(258, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(257, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(256, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(255, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(254, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(253, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(252, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(251, Assignment, 3));
   _prodInfo.Insert(ProdEntry(250, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(249, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(248, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(247, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(246, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(245, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(244, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(243, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(242, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(241, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(240, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(239, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(238, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(237, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(236, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(235, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(234, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(233, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(232, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(231, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(230, GroupList, 1));
   _prodInfo.Insert(ProdEntry(229, GroupList, 3));
   _prodInfo.Insert(ProdEntry(228, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(227, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(226, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(225, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(224, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(223, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(222, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(221, Table, 2));
   _prodInfo.Insert(ProdEntry(220, Table, 1));
   _prodInfo.Insert(ProdEntry(219, TableList, 1));
   _prodInfo.Insert(ProdEntry(218, TableList, 3));
   _prodInfo.Insert(ProdEntry(217, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(216, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(215, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(214, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(213, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(212, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(211, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(210, TableSource, 1));
   _prodInfo.Insert(ProdEntry(209, TableSource, 1));
   _prodInfo.Insert(ProdEntry(208, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(207, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(206, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(205, Selection, 1));
   _prodInfo.Insert(ProdEntry(204, Selection, 2));
   _prodInfo.Insert(ProdEntry(203, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(202, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(201, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(200, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(199, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(198, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(197, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(196, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(195, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(194, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(193, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(192, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(191, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(190, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(189, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(188, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(187, IndexType, 1));
   _prodInfo.Insert(ProdEntry(186, IndexType, 1));
   _prodInfo.Insert(ProdEntry(185, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(184, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(183, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(182, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(181, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(180, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(179, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(178, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(177, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(176, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(175, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(174, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(173, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(172, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(171, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(170, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(169, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(168, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(167, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(166, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(165, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(164, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(163, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(162, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(161, Factor, 4));
   _prodInfo.Insert(ProdEntry(160, Factor, 4));
   _prodInfo.Insert(ProdEntry(159, Factor, 5));
   _prodInfo.Insert(ProdEntry(158, Factor, 4));
   _prodInfo.Insert(ProdEntry(157, Factor, 4));
   _prodInfo.Insert(ProdEntry(156, Factor, 4));
   _prodInfo.Insert(ProdEntry(155, Factor, 1));
   _prodInfo.Insert(ProdEntry(154, Factor, 3));
   _prodInfo.Insert(ProdEntry(153, Factor, 3));
   _prodInfo.Insert(ProdEntry(152, Factor, 1));
   _prodInfo.Insert(ProdEntry(151, Factor, 1));
   _prodInfo.Insert(ProdEntry(150, Factor, 6));
   _prodInfo.Insert(ProdEntry(149, Factor, 1));
   _prodInfo.Insert(ProdEntry(148, Factor, 1));
   _prodInfo.Insert(ProdEntry(147, Term, 1));
   _prodInfo.Insert(ProdEntry(146, Term, 3));
   _prodInfo.Insert(ProdEntry(145, Term, 3));
   _prodInfo.Insert(ProdEntry(144, Expr, 3));
   _prodInfo.Insert(ProdEntry(143, Expr, 1));
   _prodInfo.Insert(ProdEntry(142, Expr, 3));
   _prodInfo.Insert(ProdEntry(141, Expr, 3));
   _prodInfo.Insert(ProdEntry(140, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(139, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(138, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(137, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(136, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(135, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(134, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(133, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(132, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(131, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(130, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(129, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(128, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(127, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(126, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(125, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(124, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(123, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(122, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(121, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(120, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(119, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(118, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(117, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(116, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(115, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(114, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(113, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(112, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(111, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(110, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(109, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(103, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(102, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(101, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(94, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(93, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(92, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(91, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(90, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(89, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(88, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(87, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(86, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(85, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(84, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(83, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(82, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(81, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(80, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(79, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(78, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(77, Statement, 2));
   _prodInfo.Insert(ProdEntry(76, CounterId, 1));
   _prodInfo.Insert(ProdEntry(75, Statement, 5));
   _prodInfo.Insert(ProdEntry(74, Statement, 3));
   _prodInfo.Insert(ProdEntry(73, Statement, 3));
   _prodInfo.Insert(ProdEntry(72, Statement, 3));
   _prodInfo.Insert(ProdEntry(71, Statement, 2));
   _prodInfo.Insert(ProdEntry(70, Statement, 4));
   _prodInfo.Insert(ProdEntry(69, Statement, 8));
   _prodInfo.Insert(ProdEntry(68, Statement, 15));
   _prodInfo.Insert(ProdEntry(67, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(66, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(65, Statement, 3));
   _prodInfo.Insert(ProdEntry(64, Statement, 3));
   _prodInfo.Insert(ProdEntry(63, Statement, 4));
   _prodInfo.Insert(ProdEntry(62, Statement, 3));
   _prodInfo.Insert(ProdEntry(61, Statement, 3));
   _prodInfo.Insert(ProdEntry(60, Statement, 3));
   _prodInfo.Insert(ProdEntry(59, Statement, 3));
   _prodInfo.Insert(ProdEntry(58, Statement, 9));
   _prodInfo.Insert(ProdEntry(57, Statement, 8));
   _prodInfo.Insert(ProdEntry(56, Statement, 6));
   _prodInfo.Insert(ProdEntry(55, Statement, 7));
   _prodInfo.Insert(ProdEntry(54, Statement, 5));
   _prodInfo.Insert(ProdEntry(53, Statement, 2));
   _prodInfo.Insert(ProdEntry(52, Statement, 2));
   _prodInfo.Insert(ProdEntry(51, Statement, 5));
   _prodInfo.Insert(ProdEntry(50, Statement, 5));
   _prodInfo.Insert(ProdEntry(49, Statement, 1));
   _prodInfo.Insert(ProdEntry(48, Statement, 1));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 2));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 3));
   _prodInfo.Insert(ProdEntry(40, Statement, 3));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 1));
   _prodInfo.Insert(ProdEntry(32, Statement, 1));
   _prodInfo.Insert(ProdEntry(31, Statement, 1));
   _prodInfo.Insert(ProdEntry(30, Statement, 7));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 4));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, Statement, 1));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 836; i++)
   {
      int j;
      for ( j = 0; j < 180; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 117; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 370:
                     setObject3();
                     break;
                  case 369:
                     setObject2();
                     break;
                  case 368:
                     setObject1();
                     break;
                  case 367:
                     miscDateValue();
                     break;
                  case 366:
                     miscDateFormat();
                     break;
                  case 365:
                     miscBlobRef();
                     break;
                  case 364:
                     miscFalseValue();
                     break;
                  case 363:
                     miscTrueValue();
                     break;
                  case 362:
                     miscNull();
                     break;
                  case 361:
                     miscSysDate();
                     break;
                  case 360:
                     miscFormatDate();
                     break;
                  case 359:
                     miscFixedValue();
                     break;
                  case 358:
                     miscDecimalValue();
                     break;
                  case 357:
                     miscDoubleValue();
                     break;
                  case 356:
                     miscFloatValue();
                     break;
                  case 355:
                     miscStringValue();
                     break;
                  case 354:
                     miscTinyIntValue();
                     break;
                  case 353:
                     miscSmallIntValue();
                     break;
                  case 352:
                     miscBigIntValue();
                     break;
                  case 351:
                     miscLongValue();
                     break;
                  case 350:
                     miscIntValue();
                     break;
                  case 349:
                     miscNegatedFloatString();
                     break;
                  case 348:
                     miscFloatString();
                     break;
                  case 347:
                     miscNegatedIntString();
                     break;
                  case 346:
                     miscIntString();
                     break;
                  case 345:
                     miscAttribute3();
                     break;
                  case 344:
                     miscAttribute2();
                     break;
                  case 343:
                     miscAttribute1();
                     break;
                  case 342:
                     miscMoreEqualComp();
                     break;
                  case 341:
                     miscLessEqualComp();
                     break;
                  case 340:
                     miscMoreComp();
                     break;
                  case 339:
                     miscLessComp();
                     break;
                  case 338:
                     miscNotEqualComp();
                     break;
                  case 337:
                     miscEqualComp();
                     break;
                  case 336:
                     miscBlobType();
                     break;
                  case 335:
                     miscFixedType();
                     break;
                  case 334:
                     miscDecimalType();
                     break;
                  case 333:
                     miscTinyIntType();
                     break;
                  case 332:
                     miscSmallIntType();
                     break;
                  case 331:
                     miscDoubleType();
                     break;
                  case 330:
                     miscFloatType();
                     break;
                  case 329:
                     miscBigIntType();
                     break;
                  case 328:
                     miscBoolType();
                     break;
                  case 327:
                     miscDateTimeType();
                     break;
                  case 326:
                     miscStringType();
                     break;
                  case 325:
                     miscLongType();
                     break;
                  case 324:
                     miscIntType();
                     break;
                  case 323:
                     wcPredicateNotPredicate();
                     break;
                  case 322:
                     wcPredicateCondition();
                     break;
                  case 321:
                     wcPredicateNotLikeComp();
                     break;
                  case 320:
                     wcPredicateLikeComp();
                     break;
                  case 319:
                     wcPredicateNotNullComp();
                     break;
                  case 318:
                     wcPredicateNullComp();
                     break;
                  case 317:
                     wcPredicateBetween();
                     break;
                  case 316:
                     wcPredicateExprComp();
                     break;
                  case 315:
                     wcPredicateQueryNotIn();
                     break;
                  case 314:
                     wcPredicateQueryIn();
                     break;
                  case 313:
                     wcPredicateQueryExists();
                     break;
                  case 312:
                     wcConditionPredicate();
                     break;
                  case 311:
                     wcConditionOr();
                     break;
                  case 310:
                     wcConditionAnd();
                     break;
                  case 308:
                     wcEmptyClause();
                     break;
                  case 307:
                     wcWhereClause();
                     break;
                  case 306:
                     functionExprList2();
                     break;
                  case 305:
                     functionExprList1();
                     break;
                  case 304:
                     functionUserDef2();
                     break;
                  case 303:
                     functionUserDef1();
                     break;
                  case 302:
                     functionSetCount();
                     break;
                  case 301:
                     functionNextCount();
                     break;
                  case 300:
                     functionNative();
                     break;
                  case 299:
                     functionNative();
                     break;
                  case 298:
                     functionNative();
                     break;
                  case 297:
                     functionNative();
                     break;
                  case 296:
                     functionNative();
                     break;
                  case 295:
                     functionNative();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     renameCheck();
                     break;
                  case 271:
                     renameView();
                     break;
                  case 270:
                     renameProcedure();
                     break;
                  case 269:
                     renameKey();
                     break;
                  case 268:
                     renameIndex();
                     break;
                  case 267:
                     renameTable();
                     break;
                  case 266:
                     alterRenameCol();
                     break;
                  case 265:
                     alterModCol();
                     break;
                  case 264:
                     alterAddCol();
                     break;
                  case 263:
                     alterDropCol();
                     break;
                  case 260:
                     alterStore();
                     break;
                  case 258:
                     setUpdDelAlias();
                     break;
                  case 257:
                     deleteStore();
                     break;
                  case 256:
                     returnVarAssignment();
                     break;
                  case 251:
                     updateAssignment();
                     break;
                  case 248:
                     updateStore();
                     break;
                  case 246:
                     selectLimitOpt2();
                     break;
                  case 245:
                     selectLimitOpt1();
                     break;
                  case 243:
                     selectDistinctOpt();
                     break;
                  case 240:
                     selectOrderingDesc();
                     break;
                  case 239:
                     selectOrderingAsc();
                     break;
                  case 238:
                     selectOrderingList2();
                     break;
                  case 237:
                     selectOrderingList1();
                     break;
                  case 235:
                     selectEmptyOrderingClause();
                     break;
                  case 234:
                     selectOrderingClause();
                     break;
                  case 232:
                     selectEmptyHavingClause();
                     break;
                  case 231:
                     selectHavingClause();
                     break;
                  case 230:
                     selectGroupList2();
                     break;
                  case 229:
                     selectGroupList1();
                     break;
                  case 227:
                     selectEmptyGroupClause();
                     break;
                  case 226:
                     selectGroupClause();
                     break;
                  case 224:
                     noAliasOpt();
                     break;
                  case 223:
                     aliasOpt();
                     break;
                  case 222:
                     selectStackJoinTable();
                     break;
                  case 221:
                     selectTable2();
                     break;
                  case 220:
                     selectTable1();
                     break;
                  case 215:
                     selectRightOuterJoinStore();
                     break;
                  case 214:
                     selectLeftOuterJoinStore();
                     break;
                  case 213:
                     selectInnerJoinStore();
                     break;
                  case 210:
                     selectJoinSpecStore();
                     break;
                  case 209:
                     selectTableListStore();
                     break;
                  case 208:
                     selectItem();
                     break;
                  case 207:
                     selectionList2();
                     break;
                  case 206:
                     selectionList1();
                     break;
                  case 205:
                     selectSelectionStore2();
                     break;
                  case 204:
                     selectSelectionStore1();
                     break;
                  case 203:
                     selectStore();
                     break;
                  case 202:
                     insertExprValue();
                     break;
                  case 201:
                     insertExprValue();
                     break;
                  case 200:
                     insertArg();
                     break;
                  case 199:
                     insertArg();
                     break;
                  case 198:
                     insertValueSpecStoreExecute();
                     break;
                  case 195:
                     insertPrepare();
                     break;
                  case 192:
                     insertBySelectStore();
                     break;
                  case 191:
                     insertStore();
                     break;
                  case 190:
                     rollbackStore();
                     break;
                  case 189:
                     commitStore();
                     break;
                  case 188:
                     startStore();
                     break;
                  case 187:
                     setBTreeIndex();
                     break;
                  case 186:
                     setAVLIndex();
                     break;
                  case 184:
                     setUniqueIndex();
                     break;
                  case 183:
                     createSimpleAttr();
                     break;
                  case 182:
                     createSimpleAttrList();
                     break;
                  case 179:
                     defaultNullOpt();
                     break;
                  case 178:
                     defaultOpt();
                     break;
                  case 176:
                     setNullOpt();
                     break;
                  case 175:
                     setNotNullOpt();
                     break;
                  case 174:
                     setNullOpt();
                     break;
                  case 173:
                     setColumnDesc();
                     break;
                  case 172:
                     setOrdinaryColumn();
                     break;
                  case 171:
                     setPrimaryColumn();
                     break;
                  case 168:
                     procStoreFetchArg2();
                     break;
                  case 167:
                     procStoreFetchArg1();
                     break;
                  case 166:
                     casePrepare();
                     break;
                  case 165:
                     caseCondition();
                     break;
                  case 164:
                     caseConditionList2();
                     break;
                  case 163:
                     caseConditionList1();
                     break;
                  case 162:
                     caseClause();
                     break;
                  case 161:
                     procFactor14();
                     break;
                  case 160:
                     procFactor13();
                     break;
                  case 159:
                     procFactor12();
                     break;
                  case 158:
                     procFactor11();
                     break;
                  case 157:
                     procFactor10();
                     break;
                  case 156:
                     procFactor9();
                     break;
                  case 155:
                     procFactor8();
                     break;
                  case 154:
                     procFactor7();
                     break;
                  case 153:
                     procFactor6();
                     break;
                  case 152:
                     procFactor5();
                     break;
                  case 151:
                     procFactor4();
                     break;
                  case 150:
                     procFactor3();
                     break;
                  case 149:
                     procFactor2();
                     break;
                  case 148:
                     procFactor1();
                     break;
                  case 147:
                     procTerm3();
                     break;
                  case 146:
                     procTerm2();
                     break;
                  case 145:
                     procTerm1();
                     break;
                  case 144:
                     procExpr4();
                     break;
                  case 143:
                     procExpr3();
                     break;
                  case 142:
                     procExpr2();
                     break;
                  case 141:
                     procExpr1();
                     break;
                  case 140:
                     procPredicate4();
                     break;
                  case 139:
                     procPredicate3();
                     break;
                  case 138:
                     procPredicate2();
                     break;
                  case 137:
                     procPredicate1();
                     break;
                  case 136:
                     procCondition3();
                     break;
                  case 135:
                     procCondition2();
                     break;
                  case 134:
                     procCondition1();
                     break;
                  case 133:
                     procWhileCondition();
                     break;
                  case 132:
                     procWhileStatement();
                     break;
                  case 131:
                     procElsIfCondition();
                     break;
                  case 130:
                     procIfCondition();
                     break;
                  case 129:
                     procElsePart();
                     break;
                  case 127:
                     procStoreElseBlock();
                     break;
                  case 126:
                     procStoreIfBlock();
                     break;
                  case 123:
                     procStoreIfBlock();
                     break;
                  case 122:
                     procIfStatement();
                     break;
                  case 121:
                     procExceptionCondition();
                     break;
                  case 120:
                     procExprValue();
                     break;
                  case 119:
                     procExprValue();
                     break;
                  case 117:
                     procValueSpec();
                     break;
                  case 116:
                     procExceptionStatement();
                     break;
                  case 113:
                     procBlockStart();
                     break;
                  case 112:
                     procBlockStatement();
                     break;
                  case 111:
                     procReturnStatement2();
                     break;
                  case 110:
                     procReturnStatement1();
                     break;
                  case 109:
                     procQueryStatement();
                     break;
                  case 108:
                     procQueryStatement();
                     break;
                  case 107:
                     procQueryStatement();
                     break;
                  case 106:
                     procQueryStatement();
                     break;
                  case 105:
                     procQueryStatement();
                     break;
                  case 104:
                     procQueryStatement();
                     break;
                  case 102:
                     procInitialAssignment2();
                     break;
                  case 101:
                     procInitialAssignment1();
                     break;
                  case 100:
                     procNoopStatement();
                     break;
                  case 99:
                     procAssign2NullStatement();
                     break;
                  case 98:
                     procAssignStatement();
                     break;
                  case 97:
                     procCursorCloseStatement();
                     break;
                  case 96:
                     procCursorCreateStatement();
                     break;
                  case 95:
                     procVarStatement();
                     break;
                  case 94:
                     procStoreBlock();
                     break;
                  case 91:
                     procArg2();
                     break;
                  case 90:
                     procArg1();
                     break;
                  case 84:
                     procReturnOpt();
                     break;
                  case 83:
                     procStore();
                     break;
                  case 82:
                     procHead();
                     break;
                  case 80:
                     unionAllStore();
                     break;
                  case 79:
                     jdbcArg2();
                     break;
                  case 78:
                     jdbcArg1();
                     break;
                  case 77:
                     jdbcInfo();
                     break;
                  case 76:
                     execCounterId();
                     break;
                  case 75:
                     execSetCounter();
                     break;
                  case 74:
                     execDropCounter();
                     break;
                  case 73:
                     execCreateCounter();
                     break;
                  case 72:
                     execIndexCheck();
                     break;
                  case 71:
                     execPrint();
                     break;
                  case 70:
                     execAssignStatement();
                     break;
                  case 69:
                     execCheckCreate();
                     break;
                  case 68:
                     execForeignKeyCreate();
                     break;
                  case 67:
                     dropOpt2();
                     break;
                  case 66:
                     dropOpt1();
                     break;
                  case 65:
                     execBTreeDrop();
                     break;
                  case 64:
                     execCheckDrop();
                     break;
                  case 63:
                     execFKeyDrop();
                     break;
                  case 62:
                     execProcDrop();
                     break;
                  case 61:
                     execViewDrop();
                     break;
                  case 60:
                     execIndexDrop();
                     break;
                  case 59:
                     execTableDrop();
                     break;
                  case 58:
                     execIndexCreate();
                     break;
                  case 57:
                     execPrimaryIndexCreate();
                     break;
                  case 56:
                     execUserTableCreate();
                     break;
                  case 55:
                     execFuncCall();
                     break;
                  case 54:
                     execProcCall();
                     break;
                  case 53:
                     execProcLoad();
                     break;
                  case 52:
                     execProcCreate();
                     break;
                  case 51:
                     execViewLoad();
                     break;
                  case 50:
                     execViewCreate();
                     break;
                  case 49:
                     execQuery();
                     break;
                  case 48:
                     execQuery();
                     break;
                  case 47:
                     execQuery();
                     break;
                  case 46:
                     execQuery();
                     break;
                  case 44:
                     execSelectPlan();
                     break;
                  case 43:
                     execSelect();
                     break;
                  case 42:
                     execIndexReorganize();
                     break;
                  case 41:
                     execTableReorganize();
                     break;
                  case 40:
                     execDisableQueryCache();
                     break;
                  case 39:
                     execEnableQueryCache();
                     break;
                  case 38:
                     execSetIsolation();
                     break;
                  case 37:
                     execDisableAutoCommit();
                     break;
                  case 36:
                     execEnableAutoCommit();
                     break;
                  case 35:
                     execDisableAppendMode();
                     break;
                  case 34:
                     execEnableAppendMode();
                     break;
                  case 33:
                     execQuery();
                     break;
                  case 32:
                     execQuery();
                     break;
                  case 31:
                     execQuery();
                     break;
                  case 30:
                     execAuthUser();
                     break;
                  case 29:
                     execSetTableSet();
                     break;
                  case 28:
                     execCheckShow();
                     break;
                  case 27:
                     execViewShow();
                     break;
                  case 26:
                     execProcShow();
                     break;
                  case 25:
                     execProcDesc();
                     break;
                  case 24:
                     execCheckDesc();
                     break;
                  case 23:
                     execKeyDesc();
                     break;
                  case 22:
                     execViewDesc();
                     break;
                  case 21:
                     execBTreeDesc();
                     break;
                  case 20:
                     execIndexDesc();
                     break;
                  case 19:
                     execTableDesc();
                     break;
                  case 18:
                     execShowSystemSpace();
                     break;
                  case 17:
                     execShowPool();
                     break;
                  case 16:
                     execShowUptime();
                     break;
                  case 15:
                     execTableInfo();
                     break;
                  case 13:
                     setTableSetOpt();
                     break;
                  case 12:
                     execListCheck();
                     break;
                  case 11:
                     execListTmpObj();
                     break;
                  case 10:
                     execListSysObj();
                     break;
                  case 9:
                     execListCounter();
                     break;
                  case 8:
                     execListKey();
                     break;
                  case 7:
                     execListBTree();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
